/********************************************************************
 ********************************************************************
 * FileName:     IR_hw.h
 * Dependencies:
 * Processor:	 PIC24
 * Complier:     Microchip xc16 ver 1.26
 * Company:      Electronic Design Solutions, LLC.
 *
 *********************************************************************
 * File Description:
 *
 * code to interface with the framework of the epaper dev kit

 *
 * Change History:
 *  Rev   Date         Author    Description
 *  1.0   3/8/2016    DRW      Initial revision
 ********************************************************************/
/********************************************************************
Software License Agreement:

THIS SOFTWARE IS PROVIDED IN AN "AS IS" CONDITION. NO WARRANTIES,
WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED
TO, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
PARTICULAR PURPOSE APPLY TO THIS SOFTWARE. THE COMPANY SHALL NOT,
IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL OR
CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
 *******************************************************************/

#ifndef IR_HW_H
#define	IR_HW_H

#ifdef	__cplusplus
extern "C" {
#endif




/******************************************************************************
* Includes
*******************************************************************************/

#include "gfx/gfx.h"
#include <stdint.h>
#include <stdbool.h>

/******************************************************************************
* Preprocessor Constants
*******************************************************************************/

/******************************************************************************
* Configuration Constants
*******************************************************************************/


// Registers addresses

bool ProcessMessage_DEMO_test(WORD translatedMsg, GFX_GOL_OBJ_HEADER* pObj, GFX_GOL_MESSAGE* pMsg);
void CLICK_demo(void);
void ShowScreenClick_demo(void);
void System_Init(void);
uint8_t IR_getTemperature( uint8_t temperature_register, int16_t *quotient, uint8_t *remainder );



#ifdef	__cplusplus
}
#endif

#endif	/* IR_HW_H */

