/**
* Copyright (c) 2013-2015 Pervasive Displays Inc. All rights reserved.
*
*  Authors: Pervasive Displays Inc.
*
*  Redistribution and use in source and binary forms, with or without
*  modification, are permitted provided that the following conditions
*  are met:
*
*  1. Redistributions of source code must retain the above copyright
*     notice, this list of conditions and the following disclaimer.
*  2. Redistributions in binary form must reproduce the above copyright
*     notice, this list of conditions and the following disclaimer in
*     the documentation and/or other materials provided with the
*     distribution.
*
*  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
*  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
*  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
*  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
*  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
*  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
*  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
*  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
*  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
*  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
*  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/

#ifndef 	DISPLAY_CONTROLLER_H_INCLUDED
#define 	DISPLAY_CONTROLLER_H_INCLUDED

#include        "conf_EPD.h"

void EPD_display_init(void);
void EPD_power_init(uint8_t EPD_type_index);
void EPD_power_end(void);
void EPD_display_global(uint8_t EPD_type_index,EInt previous_image_address,
	EInt new_image_address,EPD_read_memory_handler On_EPD_read_memory);
void EPD_display_partial(uint8_t EPD_type_index,EInt previous_image_address,
	EInt new_image_address,EPD_read_memory_handler On_EPD_read_memory);
bool EPD_PowerStatusGet(void);

void EPD_display_global_RAM( uint8_t EPD_type_index,
                             uint8_t *previous_image_address,
                             uint8_t *new_image_address);
void EPD_display_partial_RAM(uint8_t EPD_type_index,
                            uint8_t *previous_image_address,
                            uint8_t *new_image_address);
#endif 	//DISPLAY_CONTROLLER_H_INCLUDED
