#include <stdlib.h>
#include <string.h>
#include <stdio.h>
#include "rtcc.h"
#include "Utilities.h"
#include "system.h"




#define A1 ID_TOP_LEFT
#define B1 ID_BOTTOM_RIGHT
#define C1 ID_BOTTOM_LEFT
#define D1 ID_TOP_RIGHT


/****************************************************************************
  Function:
    void ShowScreenUser1Functions( void )

  Description:
    This function erases the currently displayed screen and replaces it with
    the Set time menu screen.

  Precondition:
    None

  Parameters:
    None

  Returns:
    None

  Remarks:
    The global list of graphics objects is destroyed and replaced.  Therefore,
    this function cannot be called during the message processing of
    GOLMsgCallback().  It must be called during GOLDrawCallback() processing.
 ***************************************************************************/
void ShowScreenUser1Functions(void) {
    RTCCProcessEvents();

    strcpy(pageInformation.title, " USER 1 FUNC ");
    strcpy(pageInformation.buttonTextTopLeft, "A1");
    strcpy(pageInformation.buttonTextBottomLeft, "B1");
    strcpy(pageInformation.buttonTextTopRight, "C1");
    strcpy(pageInformation.buttonTextBottomRight, "D1");
    strcpy(pageInformation.buttonTextThirdrow, "");

    pageInformation.buttonBitmapTopLeft = NULL;
    pageInformation.buttonBitmapBottomLeft = NULL;
    pageInformation.buttonBitmapTopRight = NULL;
    pageInformation.buttonBitmapBottomRight = NULL;

    strcpy(pageInformation.instructions, _date_str);
    strcat(pageInformation.instructions, "  ");
    strcat(pageInformation.instructions, _time_str);

    ShowScreenGeneric(); // create 4 buttons, title and a instructions line
}




bool ProcessMessageUSER1Menu(WORD translatedMsg, GFX_GOL_OBJ_HEADER* pObj, GFX_GOL_MESSAGE* pMsg) {
    WORD controlID;

    if(translatedMsg == GFX_GOL_BUTTON_ACTION_PRESSED){
        controlID = GFX_GOL_ObjectIDGet(pObj);

        switch (controlID)
          {
            case A1: //ID_TOP_LEFT
              screenState = SCREEN_DISPLAY_MAIN;
              break;

            case B1: //ID_BOTTOM_RIGHT
              screenState = SCREEN_DISPLAY_MAIN;
              break;

            case C1: //ID_BOTTOM_LEFT
              screenState = SCREEN_DISPLAY_MAIN;
              break;

            case D1: //ID_TOP_RIGHT
              screenState = SCREEN_DISPLAY_MAIN;
              break;
          }
    }
    return false; // We already called the default handler.
}