/******************************************************************************

Utilities.h

This is the header file for the PIC24F Wireless EPD utilities implemented in
Utilities.h.

 ******************************************************************************/
#include "gfx/gfx.h"


bool ProcessMessageUtilities(WORD translatedMsg, GFX_GOL_OBJ_HEADER* pObj, GFX_GOL_MESSAGE* pMsg);
void ShowScreenUtilities(void); // displays date/time Home Calibrate BoardTest
void TranslateMessageSoftKeys(GFX_GOL_MESSAGE * pMsg); // handle the three soft keys
void showScreenTestUSBCapture(void);



//~~~~~~~~~~~~~~~~~~~~~~~ setting time/date functions  ~~~~~~~~~~~~~~~~~~~~~~~~~
void addSoftMenuKeys(void); // adds three generic soft keys
void ShowScreenTimeAdjust(void); // displays time adjustment screen
void ShowScreenAdjustTime(void); // displays HOURS MINUTES MONTH DAY screen
// handle HOURS MINUTES MONTH DAY button navigation menu
bool ProcessMessageTIMESubMenu(WORD translatedMsg, GFX_GOL_OBJ_HEADER* pObj, GFX_GOL_MESSAGE* pMsg);
// process key message, increment or decrement month,day,hour or minute,
// cr->home
bool ProcessMessageTime(WORD translatedMsg, GFX_GOL_OBJ_HEADER* pObj, GFX_GOL_MESSAGE* pMsg);

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

void radioDiagnostics_master(void);
void Hardware_Bootup(void);
void testPixel(void);
void testSPI(void);
void testPixel_partialUpdate(void);
void PerformBoardTest(void);

void respondToStatusRequest(void);
void respondToNetworkStatusRequest(BYTE);
void network_status_update_array(void);   // no print statements
void monitorNetwork(void);
BOOL echo_rssi(void);
BYTE Number_of_Network_Connections(void);


#define CONTROL_SET_MONTH           0
#define CONTROL_SET_DAY             1
#define CONTROL_SET_YEAR            2
#define CONTROL_SET_HOUR            3
#define CONTROL_SET_MINUTE          4
#define ID_BUTTON_GENERIC_INC  10
#define ID_BUTTON_GENERIC_DEC  11
#define ID_BUTTON_GENERIC_HOME 12



#define SHORT_ADDRESS       FALSE
#define PERMANENT_ADDRESS   TRUE
#define NO_ENCRYPTION       FALSE
#define MASTER              {0x00,0x00}


typedef enum {
    DIAGNOSTIC_INIT = 0,
    DIAGNOSTIC_SHOW_CONNECTIONS,
    DIAGNOSTIC_DELAY,
    DIAGNOSTIC_TX_REQUEST,
    DIAGNOSTIC_RX,
    DIAGNOSTIC_END
} DIAGNOSTIC_STATES;

typedef enum {
    NETWORK_STATUS_INIT = 0,
    NETWORK_STATUS_ALL_INDEX,
    NETWORK_STATUS_REQUEST,
    NETWORK_STATUS_WAIT,
    NETWORK_STATUS_RETRY_DELAY,
    NETWORK_STATUS_NEXT_INDEX,
    NETWORK_STATUS_PRINT_STATUS,
    NETWORK_STATUS_PRINT_DELAY,
    NETWORK_STATUS_EXIT
} NETWORK_STATUS_STATES;


typedef enum{
   ECHO_RSSI_TX = 0,
   ECHO_RSSI_RX,
   ECHO_FAULT
}ECHO_RSSI_STATES;


typedef struct statusBITS {
    unsigned ConnectionIndex:5;
    unsigned RACESTATUS:2;
    unsigned BATTERY:2;
    unsigned RSSI_VALUE:7;
}STATUS_BITS; //STATUS_BITS;

extern DWORD pingDelayTime;
extern SHORT Utilities_currentControlSet;
extern BOOL networkScanStart;
extern STATUS_BITS REMOTE_DEVICE_STATUS[32];


extern DWORD monitorNetwork_tick10ms;

