/********************************************************************
 Software License Agreement:

 The software supplied herewith by Microchip Technology Incorporated
 (the "Company") for its PIC(R) Microcontroller is intended and
 supplied to you, the Company's customer, for use solely and
 exclusively on Microchip PIC Microcontroller products. The
 software is owned by the Company and/or its supplier, and is
 protected under applicable copyright laws. All rights are reserved.
 Any use in violation of the foregoing restrictions may subject the
 user to criminal sanctions under applicable laws, as well as to
 civil liability for the breach of the terms and conditions of this
 license.

 THIS SOFTWARE IS PROVIDED IN AN "AS IS" CONDITION. NO WARRANTIES,
 WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED
 TO, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 PARTICULAR PURPOSE APPLY TO THIS SOFTWARE. THE COMPANY SHALL NOT,
 IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL OR
 CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
 *******************************************************************/
#ifndef APP_HOST
#define APP_HOST
#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>

#include "usb_host_msd_scsi.h"



typedef enum {
    WAITING_FOR_ATTACH,
    NON_BLOCK_DELAY_MOUNT_DRIVE,
    MOUNTING_DRIVE,
    OPENING_FILE,
    WAITING_TO_WRITE,
    WRITE_HEADER,
    WRITING_TO_FILE,
    CLOSING_FILE,
    UNMOUNT_DRIVE,
    WAITING_FOR_DETACH,
    DEVICE_DETACHED,
    DISPLAY_REMOVE_MESSAGE,
    HANDLE_ERROR,
    NON_BLOCK_DELAY
} USB_HOST_MSD_DATA_LOGGER_DEMO_STATE;



/*********************************************************************
* Function: void APP_HostMSDDataLoggerInitialize(void);
*
* Overview: Initializes the demo code
*
* PreCondition: None
*
* Input: None
*
* Output: None
*
********************************************************************/
void APP_HostMSDDataLoggerInitialize();

/*********************************************************************
* Function: void APP_MountDrive (uint8_t address);
*
* Overview: Initializes the demo code
*
* PreCondition: None
*
* Input: address - Address of the USB device to mount
*
* Output: None
*
********************************************************************/
void APP_MountDrive(uint8_t address);

/*********************************************************************
* Function: void APP_HostMSDDataLoggerTasks(void);
*
* Overview: Keeps the demo running.
*
* PreCondition: The demo should have been initialized and started via
*   the APP_HostMSDDataLoggerInitialize() and APP_HostMSDDataLoggerStart() demos
*   respectively.
*
* Input: None
*
* Output: None
*
********************************************************************/
void APP_HostMSDDataLoggerTasks();

void ShowScreenUSBMedia_INIT(void);
void APP_HostMSDDataLoggerTasks_demo(void);
void createLogFile(void);
void APP_ReleasePower(void);  // turn off 5 volt rail
bool ProcessMessageUSB_test(WORD, GFX_GOL_OBJ_HEADER*, GFX_GOL_MESSAGE*);





#endif