/******************************************************************************

stripChart.h

This is the header file for the stripChart functionality

******************************************************************************/

#ifndef _STRIPCHART_H_
#define _STRIPCHART_H_

#include "gfx/gfx.h"

#define GOL_EMBOSS_SIZE                 1

#define TranslateMessageCapture TranslateMessageGraph

#define TEXT_HEIGHT                 GetTextHeight( (void *)&FONTDEFAULT )
#define GRAPH_DATA_BUFFER_SIZE      (GRAPH_GRID_WIDTH + 1)
#define GRAPH_GRID_LEFT             (GRAPH_PANEL_LEFT + GOL_EMBOSS_SIZE)
#define GRAPH_GRID_RIGHT            (GRAPH_PANEL_RIGHT - GOL_EMBOSS_SIZE)
#define GRAPH_GRID_TOP              (GRAPH_PANEL_TOP + GOL_EMBOSS_SIZE)
#define GRAPH_GRID_BOTTOM           (GRAPH_PANEL_BOTTOM - GOL_EMBOSS_SIZE)

#define GRAPH_GRID_WIDTH            (GRAPH_GRID_RIGHT - GRAPH_GRID_LEFT)
#define GRAPH_GRID_HEIGHT           (GRAPH_GRID_BOTTOM - GRAPH_GRID_TOP)

#define GRAPH_PANEL_LEFT            0
#define GRAPH_PANEL_RIGHT           GFX_MaxXGet()

#define GRAPH_PANEL_TOP             LOCATION_MIN_Y
#define GRAPH_PANEL_BOTTOM          (GFX_MaxYGet())

#define GRAPH_UPDATE_INTERVAL_INIT  (3000 / MILLISECONDS_PER_TICK)
#define GRAPH_UPDATE_INTERVAL_MAX   (100000 / MILLISECONDS_PER_TICK)
#define GRAPH_UPDATE_INTERVAL_MIN   (2000 / MILLISECONDS_PER_TICK)
#define GRAPH_UPDATE_INTERVAL_STEP  (10000 / MILLISECONDS_PER_TICK)
#define GRID_SPACING_VERTICAL       (GRAPH_GRID_HEIGHT >> 3)    // ((GRAPH_GRID_BOTTOM - GRAPH_GRID_TOP) >> 3)
#define GRID_SPACING_HORIZONTAL     (GRAPH_GRID_WIDTH >> 3)     // ((GRAPH_GRID_RIGHT - GRAPH_GRID_LEFT) >> 3)

#define ID_MEDIA_REQUEST            23


bool ProcessMessageGraph( WORD translatedMsg, GFX_GOL_OBJ_HEADER* pObj, GFX_GOL_MESSAGE* pMsg );
void ShowScreenGraph( void );
void TranslateMessageGraph( GFX_GOL_MESSAGE *pMsg );
void UpdateGraph( void );

extern WORD graphUpdateRate;
extern volatile int       myRSSI;

#endif

