/*****************************************************************************
  AUTO-GENERATED CODE:  Graphics Resource Converter version: 4.01.00

  Company:
      Microchip Technology, Inc.
 
  File Name:
     font_resources_epd_demo.S
 
  Summary:
      This file is generated by the Microchip's Graphics Resource Converter.
  Description:
      This file is generated by the Graphics Resource Converter containing
      resources such as images and fonts that can be used by Microchip's
      Graphics Library, which is part of the MLA.
 *****************************************************************************/

// DOM-IGNORE-BEGIN
/*****************************************************************************
  Software License Agreement

  Copyright(c) 2013 Microchip Technology Inc.  All rights reserved.
  Microchip licenses to you the right to use, modify, copy and distribute
  Software only when embedded on a Microchip microcontroller or digital
  signal controller that is integrated into your product or third party
  product (pursuant to the sublicense terms in the accompanying license
  agreement).
 
  You should refer to the license agreement accompanying this Software
  for additional information regarding your rights and obligations.
 
  SOFTWARE AND DOCUMENTATION ARE PROVIDED “AS IS” WITHOUT WARRANTY OF ANY
  KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION, ANY WARRANTY
  OF MERCHANTABILITY, TITLE, NON-INFRINGEMENT AND FITNESS FOR A PARTICULAR
  PURPOSE. IN NO EVENT SHALL MICROCHIP OR ITS LICENSORS BE LIABLE OR
  OBLIGATED UNDER CONTRACT, NEGLIGENCE, STRICT LIABILITY, CONTRIBUTION,
  BREACH OF WARRANTY, OR OTHER LEGAL EQUITABLE THEORY ANY DIRECT OR INDIRECT
  DAMAGES OR EXPENSES INCLUDING BUT NOT LIMITED TO ANY INCIDENTAL, SPECIAL,
  INDIRECT, PUNITIVE OR CONSEQUENTIAL DAMAGES, LOST PROFITS OR LOST DATA,
  COST OF PROCUREMENT OF SUBSTITUTE GOODS, TECHNOLOGY, SERVICES, OR ANY
  CLAIMS BY THIRD PARTIES (INCLUDING BUT NOT LIMITED TO ANY DEFENSE THEREOF),
  OR OTHER SIMILAR COSTS.
 *****************************************************************************/
// DOM-IGNORE-END

/*****************************************************************************
 * SECTION:  Includes
 *****************************************************************************/
#include "system_config.h"


/*****************************************************************************
 * SECTION:  Graphics Configuration: Font Check
 *****************************************************************************/

#ifdef GFX_CONFIG_FONT_FLASH_DISABLE
#error The GFX_CONFIG_FONT_FLASH_DISABLE is defined in system_config.h header file.
#endif


/*****************************************************************************
 * These "GRC_<resource>_SECTION" defines the different sections, program memory, 
 * packed program memory (XC16 only), and constant memory space, that are 
 * used to place the GRC resources in a specific space.  For example, an 
 * image may be placed in program memory or packed program memory.  There is
 * also a check for the correct version of the XC16.  It is recommended 
 * that the user have or upgrade to XC16 version 1.11 or newer to allow for full 
 * feature support.
 *****************************************************************************/
/*****************************************************************************
 * XC16:  GRC Section Defines
 *****************************************************************************/
#if defined(__XC16__) || defined(__ASM30__)
/*****************************************************************************
 * Checking for the XC16 version.  It is recommended that XC16 v1.11 or newer is used.
 *****************************************************************************/
#if !defined(__XC16_VERSION__) || (__XC16_VERSION__ < 1011)
    #warning "Please upgrade to XC16 version 1.11 or newer to allow for full feature support"
#endif
#if !defined(__XC16_VERSION__)
    #define __XC16_VERSION__ 1000   // provide a "safe" value
#endif
#if (defined(GFX_CONFIG_IMAGE_PACKED_ENABLE) || defined(GFX_CONFIG_FONT_PACKED_ENABLE)) && (__XC16_VERSION__ < 1011)
    #error "Please upgrade to XC16 version 1.11 or newer for storing resources in packed program memory.
#endif
/*****************************************************************************
 * GRC Font Section
 *****************************************************************************/
#if defined(GFX_CONFIG_FONT_PROG_SPACE_ENABLE)
    #if defined(GFX_CONFIG_FONT_PACKED_ENABLE)
        #define GRC_FONT_SECTION .section grc_text, packedflash
    #else
        #define GRC_FONT_SECTION .section grc_text, code
    #endif
#else
    #define GRC_FONT_SECTION .section .const, psv, page
#endif
/*****************************************************************************
 * GRC Image Section
 *****************************************************************************/
#if defined(GFX_CONFIG_IMAGE_PACKED_ENABLE)
    #define GRC_IMAGE_SECTION .section grc_images, packedflash
#else
    #define GRC_IMAGE_SECTION .section grc_images, code
#endif
/*****************************************************************************
 * GRC Constant Section
 *****************************************************************************/
#define GRC_CONST_SECTION .section .const, psv, page
/*****************************************************************************
 * XC32:  GRC Section Defines
 *****************************************************************************/
#else
/*****************************************************************************
 * GRC Font Section
 *****************************************************************************/
#define GRC_FONT_SECTION .section grc_text, code
/*****************************************************************************
 * GRC Image Section
 *****************************************************************************/
#define GRC_IMAGE_SECTION .section grc_images, code
/*****************************************************************************
 * GRC Constant Section
 *****************************************************************************/
#define GRC_CONST_SECTION .section .const
#endif

/*****************************************************************************
 * Converted Resources
 * -------------------
 *
 *
 * Fonts
 * -----
 * Verdana_12 - Height: 16 pixels, 1 bit per pixel, Range: ' ' to '~'
 * Verdana_Bold_36_number - Height: 45 pixels, 1 bit per pixel, Range: '0' to '9'
 * Verdana_Bold_10 - Height: 14 pixels, 1 bit per pixel, Range: ' ' to '~'
 * Verdana_Bold_12 - Height: 16 pixels, 1 bit per pixel, Range: ' ' to '~'
 * Verdana_Bold_14 - Height: 18 pixels, 1 bit per pixel, Range: ' ' to '~'
 * Verdana_Bold_16 - Height: 21 pixels, 1 bit per pixel, Range: ' ' to '~'
 * Verdana_Bold_28 - Height: 35 pixels, 1 bit per pixel, Range: ' ' to '9'
 *****************************************************************************/

/*****************************************************************************
 * SECTION:  Fonts
 *****************************************************************************/

/*********************************
 * Installed Font Structure
 * Label: Verdana_12
 * Description:  Height: 16 pixels, 1 bit per pixel, Range: ' ' to '~'
 ***********************************/
GRC_FONT_SECTION
.global ___Verdana_12    // for XC16
.global __Verdana_12     // for XC32
.align 2
___Verdana_12:    // for XC16
__Verdana_12:     // for XC32
/****************************************
 * Font header
 ****************************************/
.byte 0x00           // Font ID
.byte 0x00           // Font information:  1 bit per pixel, Characters zero degress rotation
.byte 0x20, 0x00     // First Character
.byte 0x7E, 0x00     // Last Character
.byte 0x10, 0x00     // Height
/****************************************
 * Font Glyph Table
 ****************************************/
.byte 0x04              // width of the glyph
.byte 0x84, 0x01, 0x00       // Character - 32, offset (0x00000184)
.byte 0x05              // width of the glyph
.byte 0x94, 0x01, 0x00       // Character - 33, offset (0x00000194)
.byte 0x06              // width of the glyph
.byte 0xA4, 0x01, 0x00       // Character - 34, offset (0x000001A4)
.byte 0x0A              // width of the glyph
.byte 0xB4, 0x01, 0x00       // Character - 35, offset (0x000001B4)
.byte 0x08              // width of the glyph
.byte 0xD4, 0x01, 0x00       // Character - 36, offset (0x000001D4)
.byte 0x0D              // width of the glyph
.byte 0xE4, 0x01, 0x00       // Character - 37, offset (0x000001E4)
.byte 0x0A              // width of the glyph
.byte 0x04, 0x02, 0x00       // Character - 38, offset (0x00000204)
.byte 0x03              // width of the glyph
.byte 0x24, 0x02, 0x00       // Character - 39, offset (0x00000224)
.byte 0x05              // width of the glyph
.byte 0x34, 0x02, 0x00       // Character - 40, offset (0x00000234)
.byte 0x05              // width of the glyph
.byte 0x44, 0x02, 0x00       // Character - 41, offset (0x00000244)
.byte 0x08              // width of the glyph
.byte 0x54, 0x02, 0x00       // Character - 42, offset (0x00000254)
.byte 0x0A              // width of the glyph
.byte 0x64, 0x02, 0x00       // Character - 43, offset (0x00000264)
.byte 0x04              // width of the glyph
.byte 0x84, 0x02, 0x00       // Character - 44, offset (0x00000284)
.byte 0x05              // width of the glyph
.byte 0x94, 0x02, 0x00       // Character - 45, offset (0x00000294)
.byte 0x04              // width of the glyph
.byte 0xA4, 0x02, 0x00       // Character - 46, offset (0x000002A4)
.byte 0x05              // width of the glyph
.byte 0xB4, 0x02, 0x00       // Character - 47, offset (0x000002B4)
.byte 0x08              // width of the glyph
.byte 0xC4, 0x02, 0x00       // Character - 48, offset (0x000002C4)
.byte 0x08              // width of the glyph
.byte 0xD4, 0x02, 0x00       // Character - 49, offset (0x000002D4)
.byte 0x08              // width of the glyph
.byte 0xE4, 0x02, 0x00       // Character - 50, offset (0x000002E4)
.byte 0x08              // width of the glyph
.byte 0xF4, 0x02, 0x00       // Character - 51, offset (0x000002F4)
.byte 0x08              // width of the glyph
.byte 0x04, 0x03, 0x00       // Character - 52, offset (0x00000304)
.byte 0x08              // width of the glyph
.byte 0x14, 0x03, 0x00       // Character - 53, offset (0x00000314)
.byte 0x08              // width of the glyph
.byte 0x24, 0x03, 0x00       // Character - 54, offset (0x00000324)
.byte 0x08              // width of the glyph
.byte 0x34, 0x03, 0x00       // Character - 55, offset (0x00000334)
.byte 0x08              // width of the glyph
.byte 0x44, 0x03, 0x00       // Character - 56, offset (0x00000344)
.byte 0x08              // width of the glyph
.byte 0x54, 0x03, 0x00       // Character - 57, offset (0x00000354)
.byte 0x05              // width of the glyph
.byte 0x64, 0x03, 0x00       // Character - 58, offset (0x00000364)
.byte 0x05              // width of the glyph
.byte 0x74, 0x03, 0x00       // Character - 59, offset (0x00000374)
.byte 0x0A              // width of the glyph
.byte 0x84, 0x03, 0x00       // Character - 60, offset (0x00000384)
.byte 0x0A              // width of the glyph
.byte 0xA4, 0x03, 0x00       // Character - 61, offset (0x000003A4)
.byte 0x0A              // width of the glyph
.byte 0xC4, 0x03, 0x00       // Character - 62, offset (0x000003C4)
.byte 0x07              // width of the glyph
.byte 0xE4, 0x03, 0x00       // Character - 63, offset (0x000003E4)
.byte 0x0C              // width of the glyph
.byte 0xF4, 0x03, 0x00       // Character - 64, offset (0x000003F4)
.byte 0x08              // width of the glyph
.byte 0x14, 0x04, 0x00       // Character - 65, offset (0x00000414)
.byte 0x08              // width of the glyph
.byte 0x24, 0x04, 0x00       // Character - 66, offset (0x00000424)
.byte 0x08              // width of the glyph
.byte 0x34, 0x04, 0x00       // Character - 67, offset (0x00000434)
.byte 0x09              // width of the glyph
.byte 0x44, 0x04, 0x00       // Character - 68, offset (0x00000444)
.byte 0x08              // width of the glyph
.byte 0x64, 0x04, 0x00       // Character - 69, offset (0x00000464)
.byte 0x07              // width of the glyph
.byte 0x74, 0x04, 0x00       // Character - 70, offset (0x00000474)
.byte 0x09              // width of the glyph
.byte 0x84, 0x04, 0x00       // Character - 71, offset (0x00000484)
.byte 0x09              // width of the glyph
.byte 0xA4, 0x04, 0x00       // Character - 72, offset (0x000004A4)
.byte 0x05              // width of the glyph
.byte 0xC4, 0x04, 0x00       // Character - 73, offset (0x000004C4)
.byte 0x05              // width of the glyph
.byte 0xD4, 0x04, 0x00       // Character - 74, offset (0x000004D4)
.byte 0x08              // width of the glyph
.byte 0xE4, 0x04, 0x00       // Character - 75, offset (0x000004E4)
.byte 0x07              // width of the glyph
.byte 0xF4, 0x04, 0x00       // Character - 76, offset (0x000004F4)
.byte 0x0A              // width of the glyph
.byte 0x04, 0x05, 0x00       // Character - 77, offset (0x00000504)
.byte 0x09              // width of the glyph
.byte 0x24, 0x05, 0x00       // Character - 78, offset (0x00000524)
.byte 0x09              // width of the glyph
.byte 0x44, 0x05, 0x00       // Character - 79, offset (0x00000544)
.byte 0x07              // width of the glyph
.byte 0x64, 0x05, 0x00       // Character - 80, offset (0x00000564)
.byte 0x09              // width of the glyph
.byte 0x74, 0x05, 0x00       // Character - 81, offset (0x00000574)
.byte 0x08              // width of the glyph
.byte 0x94, 0x05, 0x00       // Character - 82, offset (0x00000594)
.byte 0x08              // width of the glyph
.byte 0xA4, 0x05, 0x00       // Character - 83, offset (0x000005A4)
.byte 0x07              // width of the glyph
.byte 0xB4, 0x05, 0x00       // Character - 84, offset (0x000005B4)
.byte 0x09              // width of the glyph
.byte 0xC4, 0x05, 0x00       // Character - 85, offset (0x000005C4)
.byte 0x08              // width of the glyph
.byte 0xE4, 0x05, 0x00       // Character - 86, offset (0x000005E4)
.byte 0x0D              // width of the glyph
.byte 0xF4, 0x05, 0x00       // Character - 87, offset (0x000005F4)
.byte 0x08              // width of the glyph
.byte 0x14, 0x06, 0x00       // Character - 88, offset (0x00000614)
.byte 0x07              // width of the glyph
.byte 0x24, 0x06, 0x00       // Character - 89, offset (0x00000624)
.byte 0x08              // width of the glyph
.byte 0x34, 0x06, 0x00       // Character - 90, offset (0x00000634)
.byte 0x05              // width of the glyph
.byte 0x44, 0x06, 0x00       // Character - 91, offset (0x00000644)
.byte 0x05              // width of the glyph
.byte 0x54, 0x06, 0x00       // Character - 92, offset (0x00000654)
.byte 0x05              // width of the glyph
.byte 0x64, 0x06, 0x00       // Character - 93, offset (0x00000664)
.byte 0x0A              // width of the glyph
.byte 0x74, 0x06, 0x00       // Character - 94, offset (0x00000674)
.byte 0x08              // width of the glyph
.byte 0x94, 0x06, 0x00       // Character - 95, offset (0x00000694)
.byte 0x08              // width of the glyph
.byte 0xA4, 0x06, 0x00       // Character - 96, offset (0x000006A4)
.byte 0x07              // width of the glyph
.byte 0xB4, 0x06, 0x00       // Character - 97, offset (0x000006B4)
.byte 0x07              // width of the glyph
.byte 0xC4, 0x06, 0x00       // Character - 98, offset (0x000006C4)
.byte 0x06              // width of the glyph
.byte 0xD4, 0x06, 0x00       // Character - 99, offset (0x000006D4)
.byte 0x07              // width of the glyph
.byte 0xE4, 0x06, 0x00       // Character - 100, offset (0x000006E4)
.byte 0x07              // width of the glyph
.byte 0xF4, 0x06, 0x00       // Character - 101, offset (0x000006F4)
.byte 0x04              // width of the glyph
.byte 0x04, 0x07, 0x00       // Character - 102, offset (0x00000704)
.byte 0x07              // width of the glyph
.byte 0x14, 0x07, 0x00       // Character - 103, offset (0x00000714)
.byte 0x08              // width of the glyph
.byte 0x24, 0x07, 0x00       // Character - 104, offset (0x00000724)
.byte 0x03              // width of the glyph
.byte 0x34, 0x07, 0x00       // Character - 105, offset (0x00000734)
.byte 0x04              // width of the glyph
.byte 0x44, 0x07, 0x00       // Character - 106, offset (0x00000744)
.byte 0x07              // width of the glyph
.byte 0x54, 0x07, 0x00       // Character - 107, offset (0x00000754)
.byte 0x03              // width of the glyph
.byte 0x64, 0x07, 0x00       // Character - 108, offset (0x00000764)
.byte 0x0C              // width of the glyph
.byte 0x74, 0x07, 0x00       // Character - 109, offset (0x00000774)
.byte 0x08              // width of the glyph
.byte 0x94, 0x07, 0x00       // Character - 110, offset (0x00000794)
.byte 0x07              // width of the glyph
.byte 0xA4, 0x07, 0x00       // Character - 111, offset (0x000007A4)
.byte 0x07              // width of the glyph
.byte 0xB4, 0x07, 0x00       // Character - 112, offset (0x000007B4)
.byte 0x07              // width of the glyph
.byte 0xC4, 0x07, 0x00       // Character - 113, offset (0x000007C4)
.byte 0x05              // width of the glyph
.byte 0xD4, 0x07, 0x00       // Character - 114, offset (0x000007D4)
.byte 0x06              // width of the glyph
.byte 0xE4, 0x07, 0x00       // Character - 115, offset (0x000007E4)
.byte 0x05              // width of the glyph
.byte 0xF4, 0x07, 0x00       // Character - 116, offset (0x000007F4)
.byte 0x08              // width of the glyph
.byte 0x04, 0x08, 0x00       // Character - 117, offset (0x00000804)
.byte 0x07              // width of the glyph
.byte 0x14, 0x08, 0x00       // Character - 118, offset (0x00000814)
.byte 0x0A              // width of the glyph
.byte 0x24, 0x08, 0x00       // Character - 119, offset (0x00000824)
.byte 0x07              // width of the glyph
.byte 0x44, 0x08, 0x00       // Character - 120, offset (0x00000844)
.byte 0x07              // width of the glyph
.byte 0x54, 0x08, 0x00       // Character - 121, offset (0x00000854)
.byte 0x06              // width of the glyph
.byte 0x64, 0x08, 0x00       // Character - 122, offset (0x00000864)
.byte 0x08              // width of the glyph
.byte 0x74, 0x08, 0x00       // Character - 123, offset (0x00000874)
.byte 0x05              // width of the glyph
.byte 0x84, 0x08, 0x00       // Character - 124, offset (0x00000884)
.byte 0x08              // width of the glyph
.byte 0x94, 0x08, 0x00       // Character - 125, offset (0x00000894)
.byte 0x0A              // width of the glyph
.byte 0xA4, 0x08, 0x00       // Character - 126, offset (0x000008A4)
/***********************************
 * Font Characters
 ***********************************/
/***********************************
 * Character - 32
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 33
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x04        //   *     
.byte 0x04        //   *     
.byte 0x04        //   *     
.byte 0x04        //   *     
.byte 0x04        //   *     
.byte 0x04        //   *     
.byte 0x04        //   *     
.byte 0x00        //         
.byte 0x04        //   *     
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 34
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x12        //  *  *   
.byte 0x12        //  *  *   
.byte 0x12        //  *  *   
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 35
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x90, 0x00        //     *  *        
.byte 0x90, 0x00        //     *  *        
.byte 0x48, 0x00        //    *  *         
.byte 0xFC, 0x01        //   *******       
.byte 0x48, 0x00        //    *  *         
.byte 0x48, 0x00        //    *  *         
.byte 0xFE, 0x00        //  *******        
.byte 0x24, 0x00        //   *  *          
.byte 0x24, 0x00        //   *  *          
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 36
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x08        //    *    
.byte 0x08        //    *    
.byte 0x7C        //   ***** 
.byte 0x0A        //  * *    
.byte 0x0A        //  * *    
.byte 0x0C        //   **    
.byte 0x38        //    ***  
.byte 0x48        //    *  * 
.byte 0x48        //    *  * 
.byte 0x3E        //  *****  
.byte 0x08        //    *    
.byte 0x08        //    *    
.byte 0x00        //         

/***********************************
 * Character - 37
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x0C, 0x01        //   **    *       
.byte 0x92, 0x00        //  *  *  *        
.byte 0x92, 0x00        //  *  *  *        
.byte 0x52, 0x00        //  *  * *         
.byte 0x4C, 0x06        //   **  *  **     
.byte 0x20, 0x09        //      *  *  *    
.byte 0x20, 0x09        //      *  *  *    
.byte 0x20, 0x09        //      *  *  *    
.byte 0x10, 0x06        //     *    **     
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 38
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x1C, 0x00        //   ***           
.byte 0x22, 0x00        //  *   *          
.byte 0x22, 0x00        //  *   *          
.byte 0x22, 0x00        //  *   *          
.byte 0x9C, 0x00        //   ***  *        
.byte 0xA2, 0x00        //  *   * *        
.byte 0x42, 0x00        //  *    *         
.byte 0x42, 0x00        //  *    *         
.byte 0xBC, 0x01        //   **** **       
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 39
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 40
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x08        //    *    
.byte 0x04        //   *     
.byte 0x04        //   *     
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x04        //   *     
.byte 0x04        //   *     
.byte 0x08        //    *    
.byte 0x00        //         

/***********************************
 * Character - 41
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x02        //  *      
.byte 0x04        //   *     
.byte 0x04        //   *     
.byte 0x08        //    *    
.byte 0x08        //    *    
.byte 0x08        //    *    
.byte 0x08        //    *    
.byte 0x08        //    *    
.byte 0x08        //    *    
.byte 0x04        //   *     
.byte 0x04        //   *     
.byte 0x02        //  *      
.byte 0x00        //         

/***********************************
 * Character - 42
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x08        //    *    
.byte 0x2A        //  * * *  
.byte 0x1C        //   ***   
.byte 0x2A        //  * * *  
.byte 0x08        //    *    
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 43
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x10, 0x00        //     *           
.byte 0x10, 0x00        //     *           
.byte 0x10, 0x00        //     *           
.byte 0xFE, 0x00        //  *******        
.byte 0x10, 0x00        //     *           
.byte 0x10, 0x00        //     *           
.byte 0x10, 0x00        //     *           
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 44
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x04        //   *     
.byte 0x04        //   *     
.byte 0x04        //   *     
.byte 0x02        //  *      
.byte 0x00        //         

/***********************************
 * Character - 45
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x1E        //  ****   
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 46
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x04        //   *     
.byte 0x04        //   *     
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 47
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x10        //     *   
.byte 0x10        //     *   
.byte 0x08        //    *    
.byte 0x08        //    *    
.byte 0x08        //    *    
.byte 0x04        //   *     
.byte 0x04        //   *     
.byte 0x04        //   *     
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x01        // *       
.byte 0x00        //         

/***********************************
 * Character - 48
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x3C        //   ****  
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x3C        //   ****  
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 49
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x10        //     *   
.byte 0x1C        //   ***   
.byte 0x10        //     *   
.byte 0x10        //     *   
.byte 0x10        //     *   
.byte 0x10        //     *   
.byte 0x10        //     *   
.byte 0x10        //     *   
.byte 0x7C        //   ***** 
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 50
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x3C        //   ****  
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x40        //       * 
.byte 0x20        //      *  
.byte 0x18        //    **   
.byte 0x04        //   *     
.byte 0x02        //  *      
.byte 0x7E        //  ****** 
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 51
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x3C        //   ****  
.byte 0x42        //  *    * 
.byte 0x40        //       * 
.byte 0x40        //       * 
.byte 0x38        //    ***  
.byte 0x40        //       * 
.byte 0x40        //       * 
.byte 0x42        //  *    * 
.byte 0x3C        //   ****  
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 52
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x20        //      *  
.byte 0x30        //     **  
.byte 0x28        //    * *  
.byte 0x24        //   *  *  
.byte 0x22        //  *   *  
.byte 0xFE        //  *******
.byte 0x20        //      *  
.byte 0x20        //      *  
.byte 0x20        //      *  
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 53
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x7E        //  ****** 
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x3E        //  *****  
.byte 0x40        //       * 
.byte 0x40        //       * 
.byte 0x40        //       * 
.byte 0x42        //  *    * 
.byte 0x3C        //   ****  
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 54
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x38        //    ***  
.byte 0x04        //   *     
.byte 0x02        //  *      
.byte 0x3E        //  *****  
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x3C        //   ****  
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 55
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x7E        //  ****** 
.byte 0x40        //       * 
.byte 0x20        //      *  
.byte 0x20        //      *  
.byte 0x10        //     *   
.byte 0x10        //     *   
.byte 0x08        //    *    
.byte 0x08        //    *    
.byte 0x04        //   *     
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 56
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x3C        //   ****  
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x3C        //   ****  
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x3C        //   ****  
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 57
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x3C        //   ****  
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x7C        //   ***** 
.byte 0x40        //       * 
.byte 0x20        //      *  
.byte 0x1C        //   ***   
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 58
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x04        //   *     
.byte 0x04        //   *     
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x04        //   *     
.byte 0x04        //   *     
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 59
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x04        //   *     
.byte 0x04        //   *     
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x04        //   *     
.byte 0x04        //   *     
.byte 0x04        //   *     
.byte 0x02        //  *      
.byte 0x00        //         

/***********************************
 * Character - 60
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xC0, 0x00        //       **        
.byte 0x30, 0x00        //     **          
.byte 0x0C, 0x00        //   **            
.byte 0x02, 0x00        //  *              
.byte 0x0C, 0x00        //   **            
.byte 0x30, 0x00        //     **          
.byte 0xC0, 0x00        //       **        
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 61
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xFE, 0x00        //  *******        
.byte 0x00, 0x00        //                 
.byte 0xFE, 0x00        //  *******        
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 62
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x06, 0x00        //  **             
.byte 0x18, 0x00        //    **           
.byte 0x60, 0x00        //      **         
.byte 0x80, 0x00        //        *        
.byte 0x60, 0x00        //      **         
.byte 0x18, 0x00        //    **           
.byte 0x06, 0x00        //  **             
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 63
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x1C        //   ***   
.byte 0x22        //  *   *  
.byte 0x20        //      *  
.byte 0x20        //      *  
.byte 0x18        //    **   
.byte 0x08        //    *    
.byte 0x08        //    *    
.byte 0x00        //         
.byte 0x08        //    *    
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 64
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xF0, 0x00        //     ****        
.byte 0x0C, 0x03        //   **    **      
.byte 0xE4, 0x02        //   *  *** *      
.byte 0x92, 0x04        //  *  *  *  *     
.byte 0x92, 0x04        //  *  *  *  *     
.byte 0x92, 0x04        //  *  *  *  *     
.byte 0x92, 0x04        //  *  *  *  *     
.byte 0xE4, 0x03        //   *  *****      
.byte 0x0C, 0x00        //   **            
.byte 0xF0, 0x00        //     ****        
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 65
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x24        //   *  *  
.byte 0x24        //   *  *  
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x7E        //  ****** 
.byte 0x81        // *      *
.byte 0x81        // *      *
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 66
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x1E        //  ****   
.byte 0x22        //  *   *  
.byte 0x22        //  *   *  
.byte 0x22        //  *   *  
.byte 0x3E        //  *****  
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x3E        //  *****  
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 67
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x78        //    **** 
.byte 0x84        //   *    *
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x84        //   *    *
.byte 0x78        //    **** 
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 68
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x3E, 0x00        //  *****          
.byte 0x42, 0x00        //  *    *         
.byte 0x82, 0x00        //  *     *        
.byte 0x82, 0x00        //  *     *        
.byte 0x82, 0x00        //  *     *        
.byte 0x82, 0x00        //  *     *        
.byte 0x82, 0x00        //  *     *        
.byte 0x42, 0x00        //  *    *         
.byte 0x3E, 0x00        //  *****          
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 69
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x7E        //  ****** 
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x7E        //  ****** 
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x7E        //  ****** 
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 70
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x7E        //  ****** 
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x3E        //  *****  
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 71
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x78, 0x00        //    ****         
.byte 0x84, 0x00        //   *    *        
.byte 0x02, 0x00        //  *              
.byte 0x02, 0x00        //  *              
.byte 0xE2, 0x00        //  *   ***        
.byte 0x82, 0x00        //  *     *        
.byte 0x82, 0x00        //  *     *        
.byte 0x84, 0x00        //   *    *        
.byte 0x78, 0x00        //    ****         
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 72
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x82, 0x00        //  *     *        
.byte 0x82, 0x00        //  *     *        
.byte 0x82, 0x00        //  *     *        
.byte 0x82, 0x00        //  *     *        
.byte 0xFE, 0x00        //  *******        
.byte 0x82, 0x00        //  *     *        
.byte 0x82, 0x00        //  *     *        
.byte 0x82, 0x00        //  *     *        
.byte 0x82, 0x00        //  *     *        
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 73
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x0E        //  ***    
.byte 0x04        //   *     
.byte 0x04        //   *     
.byte 0x04        //   *     
.byte 0x04        //   *     
.byte 0x04        //   *     
.byte 0x04        //   *     
.byte 0x04        //   *     
.byte 0x0E        //  ***    
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 74
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x0E        //  ***    
.byte 0x08        //    *    
.byte 0x08        //    *    
.byte 0x08        //    *    
.byte 0x08        //    *    
.byte 0x08        //    *    
.byte 0x08        //    *    
.byte 0x08        //    *    
.byte 0x07        // ***     
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 75
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x42        //  *    * 
.byte 0x22        //  *   *  
.byte 0x12        //  *  *   
.byte 0x0A        //  * *    
.byte 0x06        //  **     
.byte 0x0A        //  * *    
.byte 0x12        //  *  *   
.byte 0x22        //  *   *  
.byte 0x42        //  *    * 
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 76
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x7E        //  ****** 
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 77
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0x4A, 0x01        //  * *  * *       
.byte 0x4A, 0x01        //  * *  * *       
.byte 0x4A, 0x01        //  * *  * *       
.byte 0x32, 0x01        //  *  **  *       
.byte 0x32, 0x01        //  *  **  *       
.byte 0x02, 0x01        //  *      *       
.byte 0x02, 0x01        //  *      *       
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 78
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x86, 0x00        //  **    *        
.byte 0x86, 0x00        //  **    *        
.byte 0x8A, 0x00        //  * *   *        
.byte 0x8A, 0x00        //  * *   *        
.byte 0x92, 0x00        //  *  *  *        
.byte 0xA2, 0x00        //  *   * *        
.byte 0xA2, 0x00        //  *   * *        
.byte 0xC2, 0x00        //  *    **        
.byte 0xC2, 0x00        //  *    **        
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 79
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x78, 0x00        //    ****         
.byte 0x84, 0x00        //   *    *        
.byte 0x02, 0x01        //  *      *       
.byte 0x02, 0x01        //  *      *       
.byte 0x02, 0x01        //  *      *       
.byte 0x02, 0x01        //  *      *       
.byte 0x02, 0x01        //  *      *       
.byte 0x84, 0x00        //   *    *        
.byte 0x78, 0x00        //    ****         
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 80
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x3E        //  *****  
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x3E        //  *****  
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 81
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x78, 0x00        //    ****         
.byte 0x84, 0x00        //   *    *        
.byte 0x02, 0x01        //  *      *       
.byte 0x02, 0x01        //  *      *       
.byte 0x02, 0x01        //  *      *       
.byte 0x02, 0x01        //  *      *       
.byte 0x02, 0x01        //  *      *       
.byte 0x84, 0x00        //   *    *        
.byte 0x78, 0x00        //    ****         
.byte 0x40, 0x00        //       *         
.byte 0x80, 0x01        //        **       
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 82
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x3E        //  *****  
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x3E        //  *****  
.byte 0x12        //  *  *   
.byte 0x22        //  *   *  
.byte 0x42        //  *    * 
.byte 0x82        //  *     *
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 83
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x3C        //   ****  
.byte 0x42        //  *    * 
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x3C        //   ****  
.byte 0x40        //       * 
.byte 0x40        //       * 
.byte 0x42        //  *    * 
.byte 0x3C        //   ****  
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 84
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x7F        // ******* 
.byte 0x08        //    *    
.byte 0x08        //    *    
.byte 0x08        //    *    
.byte 0x08        //    *    
.byte 0x08        //    *    
.byte 0x08        //    *    
.byte 0x08        //    *    
.byte 0x08        //    *    
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 85
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x82, 0x00        //  *     *        
.byte 0x82, 0x00        //  *     *        
.byte 0x82, 0x00        //  *     *        
.byte 0x82, 0x00        //  *     *        
.byte 0x82, 0x00        //  *     *        
.byte 0x82, 0x00        //  *     *        
.byte 0x82, 0x00        //  *     *        
.byte 0x44, 0x00        //   *   *         
.byte 0x38, 0x00        //    ***          
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 86
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x81        // *      *
.byte 0x81        // *      *
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x24        //   *  *  
.byte 0x24        //   *  *  
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 87
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x42, 0x08        //  *    *    *    
.byte 0x42, 0x08        //  *    *    *    
.byte 0xA2, 0x08        //  *   * *   *    
.byte 0xA2, 0x08        //  *   * *   *    
.byte 0xA4, 0x04        //   *  * *  *     
.byte 0x14, 0x05        //   * *   * *     
.byte 0x14, 0x05        //   * *   * *     
.byte 0x08, 0x02        //    *     *      
.byte 0x08, 0x02        //    *     *      
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 88
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x24        //   *  *  
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x24        //   *  *  
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 89
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x41        // *     * 
.byte 0x22        //  *   *  
.byte 0x22        //  *   *  
.byte 0x14        //   * *   
.byte 0x08        //    *    
.byte 0x08        //    *    
.byte 0x08        //    *    
.byte 0x08        //    *    
.byte 0x08        //    *    
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 90
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x7E        //  ****** 
.byte 0x40        //       * 
.byte 0x20        //      *  
.byte 0x10        //     *   
.byte 0x08        //    *    
.byte 0x08        //    *    
.byte 0x04        //   *     
.byte 0x02        //  *      
.byte 0x7E        //  ****** 
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 91
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x0E        //  ***    
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x0E        //  ***    
.byte 0x00        //         

/***********************************
 * Character - 92
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x01        // *       
.byte 0x01        // *       
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x04        //   *     
.byte 0x04        //   *     
.byte 0x04        //   *     
.byte 0x08        //    *    
.byte 0x08        //    *    
.byte 0x08        //    *    
.byte 0x10        //     *   
.byte 0x00        //         

/***********************************
 * Character - 93
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x0E        //  ***    
.byte 0x08        //    *    
.byte 0x08        //    *    
.byte 0x08        //    *    
.byte 0x08        //    *    
.byte 0x08        //    *    
.byte 0x08        //    *    
.byte 0x08        //    *    
.byte 0x08        //    *    
.byte 0x08        //    *    
.byte 0x08        //    *    
.byte 0x0E        //  ***    
.byte 0x00        //         

/***********************************
 * Character - 94
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x30, 0x00        //     **          
.byte 0x48, 0x00        //    *  *         
.byte 0x84, 0x00        //   *    *        
.byte 0x02, 0x01        //  *      *       
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 95
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0xFF        // ********
.byte 0x00        //         

/***********************************
 * Character - 96
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x04        //   *     
.byte 0x08        //    *    
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 97
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x3C        //   ****  
.byte 0x40        //       * 
.byte 0x40        //       * 
.byte 0x7C        //   ***** 
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x7C        //   ***** 
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 98
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x3A        //  * ***  
.byte 0x46        //  **   * 
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x3E        //  *****  
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 99
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x1C        //   ***   
.byte 0x22        //  *   *  
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x22        //  *   *  
.byte 0x1C        //   ***   
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 100
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x40        //       * 
.byte 0x40        //       * 
.byte 0x40        //       * 
.byte 0x7C        //   ***** 
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x62        //  *   ** 
.byte 0x5C        //   *** * 
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 101
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x3C        //   ****  
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x7E        //  ****** 
.byte 0x02        //  *      
.byte 0x42        //  *    * 
.byte 0x3C        //   ****  
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 102
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x0C        //   **    
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x0F        // ****    
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 103
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x7C        //   ***** 
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x62        //  *   ** 
.byte 0x5C        //   *** * 
.byte 0x40        //       * 
.byte 0x3C        //   ****  
.byte 0x00        //         

/***********************************
 * Character - 104
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x3A        //  * ***  
.byte 0x46        //  **   * 
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 105
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x02        //  *      
.byte 0x00        //         
.byte 0x00        //         
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 106
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x04        //   *     
.byte 0x00        //         
.byte 0x00        //         
.byte 0x06        //  **     
.byte 0x04        //   *     
.byte 0x04        //   *     
.byte 0x04        //   *     
.byte 0x04        //   *     
.byte 0x04        //   *     
.byte 0x04        //   *     
.byte 0x04        //   *     
.byte 0x03        // **      
.byte 0x00        //         

/***********************************
 * Character - 107
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x22        //  *   *  
.byte 0x12        //  *  *   
.byte 0x0A        //  * *    
.byte 0x06        //  **     
.byte 0x0A        //  * *    
.byte 0x12        //  *  *   
.byte 0x22        //  *   *  
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 108
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 109
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xDE, 0x01        //  **** ***       
.byte 0x22, 0x02        //  *   *   *      
.byte 0x22, 0x02        //  *   *   *      
.byte 0x22, 0x02        //  *   *   *      
.byte 0x22, 0x02        //  *   *   *      
.byte 0x22, 0x02        //  *   *   *      
.byte 0x22, 0x02        //  *   *   *      
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 110
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x3A        //  * ***  
.byte 0x46        //  **   * 
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 111
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x3C        //   ****  
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x3C        //   ****  
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 112
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x3A        //  * ***  
.byte 0x46        //  **   * 
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x3E        //  *****  
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x00        //         

/***********************************
 * Character - 113
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x7C        //   ***** 
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x62        //  *   ** 
.byte 0x5C        //   *** * 
.byte 0x40        //       * 
.byte 0x40        //       * 
.byte 0x00        //         

/***********************************
 * Character - 114
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x1A        //  * **   
.byte 0x06        //  **     
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 115
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x3C        //   ****  
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x1C        //   ***   
.byte 0x20        //      *  
.byte 0x20        //      *  
.byte 0x1E        //  ****   
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 116
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x1F        // *****   
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x1C        //   ***   
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 117
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x42        //  *    * 
.byte 0x62        //  *   ** 
.byte 0x5C        //   *** * 
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 118
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x22        //  *   *  
.byte 0x22        //  *   *  
.byte 0x14        //   * *   
.byte 0x14        //   * *   
.byte 0x14        //   * *   
.byte 0x08        //    *    
.byte 0x08        //    *    
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 119
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x22, 0x02        //  *   *   *      
.byte 0x22, 0x02        //  *   *   *      
.byte 0x54, 0x01        //   * * * *       
.byte 0x54, 0x01        //   * * * *       
.byte 0x54, 0x01        //   * * * *       
.byte 0x88, 0x00        //    *   *        
.byte 0x88, 0x00        //    *   *        
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 120
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x22        //  *   *  
.byte 0x22        //  *   *  
.byte 0x14        //   * *   
.byte 0x08        //    *    
.byte 0x14        //   * *   
.byte 0x22        //  *   *  
.byte 0x22        //  *   *  
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 121
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x22        //  *   *  
.byte 0x22        //  *   *  
.byte 0x14        //   * *   
.byte 0x14        //   * *   
.byte 0x14        //   * *   
.byte 0x08        //    *    
.byte 0x08        //    *    
.byte 0x08        //    *    
.byte 0x04        //   *     
.byte 0x00        //         

/***********************************
 * Character - 122
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x3E        //  *****  
.byte 0x20        //      *  
.byte 0x10        //     *   
.byte 0x08        //    *    
.byte 0x04        //   *     
.byte 0x02        //  *      
.byte 0x3E        //  *****  
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 123
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x30        //     **  
.byte 0x08        //    *    
.byte 0x08        //    *    
.byte 0x08        //    *    
.byte 0x08        //    *    
.byte 0x06        //  **     
.byte 0x08        //    *    
.byte 0x08        //    *    
.byte 0x08        //    *    
.byte 0x08        //    *    
.byte 0x08        //    *    
.byte 0x30        //     **  
.byte 0x00        //         

/***********************************
 * Character - 124
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x04        //   *     
.byte 0x04        //   *     
.byte 0x04        //   *     
.byte 0x04        //   *     
.byte 0x04        //   *     
.byte 0x04        //   *     
.byte 0x04        //   *     
.byte 0x04        //   *     
.byte 0x04        //   *     
.byte 0x04        //   *     
.byte 0x04        //   *     
.byte 0x04        //   *     
.byte 0x00        //         

/***********************************
 * Character - 125
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x0C        //   **    
.byte 0x10        //     *   
.byte 0x10        //     *   
.byte 0x10        //     *   
.byte 0x10        //     *   
.byte 0x60        //      ** 
.byte 0x10        //     *   
.byte 0x10        //     *   
.byte 0x10        //     *   
.byte 0x10        //     *   
.byte 0x10        //     *   
.byte 0x0C        //   **    
.byte 0x00        //         

/***********************************
 * Character - 126
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x0C, 0x01        //   **    *       
.byte 0x32, 0x01        //  *  **  *       
.byte 0xC2, 0x00        //  *    **        
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

GRC_CONST_SECTION
/*********************************
 * Installed Font Structure
 * Label: Verdana_Bold_36_number
 * Description:  Height: 45 pixels, 1 bit per pixel, Range: '0' to '9'
 ***********************************/
GRC_FONT_SECTION
.global ___Verdana_Bold_36_number    // for XC16
.global __Verdana_Bold_36_number     // for XC32
.align 2
___Verdana_Bold_36_number:    // for XC16
__Verdana_Bold_36_number:     // for XC32
/****************************************
 * Font header
 ****************************************/
.byte 0x00           // Font ID
.byte 0x00           // Font information:  1 bit per pixel, Characters zero degress rotation
.byte 0x20, 0x00     // First Character
.byte 0x29, 0x00     // Last Character
.byte 0x2D, 0x00     // Height
/****************************************
 * Font Glyph Table
 ****************************************/
.byte 0x1A              // width of the glyph
.byte 0x30, 0x00, 0x00       // Character - 48, offset (0x00000030)
.byte 0x1A              // width of the glyph
.byte 0xE4, 0x00, 0x00       // Character - 49, offset (0x000000E4)
.byte 0x1A              // width of the glyph
.byte 0x98, 0x01, 0x00       // Character - 50, offset (0x00000198)
.byte 0x1A              // width of the glyph
.byte 0x4C, 0x02, 0x00       // Character - 51, offset (0x0000024C)
.byte 0x1A              // width of the glyph
.byte 0x00, 0x03, 0x00       // Character - 52, offset (0x00000300)
.byte 0x1A              // width of the glyph
.byte 0xB4, 0x03, 0x00       // Character - 53, offset (0x000003B4)
.byte 0x1A              // width of the glyph
.byte 0x68, 0x04, 0x00       // Character - 54, offset (0x00000468)
.byte 0x1A              // width of the glyph
.byte 0x1C, 0x05, 0x00       // Character - 55, offset (0x0000051C)
.byte 0x1A              // width of the glyph
.byte 0xD0, 0x05, 0x00       // Character - 56, offset (0x000005D0)
.byte 0x1A              // width of the glyph
.byte 0x84, 0x06, 0x00       // Character - 57, offset (0x00000684)
/***********************************
 * Font Characters
 ***********************************/
/***********************************
 * Character - 48
 ***********************************/
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0xFE, 0x01, 0x00        //          ********               
.byte 0x80, 0xFF, 0x07, 0x00        //        ************             
.byte 0xE0, 0xFF, 0x1F, 0x00        //      ****************           
.byte 0xF0, 0xFF, 0x3F, 0x00        //     ******************          
.byte 0xF0, 0xFF, 0x3F, 0x00        //     ******************          
.byte 0xF8, 0x87, 0x7F, 0x00        //    ********    ********         
.byte 0xF8, 0x03, 0x7F, 0x00        //    *******      *******         
.byte 0xF8, 0x03, 0x7F, 0x00        //    *******      *******         
.byte 0xFC, 0x01, 0xFE, 0x00        //   *******        *******        
.byte 0xFC, 0x01, 0xFE, 0x00        //   *******        *******        
.byte 0xFC, 0x01, 0xFE, 0x00        //   *******        *******        
.byte 0xFC, 0x01, 0xFE, 0x00        //   *******        *******        
.byte 0xFC, 0x01, 0xFE, 0x00        //   *******        *******        
.byte 0xFC, 0x01, 0xFE, 0x00        //   *******        *******        
.byte 0xFC, 0x01, 0xFE, 0x00        //   *******        *******        
.byte 0xFC, 0x01, 0xFE, 0x00        //   *******        *******        
.byte 0xFC, 0x01, 0xFE, 0x00        //   *******        *******        
.byte 0xFC, 0x01, 0xFE, 0x00        //   *******        *******        
.byte 0xFC, 0x01, 0xFE, 0x00        //   *******        *******        
.byte 0xF8, 0x03, 0x7F, 0x00        //    *******      *******         
.byte 0xF8, 0x03, 0x7F, 0x00        //    *******      *******         
.byte 0xF8, 0x87, 0x7F, 0x00        //    ********    ********         
.byte 0xF0, 0xFF, 0x3F, 0x00        //     ******************          
.byte 0xF0, 0xFF, 0x3F, 0x00        //     ******************          
.byte 0xE0, 0xFF, 0x1F, 0x00        //      ****************           
.byte 0x80, 0xFF, 0x07, 0x00        //        ************             
.byte 0x00, 0xFE, 0x01, 0x00        //          ********               
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 

/***********************************
 * Character - 49
 ***********************************/
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0xF8, 0x01, 0x00        //            ******               
.byte 0x00, 0xFC, 0x01, 0x00        //           *******               
.byte 0x00, 0xFC, 0x01, 0x00        //           *******               
.byte 0x00, 0xFF, 0x01, 0x00        //         *********               
.byte 0xF0, 0xFF, 0x01, 0x00        //     *************               
.byte 0xF0, 0xFF, 0x01, 0x00        //     *************               
.byte 0xF0, 0xFF, 0x01, 0x00        //     *************               
.byte 0xF0, 0xFF, 0x01, 0x00        //     *************               
.byte 0x00, 0xFC, 0x01, 0x00        //           *******               
.byte 0x00, 0xFC, 0x01, 0x00        //           *******               
.byte 0x00, 0xFC, 0x01, 0x00        //           *******               
.byte 0x00, 0xFC, 0x01, 0x00        //           *******               
.byte 0x00, 0xFC, 0x01, 0x00        //           *******               
.byte 0x00, 0xFC, 0x01, 0x00        //           *******               
.byte 0x00, 0xFC, 0x01, 0x00        //           *******               
.byte 0x00, 0xFC, 0x01, 0x00        //           *******               
.byte 0x00, 0xFC, 0x01, 0x00        //           *******               
.byte 0x00, 0xFC, 0x01, 0x00        //           *******               
.byte 0x00, 0xFC, 0x01, 0x00        //           *******               
.byte 0x00, 0xFC, 0x01, 0x00        //           *******               
.byte 0x00, 0xFC, 0x01, 0x00        //           *******               
.byte 0xF0, 0xFF, 0x7F, 0x00        //     *******************         
.byte 0xF0, 0xFF, 0x7F, 0x00        //     *******************         
.byte 0xF0, 0xFF, 0x7F, 0x00        //     *******************         
.byte 0xF0, 0xFF, 0x7F, 0x00        //     *******************         
.byte 0xF0, 0xFF, 0x7F, 0x00        //     *******************         
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 

/***********************************
 * Character - 50
 ***********************************/
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0xFF, 0x01, 0x00        //         *********               
.byte 0xF0, 0xFF, 0x07, 0x00        //     ***************             
.byte 0xF0, 0xFF, 0x1F, 0x00        //     *****************           
.byte 0xF0, 0xFF, 0x3F, 0x00        //     ******************          
.byte 0xF0, 0xFF, 0x3F, 0x00        //     ******************          
.byte 0xF0, 0xC0, 0x7F, 0x00        //     ****      *********         
.byte 0x30, 0x80, 0x7F, 0x00        //     **         ********         
.byte 0x00, 0x00, 0x7F, 0x00        //                 *******         
.byte 0x00, 0x00, 0x7F, 0x00        //                 *******         
.byte 0x00, 0x00, 0x7F, 0x00        //                 *******         
.byte 0x00, 0x00, 0x7F, 0x00        //                 *******         
.byte 0x00, 0x80, 0x3F, 0x00        //                *******          
.byte 0x00, 0x80, 0x3F, 0x00        //                *******          
.byte 0x00, 0xC0, 0x1F, 0x00        //               *******           
.byte 0x00, 0xE0, 0x1F, 0x00        //              ********           
.byte 0x00, 0xF0, 0x0F, 0x00        //             ********            
.byte 0x00, 0xF8, 0x07, 0x00        //            ********             
.byte 0x00, 0xFC, 0x03, 0x00        //           ********              
.byte 0x00, 0xFE, 0x01, 0x00        //          ********               
.byte 0x80, 0x7F, 0x00, 0x00        //        ********                 
.byte 0xC0, 0x3F, 0x00, 0x00        //       ********                  
.byte 0xE0, 0x1F, 0x00, 0x00        //      ********                   
.byte 0xF8, 0xFF, 0xFF, 0x00        //    *********************        
.byte 0xF8, 0xFF, 0xFF, 0x00        //    *********************        
.byte 0xF8, 0xFF, 0xFF, 0x00        //    *********************        
.byte 0xF8, 0xFF, 0xFF, 0x00        //    *********************        
.byte 0xF8, 0xFF, 0xFF, 0x00        //    *********************        
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 

/***********************************
 * Character - 51
 ***********************************/
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x80, 0xFF, 0x01, 0x00        //        **********               
.byte 0xF8, 0xFF, 0x0F, 0x00        //    *****************            
.byte 0xF8, 0xFF, 0x1F, 0x00        //    ******************           
.byte 0xF8, 0xFF, 0x3F, 0x00        //    *******************          
.byte 0xF8, 0xFF, 0x7F, 0x00        //    ********************         
.byte 0xF8, 0xC0, 0x7F, 0x00        //    *****      *********         
.byte 0x18, 0x00, 0x7F, 0x00        //    **           *******         
.byte 0x00, 0x00, 0x7F, 0x00        //                 *******         
.byte 0x00, 0x00, 0x7F, 0x00        //                 *******         
.byte 0x00, 0x00, 0x3F, 0x00        //                 ******          
.byte 0x00, 0xC0, 0x3F, 0x00        //               ********          
.byte 0x00, 0xFE, 0x1F, 0x00        //          ************           
.byte 0x00, 0xFE, 0x0F, 0x00        //          ***********            
.byte 0x00, 0xFE, 0x07, 0x00        //          **********             
.byte 0x00, 0xFE, 0x1F, 0x00        //          ************           
.byte 0x00, 0xFE, 0x7F, 0x00        //          **************         
.byte 0x00, 0x00, 0x7F, 0x00        //                 *******         
.byte 0x00, 0x00, 0xFE, 0x00        //                  *******        
.byte 0x00, 0x00, 0xFE, 0x00        //                  *******        
.byte 0x00, 0x00, 0xFE, 0x00        //                  *******        
.byte 0x0C, 0x00, 0xFF, 0x00        //   **            ********        
.byte 0x7C, 0x80, 0x7F, 0x00        //   *****        ********         
.byte 0xFC, 0xFF, 0x7F, 0x00        //   *********************         
.byte 0xFC, 0xFF, 0x3F, 0x00        //   ********************          
.byte 0xFC, 0xFF, 0x1F, 0x00        //   *******************           
.byte 0xFC, 0xFF, 0x0F, 0x00        //   ******************            
.byte 0xC0, 0xFF, 0x01, 0x00        //       ***********               
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 

/***********************************
 * Character - 52
 ***********************************/
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0xE0, 0x1F, 0x00        //              ********           
.byte 0x00, 0xF0, 0x1F, 0x00        //             *********           
.byte 0x00, 0xF8, 0x1F, 0x00        //            **********           
.byte 0x00, 0xF8, 0x1F, 0x00        //            **********           
.byte 0x00, 0xFC, 0x1F, 0x00        //           ***********           
.byte 0x00, 0xFE, 0x1F, 0x00        //          ************           
.byte 0x00, 0xDF, 0x1F, 0x00        //         ***** *******           
.byte 0x80, 0xCF, 0x1F, 0x00        //        *****  *******           
.byte 0xC0, 0xCF, 0x1F, 0x00        //       ******  *******           
.byte 0xC0, 0xC7, 0x1F, 0x00        //       *****   *******           
.byte 0xE0, 0xC3, 0x1F, 0x00        //      *****    *******           
.byte 0xF0, 0xC1, 0x1F, 0x00        //     *****     *******           
.byte 0xF8, 0xC0, 0x1F, 0x00        //    *****      *******           
.byte 0x7C, 0xC0, 0x1F, 0x00        //   *****       *******           
.byte 0x7E, 0xC0, 0x1F, 0x00        //  ******       *******           
.byte 0xFE, 0xFF, 0xFF, 0x01        //  ************************       
.byte 0xFE, 0xFF, 0xFF, 0x01        //  ************************       
.byte 0xFE, 0xFF, 0xFF, 0x01        //  ************************       
.byte 0xFE, 0xFF, 0xFF, 0x01        //  ************************       
.byte 0xFE, 0xFF, 0xFF, 0x01        //  ************************       
.byte 0x00, 0xC0, 0x1F, 0x00        //               *******           
.byte 0x00, 0xC0, 0x1F, 0x00        //               *******           
.byte 0x00, 0xC0, 0x1F, 0x00        //               *******           
.byte 0x00, 0xC0, 0x1F, 0x00        //               *******           
.byte 0x00, 0xC0, 0x1F, 0x00        //               *******           
.byte 0x00, 0xC0, 0x1F, 0x00        //               *******           
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 

/***********************************
 * Character - 53
 ***********************************/
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0xF0, 0xFF, 0x7F, 0x00        //     *******************         
.byte 0xF0, 0xFF, 0x7F, 0x00        //     *******************         
.byte 0xF0, 0xFF, 0x7F, 0x00        //     *******************         
.byte 0xF0, 0xFF, 0x7F, 0x00        //     *******************         
.byte 0xF0, 0xFF, 0x7F, 0x00        //     *******************         
.byte 0xF0, 0x07, 0x00, 0x00        //     *******                     
.byte 0xF0, 0x07, 0x00, 0x00        //     *******                     
.byte 0xF0, 0x07, 0x00, 0x00        //     *******                     
.byte 0xF0, 0x07, 0x00, 0x00        //     *******                     
.byte 0xF0, 0xFF, 0x03, 0x00        //     **************              
.byte 0xF0, 0xFF, 0x1F, 0x00        //     *****************           
.byte 0xF0, 0xFF, 0x3F, 0x00        //     ******************          
.byte 0xF0, 0xFF, 0x7F, 0x00        //     *******************         
.byte 0xF0, 0xFF, 0x7F, 0x00        //     *******************         
.byte 0x70, 0x80, 0xFF, 0x00        //     ***        *********        
.byte 0x00, 0x00, 0xFF, 0x00        //                 ********        
.byte 0x00, 0x00, 0xFE, 0x00        //                  *******        
.byte 0x00, 0x00, 0xFE, 0x00        //                  *******        
.byte 0x00, 0x00, 0xFE, 0x00        //                  *******        
.byte 0x18, 0x00, 0xFF, 0x00        //    **           ********        
.byte 0xF8, 0x80, 0x7F, 0x00        //    *****       ********         
.byte 0xF8, 0xFF, 0x7F, 0x00        //    ********************         
.byte 0xF8, 0xFF, 0x3F, 0x00        //    *******************          
.byte 0xF8, 0xFF, 0x1F, 0x00        //    ******************           
.byte 0xF8, 0xFF, 0x07, 0x00        //    ****************             
.byte 0x80, 0xFF, 0x00, 0x00        //        *********                
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 

/***********************************
 * Character - 54
 ***********************************/
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0xF0, 0x3F, 0x00        //             **********          
.byte 0x00, 0xFE, 0x3F, 0x00        //          *************          
.byte 0x80, 0xFF, 0x3F, 0x00        //        ***************          
.byte 0xC0, 0xFF, 0x3F, 0x00        //       ****************          
.byte 0xE0, 0xFF, 0x3F, 0x00        //      *****************          
.byte 0xF0, 0x1F, 0x30, 0x00        //     *********       **          
.byte 0xF0, 0x0F, 0x00, 0x00        //     ********                    
.byte 0xF8, 0x03, 0x00, 0x00        //    *******                      
.byte 0xF8, 0x03, 0x00, 0x00        //    *******                      
.byte 0xF8, 0xF1, 0x07, 0x00        //    ******   *******             
.byte 0xFC, 0xFD, 0x1F, 0x00        //   ******* ***********           
.byte 0xFC, 0xFF, 0x3F, 0x00        //   ********************          
.byte 0xFC, 0xFF, 0x7F, 0x00        //   *********************         
.byte 0xFC, 0xFF, 0x7F, 0x00        //   *********************         
.byte 0xFC, 0x81, 0xFF, 0x00        //   *******      *********        
.byte 0xFC, 0x01, 0xFF, 0x00        //   *******       ********        
.byte 0xFC, 0x01, 0xFE, 0x00        //   *******        *******        
.byte 0xFC, 0x01, 0xFE, 0x00        //   *******        *******        
.byte 0xFC, 0x01, 0xFE, 0x00        //   *******        *******        
.byte 0xF8, 0x03, 0xFE, 0x00        //    *******       *******        
.byte 0xF8, 0x03, 0xFF, 0x00        //    *******      ********        
.byte 0xF8, 0x87, 0x7F, 0x00        //    ********    ********         
.byte 0xF0, 0xFF, 0x7F, 0x00        //     *******************         
.byte 0xE0, 0xFF, 0x3F, 0x00        //      *****************          
.byte 0xE0, 0xFF, 0x1F, 0x00        //      ****************           
.byte 0x80, 0xFF, 0x07, 0x00        //        ************             
.byte 0x00, 0xFE, 0x01, 0x00        //          ********               
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 

/***********************************
 * Character - 55
 ***********************************/
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0xF8, 0xFF, 0xFF, 0x00        //    *********************        
.byte 0xF8, 0xFF, 0xFF, 0x00        //    *********************        
.byte 0xF8, 0xFF, 0xFF, 0x00        //    *********************        
.byte 0xF8, 0xFF, 0xFF, 0x00        //    *********************        
.byte 0xF8, 0xFF, 0xFF, 0x00        //    *********************        
.byte 0x00, 0x00, 0xFF, 0x00        //                 ********        
.byte 0x00, 0x80, 0x7F, 0x00        //                ********         
.byte 0x00, 0x80, 0x7F, 0x00        //                ********         
.byte 0x00, 0xC0, 0x3F, 0x00        //               ********          
.byte 0x00, 0xC0, 0x3F, 0x00        //               ********          
.byte 0x00, 0xE0, 0x1F, 0x00        //              ********           
.byte 0x00, 0xF0, 0x0F, 0x00        //             ********            
.byte 0x00, 0xF0, 0x0F, 0x00        //             ********            
.byte 0x00, 0xF8, 0x07, 0x00        //            ********             
.byte 0x00, 0xF8, 0x07, 0x00        //            ********             
.byte 0x00, 0xFC, 0x03, 0x00        //           ********              
.byte 0x00, 0xFC, 0x03, 0x00        //           ********              
.byte 0x00, 0xFE, 0x01, 0x00        //          ********               
.byte 0x00, 0xFF, 0x00, 0x00        //         ********                
.byte 0x00, 0xFF, 0x00, 0x00        //         ********                
.byte 0x80, 0x7F, 0x00, 0x00        //        ********                 
.byte 0x80, 0x7F, 0x00, 0x00        //        ********                 
.byte 0xC0, 0x3F, 0x00, 0x00        //       ********                  
.byte 0xE0, 0x3F, 0x00, 0x00        //      *********                  
.byte 0xE0, 0x1F, 0x00, 0x00        //      ********                   
.byte 0xF0, 0x0F, 0x00, 0x00        //     ********                    
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 

/***********************************
 * Character - 56
 ***********************************/
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0xFE, 0x01, 0x00        //          ********               
.byte 0x80, 0xFF, 0x0F, 0x00        //        *************            
.byte 0xE0, 0xFF, 0x1F, 0x00        //      ****************           
.byte 0xF0, 0xFF, 0x3F, 0x00        //     ******************          
.byte 0xF0, 0xFF, 0x7F, 0x00        //     *******************         
.byte 0xF8, 0x87, 0x7F, 0x00        //    ********    ********         
.byte 0xF8, 0x03, 0x7F, 0x00        //    *******      *******         
.byte 0xF8, 0x03, 0x7F, 0x00        //    *******      *******         
.byte 0xF8, 0x03, 0x7F, 0x00        //    *******      *******         
.byte 0xF8, 0x0F, 0x3F, 0x00        //    *********    ******          
.byte 0xF0, 0x7F, 0x1F, 0x00        //     *********** *****           
.byte 0xE0, 0xFF, 0x0F, 0x00        //      ***************            
.byte 0xC0, 0xFF, 0x07, 0x00        //       *************             
.byte 0x80, 0xFF, 0x1F, 0x00        //        **************           
.byte 0xE0, 0xFF, 0x3F, 0x00        //      *****************          
.byte 0xF0, 0xE3, 0x7F, 0x00        //     ******   **********         
.byte 0xF8, 0x81, 0x7F, 0x00        //    ******      ********         
.byte 0xFC, 0x01, 0xFF, 0x00        //   *******       ********        
.byte 0xFC, 0x01, 0xFE, 0x00        //   *******        *******        
.byte 0xFC, 0x01, 0xFE, 0x00        //   *******        *******        
.byte 0xFC, 0x03, 0xFE, 0x00        //   ********       *******        
.byte 0xFC, 0x87, 0xFF, 0x00        //   *********    *********        
.byte 0xF8, 0xFF, 0x7F, 0x00        //    ********************         
.byte 0xF8, 0xFF, 0x3F, 0x00        //    *******************          
.byte 0xF0, 0xFF, 0x1F, 0x00        //     *****************           
.byte 0xC0, 0xFF, 0x0F, 0x00        //       **************            
.byte 0x00, 0xFF, 0x01, 0x00        //         *********               
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 

/***********************************
 * Character - 57
 ***********************************/
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0xFE, 0x01, 0x00        //          ********               
.byte 0x80, 0xFF, 0x07, 0x00        //        ************             
.byte 0xE0, 0xFF, 0x1F, 0x00        //      ****************           
.byte 0xF0, 0xFF, 0x3F, 0x00        //     ******************          
.byte 0xF8, 0xFF, 0x3F, 0x00        //    *******************          
.byte 0xF8, 0x87, 0x7F, 0x00        //    ********    ********         
.byte 0xFC, 0x03, 0x7F, 0x00        //   ********      *******         
.byte 0xFC, 0x01, 0x7F, 0x00        //   *******       *******         
.byte 0xFC, 0x01, 0xFE, 0x00        //   *******        *******        
.byte 0xFC, 0x01, 0xFE, 0x00        //   *******        *******        
.byte 0xFC, 0x01, 0xFE, 0x00        //   *******        *******        
.byte 0xFC, 0x03, 0xFE, 0x00        //   ********       *******        
.byte 0xFC, 0x07, 0xFE, 0x00        //   *********      *******        
.byte 0xF8, 0xFF, 0xFF, 0x00        //    *********************        
.byte 0xF8, 0xFF, 0xFF, 0x00        //    *********************        
.byte 0xF0, 0xFF, 0xFF, 0x00        //     ********************        
.byte 0xE0, 0xFF, 0xFE, 0x00        //      *********** *******        
.byte 0x80, 0x3F, 0x7E, 0x00        //        *******   ******         
.byte 0x00, 0x00, 0x7F, 0x00        //                 *******         
.byte 0x00, 0x80, 0x7F, 0x00        //                ********         
.byte 0x00, 0xC0, 0x3F, 0x00        //               ********          
.byte 0x30, 0xF0, 0x3F, 0x00        //     **      **********          
.byte 0xF0, 0xFF, 0x1F, 0x00        //     *****************           
.byte 0xF0, 0xFF, 0x0F, 0x00        //     ****************            
.byte 0xF0, 0xFF, 0x07, 0x00        //     ***************             
.byte 0xF0, 0xFF, 0x01, 0x00        //     *************               
.byte 0xF0, 0x3F, 0x00, 0x00        //     **********                  
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 

GRC_CONST_SECTION
/*********************************
 * Installed Font Structure
 * Label: Verdana_Bold_10
 * Description:  Height: 14 pixels, 1 bit per pixel, Range: ' ' to '~'
 ***********************************/
GRC_FONT_SECTION
.global ___Verdana_Bold_10    // for XC16
.global __Verdana_Bold_10     // for XC32
.align 2
___Verdana_Bold_10:    // for XC16
__Verdana_Bold_10:     // for XC32
/****************************************
 * Font header
 ****************************************/
.byte 0x00           // Font ID
.byte 0x00           // Font information:  1 bit per pixel, Characters zero degress rotation
.byte 0x20, 0x00     // First Character
.byte 0x7E, 0x00     // Last Character
.byte 0x0E, 0x00     // Height
/****************************************
 * Font Glyph Table
 ****************************************/
.byte 0x03              // width of the glyph
.byte 0x84, 0x01, 0x00       // Character - 32, offset (0x00000184)
.byte 0x04              // width of the glyph
.byte 0x92, 0x01, 0x00       // Character - 33, offset (0x00000192)
.byte 0x06              // width of the glyph
.byte 0xA0, 0x01, 0x00       // Character - 34, offset (0x000001A0)
.byte 0x09              // width of the glyph
.byte 0xAE, 0x01, 0x00       // Character - 35, offset (0x000001AE)
.byte 0x07              // width of the glyph
.byte 0xCA, 0x01, 0x00       // Character - 36, offset (0x000001CA)
.byte 0x0D              // width of the glyph
.byte 0xD8, 0x01, 0x00       // Character - 37, offset (0x000001D8)
.byte 0x09              // width of the glyph
.byte 0xF4, 0x01, 0x00       // Character - 38, offset (0x000001F4)
.byte 0x03              // width of the glyph
.byte 0x10, 0x02, 0x00       // Character - 39, offset (0x00000210)
.byte 0x05              // width of the glyph
.byte 0x1E, 0x02, 0x00       // Character - 40, offset (0x0000021E)
.byte 0x05              // width of the glyph
.byte 0x2C, 0x02, 0x00       // Character - 41, offset (0x0000022C)
.byte 0x07              // width of the glyph
.byte 0x3A, 0x02, 0x00       // Character - 42, offset (0x0000023A)
.byte 0x09              // width of the glyph
.byte 0x48, 0x02, 0x00       // Character - 43, offset (0x00000248)
.byte 0x04              // width of the glyph
.byte 0x64, 0x02, 0x00       // Character - 44, offset (0x00000264)
.byte 0x05              // width of the glyph
.byte 0x72, 0x02, 0x00       // Character - 45, offset (0x00000272)
.byte 0x04              // width of the glyph
.byte 0x80, 0x02, 0x00       // Character - 46, offset (0x00000280)
.byte 0x07              // width of the glyph
.byte 0x8E, 0x02, 0x00       // Character - 47, offset (0x0000028E)
.byte 0x07              // width of the glyph
.byte 0x9C, 0x02, 0x00       // Character - 48, offset (0x0000029C)
.byte 0x07              // width of the glyph
.byte 0xAA, 0x02, 0x00       // Character - 49, offset (0x000002AA)
.byte 0x07              // width of the glyph
.byte 0xB8, 0x02, 0x00       // Character - 50, offset (0x000002B8)
.byte 0x07              // width of the glyph
.byte 0xC6, 0x02, 0x00       // Character - 51, offset (0x000002C6)
.byte 0x07              // width of the glyph
.byte 0xD4, 0x02, 0x00       // Character - 52, offset (0x000002D4)
.byte 0x07              // width of the glyph
.byte 0xE2, 0x02, 0x00       // Character - 53, offset (0x000002E2)
.byte 0x07              // width of the glyph
.byte 0xF0, 0x02, 0x00       // Character - 54, offset (0x000002F0)
.byte 0x07              // width of the glyph
.byte 0xFE, 0x02, 0x00       // Character - 55, offset (0x000002FE)
.byte 0x07              // width of the glyph
.byte 0x0C, 0x03, 0x00       // Character - 56, offset (0x0000030C)
.byte 0x07              // width of the glyph
.byte 0x1A, 0x03, 0x00       // Character - 57, offset (0x0000031A)
.byte 0x04              // width of the glyph
.byte 0x28, 0x03, 0x00       // Character - 58, offset (0x00000328)
.byte 0x04              // width of the glyph
.byte 0x36, 0x03, 0x00       // Character - 59, offset (0x00000336)
.byte 0x09              // width of the glyph
.byte 0x44, 0x03, 0x00       // Character - 60, offset (0x00000344)
.byte 0x09              // width of the glyph
.byte 0x60, 0x03, 0x00       // Character - 61, offset (0x00000360)
.byte 0x09              // width of the glyph
.byte 0x7C, 0x03, 0x00       // Character - 62, offset (0x0000037C)
.byte 0x06              // width of the glyph
.byte 0x98, 0x03, 0x00       // Character - 63, offset (0x00000398)
.byte 0x0A              // width of the glyph
.byte 0xA6, 0x03, 0x00       // Character - 64, offset (0x000003A6)
.byte 0x08              // width of the glyph
.byte 0xC2, 0x03, 0x00       // Character - 65, offset (0x000003C2)
.byte 0x08              // width of the glyph
.byte 0xD0, 0x03, 0x00       // Character - 66, offset (0x000003D0)
.byte 0x07              // width of the glyph
.byte 0xDE, 0x03, 0x00       // Character - 67, offset (0x000003DE)
.byte 0x08              // width of the glyph
.byte 0xEC, 0x03, 0x00       // Character - 68, offset (0x000003EC)
.byte 0x07              // width of the glyph
.byte 0xFA, 0x03, 0x00       // Character - 69, offset (0x000003FA)
.byte 0x07              // width of the glyph
.byte 0x08, 0x04, 0x00       // Character - 70, offset (0x00000408)
.byte 0x08              // width of the glyph
.byte 0x16, 0x04, 0x00       // Character - 71, offset (0x00000416)
.byte 0x08              // width of the glyph
.byte 0x24, 0x04, 0x00       // Character - 72, offset (0x00000424)
.byte 0x05              // width of the glyph
.byte 0x32, 0x04, 0x00       // Character - 73, offset (0x00000432)
.byte 0x06              // width of the glyph
.byte 0x40, 0x04, 0x00       // Character - 74, offset (0x00000440)
.byte 0x08              // width of the glyph
.byte 0x4E, 0x04, 0x00       // Character - 75, offset (0x0000044E)
.byte 0x06              // width of the glyph
.byte 0x5C, 0x04, 0x00       // Character - 76, offset (0x0000045C)
.byte 0x09              // width of the glyph
.byte 0x6A, 0x04, 0x00       // Character - 77, offset (0x0000046A)
.byte 0x08              // width of the glyph
.byte 0x86, 0x04, 0x00       // Character - 78, offset (0x00000486)
.byte 0x09              // width of the glyph
.byte 0x94, 0x04, 0x00       // Character - 79, offset (0x00000494)
.byte 0x07              // width of the glyph
.byte 0xB0, 0x04, 0x00       // Character - 80, offset (0x000004B0)
.byte 0x09              // width of the glyph
.byte 0xBE, 0x04, 0x00       // Character - 81, offset (0x000004BE)
.byte 0x08              // width of the glyph
.byte 0xDA, 0x04, 0x00       // Character - 82, offset (0x000004DA)
.byte 0x07              // width of the glyph
.byte 0xE8, 0x04, 0x00       // Character - 83, offset (0x000004E8)
.byte 0x07              // width of the glyph
.byte 0xF6, 0x04, 0x00       // Character - 84, offset (0x000004F6)
.byte 0x08              // width of the glyph
.byte 0x04, 0x05, 0x00       // Character - 85, offset (0x00000504)
.byte 0x08              // width of the glyph
.byte 0x12, 0x05, 0x00       // Character - 86, offset (0x00000512)
.byte 0x0B              // width of the glyph
.byte 0x20, 0x05, 0x00       // Character - 87, offset (0x00000520)
.byte 0x08              // width of the glyph
.byte 0x3C, 0x05, 0x00       // Character - 88, offset (0x0000053C)
.byte 0x07              // width of the glyph
.byte 0x4A, 0x05, 0x00       // Character - 89, offset (0x0000054A)
.byte 0x07              // width of the glyph
.byte 0x58, 0x05, 0x00       // Character - 90, offset (0x00000558)
.byte 0x05              // width of the glyph
.byte 0x66, 0x05, 0x00       // Character - 91, offset (0x00000566)
.byte 0x07              // width of the glyph
.byte 0x74, 0x05, 0x00       // Character - 92, offset (0x00000574)
.byte 0x05              // width of the glyph
.byte 0x82, 0x05, 0x00       // Character - 93, offset (0x00000582)
.byte 0x09              // width of the glyph
.byte 0x90, 0x05, 0x00       // Character - 94, offset (0x00000590)
.byte 0x07              // width of the glyph
.byte 0xAC, 0x05, 0x00       // Character - 95, offset (0x000005AC)
.byte 0x07              // width of the glyph
.byte 0xBA, 0x05, 0x00       // Character - 96, offset (0x000005BA)
.byte 0x07              // width of the glyph
.byte 0xC8, 0x05, 0x00       // Character - 97, offset (0x000005C8)
.byte 0x07              // width of the glyph
.byte 0xD6, 0x05, 0x00       // Character - 98, offset (0x000005D6)
.byte 0x06              // width of the glyph
.byte 0xE4, 0x05, 0x00       // Character - 99, offset (0x000005E4)
.byte 0x07              // width of the glyph
.byte 0xF2, 0x05, 0x00       // Character - 100, offset (0x000005F2)
.byte 0x07              // width of the glyph
.byte 0x00, 0x06, 0x00       // Character - 101, offset (0x00000600)
.byte 0x05              // width of the glyph
.byte 0x0E, 0x06, 0x00       // Character - 102, offset (0x0000060E)
.byte 0x07              // width of the glyph
.byte 0x1C, 0x06, 0x00       // Character - 103, offset (0x0000061C)
.byte 0x07              // width of the glyph
.byte 0x2A, 0x06, 0x00       // Character - 104, offset (0x0000062A)
.byte 0x03              // width of the glyph
.byte 0x38, 0x06, 0x00       // Character - 105, offset (0x00000638)
.byte 0x04              // width of the glyph
.byte 0x46, 0x06, 0x00       // Character - 106, offset (0x00000646)
.byte 0x07              // width of the glyph
.byte 0x54, 0x06, 0x00       // Character - 107, offset (0x00000654)
.byte 0x03              // width of the glyph
.byte 0x62, 0x06, 0x00       // Character - 108, offset (0x00000662)
.byte 0x0B              // width of the glyph
.byte 0x70, 0x06, 0x00       // Character - 109, offset (0x00000670)
.byte 0x07              // width of the glyph
.byte 0x8C, 0x06, 0x00       // Character - 110, offset (0x0000068C)
.byte 0x07              // width of the glyph
.byte 0x9A, 0x06, 0x00       // Character - 111, offset (0x0000069A)
.byte 0x07              // width of the glyph
.byte 0xA8, 0x06, 0x00       // Character - 112, offset (0x000006A8)
.byte 0x07              // width of the glyph
.byte 0xB6, 0x06, 0x00       // Character - 113, offset (0x000006B6)
.byte 0x05              // width of the glyph
.byte 0xC4, 0x06, 0x00       // Character - 114, offset (0x000006C4)
.byte 0x06              // width of the glyph
.byte 0xD2, 0x06, 0x00       // Character - 115, offset (0x000006D2)
.byte 0x05              // width of the glyph
.byte 0xE0, 0x06, 0x00       // Character - 116, offset (0x000006E0)
.byte 0x07              // width of the glyph
.byte 0xEE, 0x06, 0x00       // Character - 117, offset (0x000006EE)
.byte 0x06              // width of the glyph
.byte 0xFC, 0x06, 0x00       // Character - 118, offset (0x000006FC)
.byte 0x0A              // width of the glyph
.byte 0x0A, 0x07, 0x00       // Character - 119, offset (0x0000070A)
.byte 0x07              // width of the glyph
.byte 0x26, 0x07, 0x00       // Character - 120, offset (0x00000726)
.byte 0x07              // width of the glyph
.byte 0x34, 0x07, 0x00       // Character - 121, offset (0x00000734)
.byte 0x06              // width of the glyph
.byte 0x42, 0x07, 0x00       // Character - 122, offset (0x00000742)
.byte 0x07              // width of the glyph
.byte 0x50, 0x07, 0x00       // Character - 123, offset (0x00000750)
.byte 0x05              // width of the glyph
.byte 0x5E, 0x07, 0x00       // Character - 124, offset (0x0000075E)
.byte 0x07              // width of the glyph
.byte 0x6C, 0x07, 0x00       // Character - 125, offset (0x0000076C)
.byte 0x09              // width of the glyph
.byte 0x7A, 0x07, 0x00       // Character - 126, offset (0x0000077A)
/***********************************
 * Font Characters
 ***********************************/
/***********************************
 * Character - 32
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 33
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x00        //         
.byte 0x06        //  **     
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 34
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x1B        // ** **   
.byte 0x1B        // ** **   
.byte 0x1B        // ** **   
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 35
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x50, 0x00        //     * *         
.byte 0x50, 0x00        //     * *         
.byte 0xFC, 0x00        //   ******        
.byte 0x28, 0x00        //    * *          
.byte 0x7E, 0x00        //  ******         
.byte 0x14, 0x00        //   * *           
.byte 0x14, 0x00        //   * *           
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 36
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x08        //    *    
.byte 0x08        //    *    
.byte 0x1C        //   ***   
.byte 0x2E        //  *** *  
.byte 0x0E        //  ***    
.byte 0x1C        //   ***   
.byte 0x38        //    ***  
.byte 0x3A        //  * ***  
.byte 0x1C        //   ***   
.byte 0x08        //    *    
.byte 0x08        //    *    
.byte 0x00        //         

/***********************************
 * Character - 37
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x0C, 0x01        //   **    *       
.byte 0x92, 0x00        //  *  *  *        
.byte 0x92, 0x06        //  *  *  * **     
.byte 0x52, 0x09        //  *  * * *  *    
.byte 0x2C, 0x09        //   ** *  *  *    
.byte 0x20, 0x09        //      *  *  *    
.byte 0x10, 0x06        //     *    **     
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 38
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x1C, 0x00        //   ***           
.byte 0x36, 0x00        //  ** **          
.byte 0x36, 0x00        //  ** **          
.byte 0xDC, 0x00        //   *** **        
.byte 0x76, 0x00        //  ** ***         
.byte 0x66, 0x00        //  **  **         
.byte 0xDC, 0x00        //   *** **        
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 39
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x03        // **      
.byte 0x03        // **      
.byte 0x03        // **      
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 40
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x18        //    **   
.byte 0x0C        //   **    
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x0C        //   **    
.byte 0x18        //    **   
.byte 0x00        //         

/***********************************
 * Character - 41
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x03        // **      
.byte 0x06        //  **     
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x06        //  **     
.byte 0x03        // **      
.byte 0x00        //         

/***********************************
 * Character - 42
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x08        //    *    
.byte 0x2A        //  * * *  
.byte 0x1C        //   ***   
.byte 0x2A        //  * * *  
.byte 0x08        //    *    
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 43
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x10, 0x00        //     *           
.byte 0x10, 0x00        //     *           
.byte 0x10, 0x00        //     *           
.byte 0xFE, 0x00        //  *******        
.byte 0x10, 0x00        //     *           
.byte 0x10, 0x00        //     *           
.byte 0x10, 0x00        //     *           
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 44
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x02        //  *      
.byte 0x00        //         

/***********************************
 * Character - 45
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x0E        //  ***    
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 46
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 47
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x20        //      *  
.byte 0x20        //      *  
.byte 0x10        //     *   
.byte 0x10        //     *   
.byte 0x08        //    *    
.byte 0x08        //    *    
.byte 0x04        //   *     
.byte 0x04        //   *     
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x00        //         

/***********************************
 * Character - 48
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x1C        //   ***   
.byte 0x36        //  ** **  
.byte 0x36        //  ** **  
.byte 0x36        //  ** **  
.byte 0x36        //  ** **  
.byte 0x36        //  ** **  
.byte 0x1C        //   ***   
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 49
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x18        //    **   
.byte 0x1C        //   ***   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x3C        //   ****  
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 50
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x1C        //   ***   
.byte 0x32        //  *  **  
.byte 0x30        //     **  
.byte 0x18        //    **   
.byte 0x0C        //   **    
.byte 0x06        //  **     
.byte 0x3E        //  *****  
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 51
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x1C        //   ***   
.byte 0x32        //  *  **  
.byte 0x30        //     **  
.byte 0x1C        //   ***   
.byte 0x30        //     **  
.byte 0x32        //  *  **  
.byte 0x1C        //   ***   
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 52
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x30        //     **  
.byte 0x38        //    ***  
.byte 0x34        //   * **  
.byte 0x32        //  *  **  
.byte 0x7E        //  ****** 
.byte 0x30        //     **  
.byte 0x30        //     **  
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 53
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x3E        //  *****  
.byte 0x06        //  **     
.byte 0x1E        //  ****   
.byte 0x30        //     **  
.byte 0x30        //     **  
.byte 0x32        //  *  **  
.byte 0x1C        //   ***   
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 54
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x1C        //   ***   
.byte 0x06        //  **     
.byte 0x1E        //  ****   
.byte 0x36        //  ** **  
.byte 0x36        //  ** **  
.byte 0x36        //  ** **  
.byte 0x1C        //   ***   
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 55
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x3E        //  *****  
.byte 0x30        //     **  
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x06        //  **     
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 56
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x1C        //   ***   
.byte 0x36        //  ** **  
.byte 0x36        //  ** **  
.byte 0x1C        //   ***   
.byte 0x36        //  ** **  
.byte 0x36        //  ** **  
.byte 0x1C        //   ***   
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 57
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x1C        //   ***   
.byte 0x36        //  ** **  
.byte 0x36        //  ** **  
.byte 0x36        //  ** **  
.byte 0x3C        //   ****  
.byte 0x30        //     **  
.byte 0x1C        //   ***   
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 58
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x00        //         
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 59
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x00        //         
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x02        //  *      
.byte 0x00        //         

/***********************************
 * Character - 60
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xC0, 0x00        //       **        
.byte 0x30, 0x00        //     **          
.byte 0x0C, 0x00        //   **            
.byte 0x02, 0x00        //  *              
.byte 0x0C, 0x00        //   **            
.byte 0x30, 0x00        //     **          
.byte 0xC0, 0x00        //       **        
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 61
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xFE, 0x00        //  *******        
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xFE, 0x00        //  *******        
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 62
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x06, 0x00        //  **             
.byte 0x18, 0x00        //    **           
.byte 0x60, 0x00        //      **         
.byte 0x80, 0x00        //        *        
.byte 0x60, 0x00        //      **         
.byte 0x18, 0x00        //    **           
.byte 0x06, 0x00        //  **             
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 63
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x0E        //  ***    
.byte 0x19        // *  **   
.byte 0x18        //    **   
.byte 0x0C        //   **    
.byte 0x06        //  **     
.byte 0x00        //         
.byte 0x06        //  **     
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 64
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x78, 0x00        //    ****         
.byte 0x84, 0x00        //   *    *        
.byte 0x72, 0x01        //  *  *** *       
.byte 0x4A, 0x01        //  * *  * *       
.byte 0x4A, 0x01        //  * *  * *       
.byte 0xF2, 0x00        //  *  ****        
.byte 0x04, 0x00        //   *             
.byte 0x78, 0x00        //    ****         
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 65
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x38        //    ***  
.byte 0x38        //    ***  
.byte 0x6C        //   ** ** 
.byte 0x6C        //   ** ** 
.byte 0x7C        //   ***** 
.byte 0xC6        //  **   **
.byte 0xC6        //  **   **
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 66
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x3E        //  *****  
.byte 0x66        //  **  ** 
.byte 0x66        //  **  ** 
.byte 0x3E        //  *****  
.byte 0x66        //  **  ** 
.byte 0x66        //  **  ** 
.byte 0x3E        //  *****  
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 67
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x1C        //   ***   
.byte 0x26        //  **  *  
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x26        //  **  *  
.byte 0x1C        //   ***   
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 68
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x3E        //  *****  
.byte 0x66        //  **  ** 
.byte 0xC6        //  **   **
.byte 0xC6        //  **   **
.byte 0xC6        //  **   **
.byte 0x66        //  **  ** 
.byte 0x3E        //  *****  
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 69
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x3E        //  *****  
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x3E        //  *****  
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x3E        //  *****  
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 70
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x3E        //  *****  
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x3E        //  *****  
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 71
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x3C        //   ****  
.byte 0x46        //  **   * 
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x76        //  ** *** 
.byte 0x66        //  **  ** 
.byte 0x7C        //   ***** 
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 72
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x66        //  **  ** 
.byte 0x66        //  **  ** 
.byte 0x66        //  **  ** 
.byte 0x7E        //  ****** 
.byte 0x66        //  **  ** 
.byte 0x66        //  **  ** 
.byte 0x66        //  **  ** 
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 73
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x1E        //  ****   
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x1E        //  ****   
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 74
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x1E        //  ****   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x0F        // ****    
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 75
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x66        //  **  ** 
.byte 0x36        //  ** **  
.byte 0x1E        //  ****   
.byte 0x0E        //  ***    
.byte 0x1E        //  ****   
.byte 0x36        //  ** **  
.byte 0x66        //  **  ** 
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 76
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x3E        //  *****  
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 77
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x82, 0x00        //  *     *        
.byte 0xC6, 0x00        //  **   **        
.byte 0xEE, 0x00        //  *** ***        
.byte 0xDA, 0x00        //  * ** **        
.byte 0xDA, 0x00        //  * ** **        
.byte 0xC2, 0x00        //  *    **        
.byte 0xC2, 0x00        //  *    **        
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 78
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x42        //  *    * 
.byte 0x46        //  **   * 
.byte 0x4E        //  ***  * 
.byte 0x5A        //  * ** * 
.byte 0x72        //  *  *** 
.byte 0x62        //  *   ** 
.byte 0x62        //  *   ** 
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 79
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x7C, 0x00        //   *****         
.byte 0xC6, 0x00        //  **   **        
.byte 0xC6, 0x00        //  **   **        
.byte 0xC6, 0x00        //  **   **        
.byte 0xC6, 0x00        //  **   **        
.byte 0xC6, 0x00        //  **   **        
.byte 0x7C, 0x00        //   *****         
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 80
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x3E        //  *****  
.byte 0x66        //  **  ** 
.byte 0x66        //  **  ** 
.byte 0x66        //  **  ** 
.byte 0x3E        //  *****  
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 81
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x7C, 0x00        //   *****         
.byte 0xC6, 0x00        //  **   **        
.byte 0xC6, 0x00        //  **   **        
.byte 0xC6, 0x00        //  **   **        
.byte 0xC6, 0x00        //  **   **        
.byte 0xC6, 0x00        //  **   **        
.byte 0x7C, 0x00        //   *****         
.byte 0x30, 0x00        //     **          
.byte 0xE0, 0x00        //      ***        
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 82
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x3E        //  *****  
.byte 0x66        //  **  ** 
.byte 0x66        //  **  ** 
.byte 0x3E        //  *****  
.byte 0x36        //  ** **  
.byte 0x66        //  **  ** 
.byte 0xC6        //  **   **
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 83
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x1C        //   ***   
.byte 0x26        //  **  *  
.byte 0x06        //  **     
.byte 0x1C        //   ***   
.byte 0x30        //     **  
.byte 0x32        //  *  **  
.byte 0x1C        //   ***   
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 84
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x3F        // ******  
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 85
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x66        //  **  ** 
.byte 0x66        //  **  ** 
.byte 0x66        //  **  ** 
.byte 0x66        //  **  ** 
.byte 0x66        //  **  ** 
.byte 0x66        //  **  ** 
.byte 0x3C        //   ****  
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 86
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x66        //  **  ** 
.byte 0x66        //  **  ** 
.byte 0x66        //  **  ** 
.byte 0x3C        //   ****  
.byte 0x3C        //   ****  
.byte 0x3C        //   ****  
.byte 0x18        //    **   
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 87
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x66, 0x06        //  **  **  **     
.byte 0x66, 0x06        //  **  **  **     
.byte 0x6C, 0x03        //   ** ** **      
.byte 0x6C, 0x03        //   ** ** **      
.byte 0x9C, 0x03        //   ***  ***      
.byte 0x98, 0x01        //    **  **       
.byte 0x98, 0x01        //    **  **       
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 88
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x66        //  **  ** 
.byte 0x66        //  **  ** 
.byte 0x3C        //   ****  
.byte 0x18        //    **   
.byte 0x3C        //   ****  
.byte 0x66        //  **  ** 
.byte 0x66        //  **  ** 
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 89
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x66        //  **  ** 
.byte 0x66        //  **  ** 
.byte 0x3C        //   ****  
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 90
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x3E        //  *****  
.byte 0x30        //     **  
.byte 0x18        //    **   
.byte 0x0C        //   **    
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x3E        //  *****  
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 91
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x0E        //  ***    
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x0E        //  ***    
.byte 0x00        //         

/***********************************
 * Character - 92
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x02        //  *      
.byte 0x02        //  *      
.byte 0x04        //   *     
.byte 0x04        //   *     
.byte 0x08        //    *    
.byte 0x08        //    *    
.byte 0x10        //     *   
.byte 0x10        //     *   
.byte 0x20        //      *  
.byte 0x20        //      *  
.byte 0x00        //         

/***********************************
 * Character - 93
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x0E        //  ***    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0E        //  ***    
.byte 0x00        //         

/***********************************
 * Character - 94
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x10, 0x00        //     *           
.byte 0x38, 0x00        //    ***          
.byte 0x6C, 0x00        //   ** **         
.byte 0xC6, 0x00        //  **   **        
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 95
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x7F        // ******* 
.byte 0x00        //         

/***********************************
 * Character - 96
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x0C        //   **    
.byte 0x18        //    **   
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 97
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x1E        //  ****   
.byte 0x30        //     **  
.byte 0x3E        //  *****  
.byte 0x33        // **  **  
.byte 0x3E        //  *****  
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 98
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x03        // **      
.byte 0x03        // **      
.byte 0x03        // **      
.byte 0x1F        // *****   
.byte 0x33        // **  **  
.byte 0x33        // **  **  
.byte 0x33        // **  **  
.byte 0x1F        // *****   
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 99
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x1E        //  ****   
.byte 0x03        // **      
.byte 0x03        // **      
.byte 0x03        // **      
.byte 0x1E        //  ****   
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 100
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x30        //     **  
.byte 0x30        //     **  
.byte 0x30        //     **  
.byte 0x3E        //  *****  
.byte 0x33        // **  **  
.byte 0x33        // **  **  
.byte 0x33        // **  **  
.byte 0x3E        //  *****  
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 101
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x1E        //  ****   
.byte 0x33        // **  **  
.byte 0x3F        // ******  
.byte 0x03        // **      
.byte 0x3E        //  *****  
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 102
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x1C        //   ***   
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x1F        // *****   
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 103
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x3E        //  *****  
.byte 0x33        // **  **  
.byte 0x33        // **  **  
.byte 0x33        // **  **  
.byte 0x3E        //  *****  
.byte 0x30        //     **  
.byte 0x1E        //  ****   
.byte 0x00        //         

/***********************************
 * Character - 104
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x03        // **      
.byte 0x03        // **      
.byte 0x03        // **      
.byte 0x1F        // *****   
.byte 0x33        // **  **  
.byte 0x33        // **  **  
.byte 0x33        // **  **  
.byte 0x33        // **  **  
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 105
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x03        // **      
.byte 0x00        //         
.byte 0x03        // **      
.byte 0x03        // **      
.byte 0x03        // **      
.byte 0x03        // **      
.byte 0x03        // **      
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 106
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x06        //  **     
.byte 0x00        //         
.byte 0x07        // ***     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x03        // **      
.byte 0x00        //         

/***********************************
 * Character - 107
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x03        // **      
.byte 0x03        // **      
.byte 0x03        // **      
.byte 0x33        // **  **  
.byte 0x1B        // ** **   
.byte 0x0F        // ****    
.byte 0x1B        // ** **   
.byte 0x33        // **  **  
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 108
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x03        // **      
.byte 0x03        // **      
.byte 0x03        // **      
.byte 0x03        // **      
.byte 0x03        // **      
.byte 0x03        // **      
.byte 0x03        // **      
.byte 0x03        // **      
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 109
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xDF, 0x01        // ***** ***       
.byte 0x33, 0x03        // **  **  **      
.byte 0x33, 0x03        // **  **  **      
.byte 0x33, 0x03        // **  **  **      
.byte 0x33, 0x03        // **  **  **      
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 110
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x1F        // *****   
.byte 0x33        // **  **  
.byte 0x33        // **  **  
.byte 0x33        // **  **  
.byte 0x33        // **  **  
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 111
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x1E        //  ****   
.byte 0x33        // **  **  
.byte 0x33        // **  **  
.byte 0x33        // **  **  
.byte 0x1E        //  ****   
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 112
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x1F        // *****   
.byte 0x33        // **  **  
.byte 0x33        // **  **  
.byte 0x33        // **  **  
.byte 0x1F        // *****   
.byte 0x03        // **      
.byte 0x03        // **      
.byte 0x00        //         

/***********************************
 * Character - 113
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x3E        //  *****  
.byte 0x33        // **  **  
.byte 0x33        // **  **  
.byte 0x33        // **  **  
.byte 0x3E        //  *****  
.byte 0x30        //     **  
.byte 0x30        //     **  
.byte 0x00        //         

/***********************************
 * Character - 114
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x1B        // ** **   
.byte 0x1F        // *****   
.byte 0x03        // **      
.byte 0x03        // **      
.byte 0x03        // **      
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 115
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x1E        //  ****   
.byte 0x03        // **      
.byte 0x1F        // *****   
.byte 0x18        //    **   
.byte 0x0F        // ****    
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 116
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x1F        // *****   
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x1C        //   ***   
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 117
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x33        // **  **  
.byte 0x33        // **  **  
.byte 0x33        // **  **  
.byte 0x33        // **  **  
.byte 0x3E        //  *****  
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 118
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x33        // **  **  
.byte 0x33        // **  **  
.byte 0x1E        //  ****   
.byte 0x1E        //  ****   
.byte 0x0C        //   **    
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 119
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xDB, 0x00        // ** ** **        
.byte 0xDB, 0x00        // ** ** **        
.byte 0xDB, 0x00        // ** ** **        
.byte 0x66, 0x00        //  **  **         
.byte 0x66, 0x00        //  **  **         
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 120
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x33        // **  **  
.byte 0x1E        //  ****   
.byte 0x0C        //   **    
.byte 0x1E        //  ****   
.byte 0x33        // **  **  
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 121
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x33        // **  **  
.byte 0x33        // **  **  
.byte 0x1E        //  ****   
.byte 0x1E        //  ****   
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x06        //  **     
.byte 0x00        //         

/***********************************
 * Character - 122
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x1F        // *****   
.byte 0x0C        //   **    
.byte 0x06        //  **     
.byte 0x03        // **      
.byte 0x1F        // *****   
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 123
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x30        //     **  
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x0E        //  ***    
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x30        //     **  
.byte 0x00        //         

/***********************************
 * Character - 124
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x04        //   *     
.byte 0x04        //   *     
.byte 0x04        //   *     
.byte 0x04        //   *     
.byte 0x04        //   *     
.byte 0x04        //   *     
.byte 0x04        //   *     
.byte 0x04        //   *     
.byte 0x04        //   *     
.byte 0x04        //   *     
.byte 0x00        //         

/***********************************
 * Character - 125
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x06        //  **     
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x38        //    ***  
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x06        //  **     
.byte 0x00        //         

/***********************************
 * Character - 126
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x8C, 0x00        //   **   *        
.byte 0x92, 0x00        //  *  *  *        
.byte 0x62, 0x00        //  *   **         
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

GRC_CONST_SECTION
/*********************************
 * Installed Font Structure
 * Label: Verdana_Bold_12
 * Description:  Height: 16 pixels, 1 bit per pixel, Range: ' ' to '~'
 ***********************************/
GRC_FONT_SECTION
.global ___Verdana_Bold_12    // for XC16
.global __Verdana_Bold_12     // for XC32
.align 2
___Verdana_Bold_12:    // for XC16
__Verdana_Bold_12:     // for XC32
/****************************************
 * Font header
 ****************************************/
.byte 0x00           // Font ID
.byte 0x00           // Font information:  1 bit per pixel, Characters zero degress rotation
.byte 0x20, 0x00     // First Character
.byte 0x7E, 0x00     // Last Character
.byte 0x10, 0x00     // Height
/****************************************
 * Font Glyph Table
 ****************************************/
.byte 0x04              // width of the glyph
.byte 0x84, 0x01, 0x00       // Character - 32, offset (0x00000184)
.byte 0x05              // width of the glyph
.byte 0x94, 0x01, 0x00       // Character - 33, offset (0x00000194)
.byte 0x07              // width of the glyph
.byte 0xA4, 0x01, 0x00       // Character - 34, offset (0x000001A4)
.byte 0x0A              // width of the glyph
.byte 0xB4, 0x01, 0x00       // Character - 35, offset (0x000001B4)
.byte 0x09              // width of the glyph
.byte 0xD4, 0x01, 0x00       // Character - 36, offset (0x000001D4)
.byte 0x0F              // width of the glyph
.byte 0xF4, 0x01, 0x00       // Character - 37, offset (0x000001F4)
.byte 0x0A              // width of the glyph
.byte 0x14, 0x02, 0x00       // Character - 38, offset (0x00000214)
.byte 0x04              // width of the glyph
.byte 0x34, 0x02, 0x00       // Character - 39, offset (0x00000234)
.byte 0x07              // width of the glyph
.byte 0x44, 0x02, 0x00       // Character - 40, offset (0x00000244)
.byte 0x07              // width of the glyph
.byte 0x54, 0x02, 0x00       // Character - 41, offset (0x00000254)
.byte 0x09              // width of the glyph
.byte 0x64, 0x02, 0x00       // Character - 42, offset (0x00000264)
.byte 0x0A              // width of the glyph
.byte 0x84, 0x02, 0x00       // Character - 43, offset (0x00000284)
.byte 0x04              // width of the glyph
.byte 0xA4, 0x02, 0x00       // Character - 44, offset (0x000002A4)
.byte 0x06              // width of the glyph
.byte 0xB4, 0x02, 0x00       // Character - 45, offset (0x000002B4)
.byte 0x04              // width of the glyph
.byte 0xC4, 0x02, 0x00       // Character - 46, offset (0x000002C4)
.byte 0x08              // width of the glyph
.byte 0xD4, 0x02, 0x00       // Character - 47, offset (0x000002D4)
.byte 0x09              // width of the glyph
.byte 0xE4, 0x02, 0x00       // Character - 48, offset (0x000002E4)
.byte 0x09              // width of the glyph
.byte 0x04, 0x03, 0x00       // Character - 49, offset (0x00000304)
.byte 0x09              // width of the glyph
.byte 0x24, 0x03, 0x00       // Character - 50, offset (0x00000324)
.byte 0x09              // width of the glyph
.byte 0x44, 0x03, 0x00       // Character - 51, offset (0x00000344)
.byte 0x09              // width of the glyph
.byte 0x64, 0x03, 0x00       // Character - 52, offset (0x00000364)
.byte 0x09              // width of the glyph
.byte 0x84, 0x03, 0x00       // Character - 53, offset (0x00000384)
.byte 0x09              // width of the glyph
.byte 0xA4, 0x03, 0x00       // Character - 54, offset (0x000003A4)
.byte 0x09              // width of the glyph
.byte 0xC4, 0x03, 0x00       // Character - 55, offset (0x000003C4)
.byte 0x09              // width of the glyph
.byte 0xE4, 0x03, 0x00       // Character - 56, offset (0x000003E4)
.byte 0x09              // width of the glyph
.byte 0x04, 0x04, 0x00       // Character - 57, offset (0x00000404)
.byte 0x05              // width of the glyph
.byte 0x24, 0x04, 0x00       // Character - 58, offset (0x00000424)
.byte 0x05              // width of the glyph
.byte 0x34, 0x04, 0x00       // Character - 59, offset (0x00000434)
.byte 0x0A              // width of the glyph
.byte 0x44, 0x04, 0x00       // Character - 60, offset (0x00000444)
.byte 0x0A              // width of the glyph
.byte 0x64, 0x04, 0x00       // Character - 61, offset (0x00000464)
.byte 0x0A              // width of the glyph
.byte 0x84, 0x04, 0x00       // Character - 62, offset (0x00000484)
.byte 0x07              // width of the glyph
.byte 0xA4, 0x04, 0x00       // Character - 63, offset (0x000004A4)
.byte 0x0C              // width of the glyph
.byte 0xB4, 0x04, 0x00       // Character - 64, offset (0x000004B4)
.byte 0x09              // width of the glyph
.byte 0xD4, 0x04, 0x00       // Character - 65, offset (0x000004D4)
.byte 0x09              // width of the glyph
.byte 0xF4, 0x04, 0x00       // Character - 66, offset (0x000004F4)
.byte 0x09              // width of the glyph
.byte 0x14, 0x05, 0x00       // Character - 67, offset (0x00000514)
.byte 0x0A              // width of the glyph
.byte 0x34, 0x05, 0x00       // Character - 68, offset (0x00000534)
.byte 0x08              // width of the glyph
.byte 0x54, 0x05, 0x00       // Character - 69, offset (0x00000554)
.byte 0x08              // width of the glyph
.byte 0x64, 0x05, 0x00       // Character - 70, offset (0x00000564)
.byte 0x0A              // width of the glyph
.byte 0x74, 0x05, 0x00       // Character - 71, offset (0x00000574)
.byte 0x0A              // width of the glyph
.byte 0x94, 0x05, 0x00       // Character - 72, offset (0x00000594)
.byte 0x07              // width of the glyph
.byte 0xB4, 0x05, 0x00       // Character - 73, offset (0x000005B4)
.byte 0x07              // width of the glyph
.byte 0xC4, 0x05, 0x00       // Character - 74, offset (0x000005C4)
.byte 0x09              // width of the glyph
.byte 0xD4, 0x05, 0x00       // Character - 75, offset (0x000005D4)
.byte 0x08              // width of the glyph
.byte 0xF4, 0x05, 0x00       // Character - 76, offset (0x000005F4)
.byte 0x0B              // width of the glyph
.byte 0x04, 0x06, 0x00       // Character - 77, offset (0x00000604)
.byte 0x0A              // width of the glyph
.byte 0x24, 0x06, 0x00       // Character - 78, offset (0x00000624)
.byte 0x0A              // width of the glyph
.byte 0x44, 0x06, 0x00       // Character - 79, offset (0x00000644)
.byte 0x09              // width of the glyph
.byte 0x64, 0x06, 0x00       // Character - 80, offset (0x00000664)
.byte 0x0A              // width of the glyph
.byte 0x84, 0x06, 0x00       // Character - 81, offset (0x00000684)
.byte 0x09              // width of the glyph
.byte 0xA4, 0x06, 0x00       // Character - 82, offset (0x000006A4)
.byte 0x09              // width of the glyph
.byte 0xC4, 0x06, 0x00       // Character - 83, offset (0x000006C4)
.byte 0x08              // width of the glyph
.byte 0xE4, 0x06, 0x00       // Character - 84, offset (0x000006E4)
.byte 0x0A              // width of the glyph
.byte 0xF4, 0x06, 0x00       // Character - 85, offset (0x000006F4)
.byte 0x09              // width of the glyph
.byte 0x14, 0x07, 0x00       // Character - 86, offset (0x00000714)
.byte 0x0E              // width of the glyph
.byte 0x34, 0x07, 0x00       // Character - 87, offset (0x00000734)
.byte 0x09              // width of the glyph
.byte 0x54, 0x07, 0x00       // Character - 88, offset (0x00000754)
.byte 0x09              // width of the glyph
.byte 0x74, 0x07, 0x00       // Character - 89, offset (0x00000774)
.byte 0x08              // width of the glyph
.byte 0x94, 0x07, 0x00       // Character - 90, offset (0x00000794)
.byte 0x07              // width of the glyph
.byte 0xA4, 0x07, 0x00       // Character - 91, offset (0x000007A4)
.byte 0x08              // width of the glyph
.byte 0xB4, 0x07, 0x00       // Character - 92, offset (0x000007B4)
.byte 0x07              // width of the glyph
.byte 0xC4, 0x07, 0x00       // Character - 93, offset (0x000007C4)
.byte 0x0A              // width of the glyph
.byte 0xD4, 0x07, 0x00       // Character - 94, offset (0x000007D4)
.byte 0x09              // width of the glyph
.byte 0xF4, 0x07, 0x00       // Character - 95, offset (0x000007F4)
.byte 0x09              // width of the glyph
.byte 0x14, 0x08, 0x00       // Character - 96, offset (0x00000814)
.byte 0x08              // width of the glyph
.byte 0x34, 0x08, 0x00       // Character - 97, offset (0x00000834)
.byte 0x08              // width of the glyph
.byte 0x44, 0x08, 0x00       // Character - 98, offset (0x00000844)
.byte 0x07              // width of the glyph
.byte 0x54, 0x08, 0x00       // Character - 99, offset (0x00000854)
.byte 0x08              // width of the glyph
.byte 0x64, 0x08, 0x00       // Character - 100, offset (0x00000864)
.byte 0x08              // width of the glyph
.byte 0x74, 0x08, 0x00       // Character - 101, offset (0x00000874)
.byte 0x05              // width of the glyph
.byte 0x84, 0x08, 0x00       // Character - 102, offset (0x00000884)
.byte 0x08              // width of the glyph
.byte 0x94, 0x08, 0x00       // Character - 103, offset (0x00000894)
.byte 0x09              // width of the glyph
.byte 0xA4, 0x08, 0x00       // Character - 104, offset (0x000008A4)
.byte 0x04              // width of the glyph
.byte 0xC4, 0x08, 0x00       // Character - 105, offset (0x000008C4)
.byte 0x05              // width of the glyph
.byte 0xD4, 0x08, 0x00       // Character - 106, offset (0x000008D4)
.byte 0x08              // width of the glyph
.byte 0xE4, 0x08, 0x00       // Character - 107, offset (0x000008E4)
.byte 0x04              // width of the glyph
.byte 0xF4, 0x08, 0x00       // Character - 108, offset (0x000008F4)
.byte 0x0D              // width of the glyph
.byte 0x04, 0x09, 0x00       // Character - 109, offset (0x00000904)
.byte 0x09              // width of the glyph
.byte 0x24, 0x09, 0x00       // Character - 110, offset (0x00000924)
.byte 0x08              // width of the glyph
.byte 0x44, 0x09, 0x00       // Character - 111, offset (0x00000944)
.byte 0x08              // width of the glyph
.byte 0x54, 0x09, 0x00       // Character - 112, offset (0x00000954)
.byte 0x08              // width of the glyph
.byte 0x64, 0x09, 0x00       // Character - 113, offset (0x00000964)
.byte 0x06              // width of the glyph
.byte 0x74, 0x09, 0x00       // Character - 114, offset (0x00000974)
.byte 0x07              // width of the glyph
.byte 0x84, 0x09, 0x00       // Character - 115, offset (0x00000984)
.byte 0x05              // width of the glyph
.byte 0x94, 0x09, 0x00       // Character - 116, offset (0x00000994)
.byte 0x09              // width of the glyph
.byte 0xA4, 0x09, 0x00       // Character - 117, offset (0x000009A4)
.byte 0x08              // width of the glyph
.byte 0xC4, 0x09, 0x00       // Character - 118, offset (0x000009C4)
.byte 0x0C              // width of the glyph
.byte 0xD4, 0x09, 0x00       // Character - 119, offset (0x000009D4)
.byte 0x08              // width of the glyph
.byte 0xF4, 0x09, 0x00       // Character - 120, offset (0x000009F4)
.byte 0x08              // width of the glyph
.byte 0x04, 0x0A, 0x00       // Character - 121, offset (0x00000A04)
.byte 0x07              // width of the glyph
.byte 0x14, 0x0A, 0x00       // Character - 122, offset (0x00000A14)
.byte 0x09              // width of the glyph
.byte 0x24, 0x0A, 0x00       // Character - 123, offset (0x00000A24)
.byte 0x07              // width of the glyph
.byte 0x44, 0x0A, 0x00       // Character - 124, offset (0x00000A44)
.byte 0x09              // width of the glyph
.byte 0x54, 0x0A, 0x00       // Character - 125, offset (0x00000A54)
.byte 0x0A              // width of the glyph
.byte 0x74, 0x0A, 0x00       // Character - 126, offset (0x00000A74)
/***********************************
 * Font Characters
 ***********************************/
/***********************************
 * Character - 32
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 33
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x00        //         
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 34
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x36        //  ** **  
.byte 0x36        //  ** **  
.byte 0x36        //  ** **  
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 35
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x90, 0x00        //     *  *        
.byte 0x90, 0x00        //     *  *        
.byte 0xFC, 0x01        //   *******       
.byte 0xFC, 0x01        //   *******       
.byte 0x48, 0x00        //    *  *         
.byte 0xFE, 0x00        //  *******        
.byte 0xFE, 0x00        //  *******        
.byte 0x24, 0x00        //   *  *          
.byte 0x24, 0x00        //   *  *          
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 36
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x10, 0x00        //     *           
.byte 0x10, 0x00        //     *           
.byte 0x7C, 0x00        //   *****         
.byte 0x96, 0x00        //  ** *  *        
.byte 0x16, 0x00        //  ** *           
.byte 0x7E, 0x00        //  ******         
.byte 0xFC, 0x00        //   ******        
.byte 0xD0, 0x00        //     * **        
.byte 0xD2, 0x00        //  *  * **        
.byte 0x7C, 0x00        //   *****         
.byte 0x10, 0x00        //     *           
.byte 0x10, 0x00        //     *           
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 37
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x1C, 0x02        //   ***    *      
.byte 0x36, 0x02        //  ** **   *      
.byte 0x36, 0x01        //  ** **  *       
.byte 0x36, 0x1D        //  ** **  * ***   
.byte 0xB6, 0x36        //  ** ** * ** **  
.byte 0x5C, 0x36        //   *** *  ** **  
.byte 0x40, 0x36        //       *  ** **  
.byte 0x20, 0x36        //      *   ** **  
.byte 0x20, 0x1C        //      *    ***   
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 38
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x1C, 0x00        //   ***           
.byte 0x36, 0x00        //  ** **          
.byte 0x36, 0x00        //  ** **          
.byte 0x36, 0x00        //  ** **          
.byte 0x9C, 0x01        //   ***  **       
.byte 0xB6, 0x00        //  ** ** *        
.byte 0x66, 0x00        //  **  **         
.byte 0xC6, 0x00        //  **   **        
.byte 0xBC, 0x01        //   **** **       
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 39
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 40
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x18        //    **   
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x18        //    **   
.byte 0x00        //         

/***********************************
 * Character - 41
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x0C        //   **    
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x30        //     **  
.byte 0x30        //     **  
.byte 0x30        //     **  
.byte 0x30        //     **  
.byte 0x30        //     **  
.byte 0x30        //     **  
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x0C        //   **    
.byte 0x00        //         

/***********************************
 * Character - 42
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x10, 0x00        //     *           
.byte 0x54, 0x00        //   * * *         
.byte 0x38, 0x00        //    ***          
.byte 0x38, 0x00        //    ***          
.byte 0x54, 0x00        //   * * *         
.byte 0x10, 0x00        //     *           
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 43
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x10, 0x00        //     *           
.byte 0x10, 0x00        //     *           
.byte 0x10, 0x00        //     *           
.byte 0xFE, 0x00        //  *******        
.byte 0x10, 0x00        //     *           
.byte 0x10, 0x00        //     *           
.byte 0x10, 0x00        //     *           
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 44
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x02        //  *      
.byte 0x00        //         

/***********************************
 * Character - 45
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x1E        //  ****   
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 46
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 47
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x60        //      ** 
.byte 0x60        //      ** 
.byte 0x30        //     **  
.byte 0x30        //     **  
.byte 0x30        //     **  
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x00        //         

/***********************************
 * Character - 48
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x7C, 0x00        //   *****         
.byte 0xC6, 0x00        //  **   **        
.byte 0xC6, 0x00        //  **   **        
.byte 0xC6, 0x00        //  **   **        
.byte 0xC6, 0x00        //  **   **        
.byte 0xC6, 0x00        //  **   **        
.byte 0xC6, 0x00        //  **   **        
.byte 0xC6, 0x00        //  **   **        
.byte 0x7C, 0x00        //   *****         
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 49
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x30, 0x00        //     **          
.byte 0x3C, 0x00        //   ****          
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0xFC, 0x00        //   ******        
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 50
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x7C, 0x00        //   *****         
.byte 0xC6, 0x00        //  **   **        
.byte 0xC0, 0x00        //       **        
.byte 0xC0, 0x00        //       **        
.byte 0x60, 0x00        //      **         
.byte 0x30, 0x00        //     **          
.byte 0x18, 0x00        //    **           
.byte 0x0C, 0x00        //   **            
.byte 0xFE, 0x00        //  *******        
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 51
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x7C, 0x00        //   *****         
.byte 0xC6, 0x00        //  **   **        
.byte 0xC0, 0x00        //       **        
.byte 0xC0, 0x00        //       **        
.byte 0x78, 0x00        //    ****         
.byte 0xC0, 0x00        //       **        
.byte 0xC0, 0x00        //       **        
.byte 0xC6, 0x00        //  **   **        
.byte 0x7C, 0x00        //   *****         
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 52
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x60, 0x00        //      **         
.byte 0x70, 0x00        //     ***         
.byte 0x68, 0x00        //    * **         
.byte 0x68, 0x00        //    * **         
.byte 0x64, 0x00        //   *  **         
.byte 0x62, 0x00        //  *   **         
.byte 0xFE, 0x00        //  *******        
.byte 0x60, 0x00        //      **         
.byte 0x60, 0x00        //      **         
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 53
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xFC, 0x00        //   ******        
.byte 0x0C, 0x00        //   **            
.byte 0x0C, 0x00        //   **            
.byte 0x7C, 0x00        //   *****         
.byte 0xC0, 0x00        //       **        
.byte 0xC0, 0x00        //       **        
.byte 0xC0, 0x00        //       **        
.byte 0xC6, 0x00        //  **   **        
.byte 0x7C, 0x00        //   *****         
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 54
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x78, 0x00        //    ****         
.byte 0x0C, 0x00        //   **            
.byte 0x06, 0x00        //  **             
.byte 0x7E, 0x00        //  ******         
.byte 0xC6, 0x00        //  **   **        
.byte 0xC6, 0x00        //  **   **        
.byte 0xC6, 0x00        //  **   **        
.byte 0xC6, 0x00        //  **   **        
.byte 0x7C, 0x00        //   *****         
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 55
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xFE, 0x00        //  *******        
.byte 0xC0, 0x00        //       **        
.byte 0x60, 0x00        //      **         
.byte 0x60, 0x00        //      **         
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x18, 0x00        //    **           
.byte 0x18, 0x00        //    **           
.byte 0x0C, 0x00        //   **            
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 56
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x7C, 0x00        //   *****         
.byte 0xC6, 0x00        //  **   **        
.byte 0xC6, 0x00        //  **   **        
.byte 0xC6, 0x00        //  **   **        
.byte 0x7C, 0x00        //   *****         
.byte 0xC6, 0x00        //  **   **        
.byte 0xC6, 0x00        //  **   **        
.byte 0xC6, 0x00        //  **   **        
.byte 0x7C, 0x00        //   *****         
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 57
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x7C, 0x00        //   *****         
.byte 0xC6, 0x00        //  **   **        
.byte 0xC6, 0x00        //  **   **        
.byte 0xC6, 0x00        //  **   **        
.byte 0xC6, 0x00        //  **   **        
.byte 0xFC, 0x00        //   ******        
.byte 0xC0, 0x00        //       **        
.byte 0x60, 0x00        //      **         
.byte 0x3C, 0x00        //   ****          
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 58
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 59
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x02        //  *      
.byte 0x00        //         

/***********************************
 * Character - 60
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x80, 0x00        //        *        
.byte 0x60, 0x00        //      **         
.byte 0x18, 0x00        //    **           
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x18, 0x00        //    **           
.byte 0x60, 0x00        //      **         
.byte 0x80, 0x00        //        *        
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 61
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xFE, 0x00        //  *******        
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xFE, 0x00        //  *******        
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 62
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x02, 0x00        //  *              
.byte 0x0C, 0x00        //   **            
.byte 0x30, 0x00        //     **          
.byte 0xC0, 0x00        //       **        
.byte 0xC0, 0x00        //       **        
.byte 0x30, 0x00        //     **          
.byte 0x0C, 0x00        //   **            
.byte 0x02, 0x00        //  *              
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 63
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x1C        //   ***   
.byte 0x32        //  *  **  
.byte 0x30        //     **  
.byte 0x18        //    **   
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x00        //         
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 64
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xF0, 0x00        //     ****        
.byte 0x0C, 0x03        //   **    **      
.byte 0xF4, 0x02        //   * **** *      
.byte 0xDA, 0x04        //  * ** **  *     
.byte 0xDA, 0x04        //  * ** **  *     
.byte 0xDA, 0x04        //  * ** **  *     
.byte 0xDA, 0x04        //  * ** **  *     
.byte 0xF4, 0x03        //   * ******      
.byte 0x0C, 0x00        //   **            
.byte 0xF0, 0x00        //     ****        
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 65
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x38, 0x00        //    ***          
.byte 0x38, 0x00        //    ***          
.byte 0x6C, 0x00        //   ** **         
.byte 0x6C, 0x00        //   ** **         
.byte 0x6C, 0x00        //   ** **         
.byte 0x6C, 0x00        //   ** **         
.byte 0xFE, 0x00        //  *******        
.byte 0xC6, 0x00        //  **   **        
.byte 0xC6, 0x00        //  **   **        
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 66
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x3E, 0x00        //  *****          
.byte 0x66, 0x00        //  **  **         
.byte 0x66, 0x00        //  **  **         
.byte 0x66, 0x00        //  **  **         
.byte 0x7E, 0x00        //  ******         
.byte 0xC6, 0x00        //  **   **        
.byte 0xC6, 0x00        //  **   **        
.byte 0xC6, 0x00        //  **   **        
.byte 0x7E, 0x00        //  ******         
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 67
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x78, 0x00        //    ****         
.byte 0x8C, 0x00        //   **   *        
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x8C, 0x00        //   **   *        
.byte 0x78, 0x00        //    ****         
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 68
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x7E, 0x00        //  ******         
.byte 0xC6, 0x00        //  **   **        
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0xC6, 0x00        //  **   **        
.byte 0x7E, 0x00        //  ******         
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 69
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x7E        //  ****** 
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x7E        //  ****** 
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x7E        //  ****** 
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 70
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x7E        //  ****** 
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x7E        //  ****** 
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 71
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xF8, 0x00        //    *****        
.byte 0x0C, 0x01        //   **    *       
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0xE6, 0x01        //  **  ****       
.byte 0x86, 0x01        //  **    **       
.byte 0x8C, 0x01        //   **   **       
.byte 0xF8, 0x01        //    ******       
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 72
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0xFE, 0x01        //  ********       
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 73
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x1E        //  ****   
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x1E        //  ****   
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 74
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x3E        //  *****  
.byte 0x30        //     **  
.byte 0x30        //     **  
.byte 0x30        //     **  
.byte 0x30        //     **  
.byte 0x30        //     **  
.byte 0x30        //     **  
.byte 0x30        //     **  
.byte 0x1F        // *****   
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 75
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xC6, 0x00        //  **   **        
.byte 0x66, 0x00        //  **  **         
.byte 0x36, 0x00        //  ** **          
.byte 0x1E, 0x00        //  ****           
.byte 0x0E, 0x00        //  ***            
.byte 0x1E, 0x00        //  ****           
.byte 0x36, 0x00        //  ** **          
.byte 0x66, 0x00        //  **  **         
.byte 0xC6, 0x00        //  **   **        
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 76
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0xFE        //  *******
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 77
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x06, 0x03        //  **     **      
.byte 0x8E, 0x03        //  ***   ***      
.byte 0x8E, 0x03        //  ***   ***      
.byte 0x5A, 0x03        //  * ** * **      
.byte 0x5A, 0x03        //  * ** * **      
.byte 0x32, 0x03        //  *  **  **      
.byte 0x32, 0x03        //  *  **  **      
.byte 0x02, 0x03        //  *      **      
.byte 0x02, 0x03        //  *      **      
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 78
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x06, 0x01        //  **     *       
.byte 0x0E, 0x01        //  ***    *       
.byte 0x1A, 0x01        //  * **   *       
.byte 0x1A, 0x01        //  * **   *       
.byte 0x32, 0x01        //  *  **  *       
.byte 0x62, 0x01        //  *   ** *       
.byte 0x62, 0x01        //  *   ** *       
.byte 0xC2, 0x01        //  *    ***       
.byte 0x82, 0x01        //  *     **       
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 79
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xF8, 0x00        //    *****        
.byte 0x8C, 0x01        //   **   **       
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x8C, 0x01        //   **   **       
.byte 0xF8, 0x00        //    *****        
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 80
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x7E, 0x00        //  ******         
.byte 0xC6, 0x00        //  **   **        
.byte 0xC6, 0x00        //  **   **        
.byte 0xC6, 0x00        //  **   **        
.byte 0xC6, 0x00        //  **   **        
.byte 0x7E, 0x00        //  ******         
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 81
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xF8, 0x00        //    *****        
.byte 0x8C, 0x01        //   **   **       
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x8C, 0x01        //   **   **       
.byte 0xF8, 0x00        //    *****        
.byte 0x60, 0x00        //      **         
.byte 0xC0, 0x03        //       ****      
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 82
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x7E, 0x00        //  ******         
.byte 0xC6, 0x00        //  **   **        
.byte 0xC6, 0x00        //  **   **        
.byte 0xC6, 0x00        //  **   **        
.byte 0x7E, 0x00        //  ******         
.byte 0x36, 0x00        //  ** **          
.byte 0x66, 0x00        //  **  **         
.byte 0xC6, 0x00        //  **   **        
.byte 0x86, 0x01        //  **    **       
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 83
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x7C, 0x00        //   *****         
.byte 0x86, 0x00        //  **    *        
.byte 0x06, 0x00        //  **             
.byte 0x0E, 0x00        //  ***            
.byte 0x7C, 0x00        //   *****         
.byte 0xE0, 0x00        //      ***        
.byte 0xC0, 0x00        //       **        
.byte 0xC2, 0x00        //  *    **        
.byte 0x7C, 0x00        //   *****         
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 84
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0xFF        // ********
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 85
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0xFC, 0x00        //   ******        
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 86
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xC6, 0x00        //  **   **        
.byte 0xC6, 0x00        //  **   **        
.byte 0xC6, 0x00        //  **   **        
.byte 0x6C, 0x00        //   ** **         
.byte 0x6C, 0x00        //   ** **         
.byte 0x6C, 0x00        //   ** **         
.byte 0x38, 0x00        //    ***          
.byte 0x38, 0x00        //    ***          
.byte 0x38, 0x00        //    ***          
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 87
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xC6, 0x18        //  **   **   **   
.byte 0xC6, 0x18        //  **   **   **   
.byte 0xC6, 0x18        //  **   **   **   
.byte 0xCC, 0x0C        //   **  **  **    
.byte 0xEC, 0x0D        //   ** **** **    
.byte 0x2C, 0x0F        //   ** *  ****    
.byte 0x38, 0x07        //    ***  ***     
.byte 0x18, 0x06        //    **    **     
.byte 0x18, 0x06        //    **    **     
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 88
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xC6, 0x00        //  **   **        
.byte 0xCE, 0x00        //  ***  **        
.byte 0x6C, 0x00        //   ** **         
.byte 0x38, 0x00        //    ***          
.byte 0x38, 0x00        //    ***          
.byte 0x38, 0x00        //    ***          
.byte 0x6C, 0x00        //   ** **         
.byte 0xE6, 0x00        //  **  ***        
.byte 0xC6, 0x00        //  **   **        
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 89
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0xCC, 0x00        //   **  **        
.byte 0x78, 0x00        //    ****         
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 90
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x7E        //  ****** 
.byte 0x30        //     **  
.byte 0x30        //     **  
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x06        //  **     
.byte 0x7E        //  ****** 
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 91
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x1E        //  ****   
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x1E        //  ****   
.byte 0x00        //         

/***********************************
 * Character - 92
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x30        //     **  
.byte 0x30        //     **  
.byte 0x30        //     **  
.byte 0x60        //      ** 
.byte 0x60        //      ** 
.byte 0x00        //         

/***********************************
 * Character - 93
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x1E        //  ****   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x1E        //  ****   
.byte 0x00        //         

/***********************************
 * Character - 94
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x30, 0x00        //     **          
.byte 0x78, 0x00        //    ****         
.byte 0xCC, 0x00        //   **  **        
.byte 0x86, 0x01        //  **    **       
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 95
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xFF, 0x01        // *********       
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 96
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x0C, 0x00        //   **            
.byte 0x18, 0x00        //    **           
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 97
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x3C        //   ****  
.byte 0x60        //      ** 
.byte 0x7C        //   ***** 
.byte 0x66        //  **  ** 
.byte 0x66        //  **  ** 
.byte 0x66        //  **  ** 
.byte 0x7C        //   ***** 
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 98
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x3E        //  *****  
.byte 0x66        //  **  ** 
.byte 0x66        //  **  ** 
.byte 0x66        //  **  ** 
.byte 0x66        //  **  ** 
.byte 0x66        //  **  ** 
.byte 0x3E        //  *****  
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 99
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x3C        //   ****  
.byte 0x46        //  **   * 
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x46        //  **   * 
.byte 0x3C        //   ****  
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 100
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x60        //      ** 
.byte 0x60        //      ** 
.byte 0x60        //      ** 
.byte 0x7C        //   ***** 
.byte 0x66        //  **  ** 
.byte 0x66        //  **  ** 
.byte 0x66        //  **  ** 
.byte 0x66        //  **  ** 
.byte 0x66        //  **  ** 
.byte 0x7C        //   ***** 
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 101
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x3C        //   ****  
.byte 0x66        //  **  ** 
.byte 0x66        //  **  ** 
.byte 0x7E        //  ****** 
.byte 0x06        //  **     
.byte 0x46        //  **   * 
.byte 0x3C        //   ****  
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 102
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x1C        //   ***   
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x1F        // *****   
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 103
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x7C        //   ***** 
.byte 0x66        //  **  ** 
.byte 0x66        //  **  ** 
.byte 0x66        //  **  ** 
.byte 0x66        //  **  ** 
.byte 0x66        //  **  ** 
.byte 0x7C        //   ***** 
.byte 0x60        //      ** 
.byte 0x3C        //   ****  
.byte 0x00        //         

/***********************************
 * Character - 104
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x3E, 0x00        //  *****          
.byte 0x66, 0x00        //  **  **         
.byte 0x66, 0x00        //  **  **         
.byte 0x66, 0x00        //  **  **         
.byte 0x66, 0x00        //  **  **         
.byte 0x66, 0x00        //  **  **         
.byte 0x66, 0x00        //  **  **         
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 105
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x00        //         
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 106
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x00        //         
.byte 0x0E        //  ***    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x07        // ***     
.byte 0x00        //         

/***********************************
 * Character - 107
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x66        //  **  ** 
.byte 0x36        //  ** **  
.byte 0x1E        //  ****   
.byte 0x1E        //  ****   
.byte 0x3E        //  *****  
.byte 0x66        //  **  ** 
.byte 0xC6        //  **   **
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 108
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 109
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x36, 0x03        //  ** **  **      
.byte 0xEE, 0x06        //  *** *** **     
.byte 0x66, 0x06        //  **  **  **     
.byte 0x66, 0x06        //  **  **  **     
.byte 0x66, 0x06        //  **  **  **     
.byte 0x66, 0x06        //  **  **  **     
.byte 0x66, 0x06        //  **  **  **     
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 110
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x3E, 0x00        //  *****          
.byte 0x66, 0x00        //  **  **         
.byte 0x66, 0x00        //  **  **         
.byte 0x66, 0x00        //  **  **         
.byte 0x66, 0x00        //  **  **         
.byte 0x66, 0x00        //  **  **         
.byte 0x66, 0x00        //  **  **         
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 111
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x3C        //   ****  
.byte 0x66        //  **  ** 
.byte 0x66        //  **  ** 
.byte 0x66        //  **  ** 
.byte 0x66        //  **  ** 
.byte 0x66        //  **  ** 
.byte 0x3C        //   ****  
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 112
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x3E        //  *****  
.byte 0x66        //  **  ** 
.byte 0x66        //  **  ** 
.byte 0x66        //  **  ** 
.byte 0x66        //  **  ** 
.byte 0x66        //  **  ** 
.byte 0x3E        //  *****  
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x00        //         

/***********************************
 * Character - 113
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x7C        //   ***** 
.byte 0x66        //  **  ** 
.byte 0x66        //  **  ** 
.byte 0x66        //  **  ** 
.byte 0x66        //  **  ** 
.byte 0x66        //  **  ** 
.byte 0x7C        //   ***** 
.byte 0x60        //      ** 
.byte 0x60        //      ** 
.byte 0x00        //         

/***********************************
 * Character - 114
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x36        //  ** **  
.byte 0x3E        //  *****  
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 115
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x3C        //   ****  
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x1C        //   ***   
.byte 0x30        //     **  
.byte 0x30        //     **  
.byte 0x1E        //  ****   
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 116
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x1F        // *****   
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x1C        //   ***   
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 117
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x66, 0x00        //  **  **         
.byte 0x66, 0x00        //  **  **         
.byte 0x66, 0x00        //  **  **         
.byte 0x66, 0x00        //  **  **         
.byte 0x66, 0x00        //  **  **         
.byte 0x66, 0x00        //  **  **         
.byte 0x7C, 0x00        //   *****         
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 118
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x66        //  **  ** 
.byte 0x66        //  **  ** 
.byte 0x66        //  **  ** 
.byte 0x3C        //   ****  
.byte 0x3C        //   ****  
.byte 0x3C        //   ****  
.byte 0x18        //    **   
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 119
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x66, 0x06        //  **  **  **     
.byte 0x66, 0x06        //  **  **  **     
.byte 0x66, 0x06        //  **  **  **     
.byte 0x96, 0x06        //  ** *  * **     
.byte 0x9C, 0x03        //   ***  ***      
.byte 0x0C, 0x03        //   **    **      
.byte 0x0C, 0x03        //   **    **      
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 120
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x66        //  **  ** 
.byte 0x66        //  **  ** 
.byte 0x3C        //   ****  
.byte 0x18        //    **   
.byte 0x3C        //   ****  
.byte 0x66        //  **  ** 
.byte 0x66        //  **  ** 
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 121
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x66        //  **  ** 
.byte 0x66        //  **  ** 
.byte 0x66        //  **  ** 
.byte 0x3C        //   ****  
.byte 0x3C        //   ****  
.byte 0x3C        //   ****  
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x0C        //   **    
.byte 0x00        //         

/***********************************
 * Character - 122
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x3E        //  *****  
.byte 0x30        //     **  
.byte 0x18        //    **   
.byte 0x1C        //   ***   
.byte 0x0C        //   **    
.byte 0x06        //  **     
.byte 0x3E        //  *****  
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 123
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x70, 0x00        //     ***         
.byte 0x18, 0x00        //    **           
.byte 0x18, 0x00        //    **           
.byte 0x18, 0x00        //    **           
.byte 0x18, 0x00        //    **           
.byte 0x0E, 0x00        //  ***            
.byte 0x18, 0x00        //    **           
.byte 0x18, 0x00        //    **           
.byte 0x18, 0x00        //    **           
.byte 0x18, 0x00        //    **           
.byte 0x18, 0x00        //    **           
.byte 0x70, 0x00        //     ***         
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 124
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x00        //         

/***********************************
 * Character - 125
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x1C, 0x00        //   ***           
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0xE0, 0x00        //      ***        
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x1C, 0x00        //   ***           
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 126
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x0C, 0x01        //   **    *       
.byte 0x12, 0x01        //  *  *   *       
.byte 0x22, 0x01        //  *   *  *       
.byte 0xC2, 0x00        //  *    **        
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

GRC_CONST_SECTION
/*********************************
 * Installed Font Structure
 * Label: Verdana_Bold_14
 * Description:  Height: 18 pixels, 1 bit per pixel, Range: ' ' to '~'
 ***********************************/
GRC_FONT_SECTION
.global ___Verdana_Bold_14    // for XC16
.global __Verdana_Bold_14     // for XC32
.align 2
___Verdana_Bold_14:    // for XC16
__Verdana_Bold_14:     // for XC32
/****************************************
 * Font header
 ****************************************/
.byte 0x00           // Font ID
.byte 0x00           // Font information:  1 bit per pixel, Characters zero degress rotation
.byte 0x20, 0x00     // First Character
.byte 0x7E, 0x00     // Last Character
.byte 0x12, 0x00     // Height
/****************************************
 * Font Glyph Table
 ****************************************/
.byte 0x05              // width of the glyph
.byte 0x84, 0x01, 0x00       // Character - 32, offset (0x00000184)
.byte 0x06              // width of the glyph
.byte 0x96, 0x01, 0x00       // Character - 33, offset (0x00000196)
.byte 0x08              // width of the glyph
.byte 0xA8, 0x01, 0x00       // Character - 34, offset (0x000001A8)
.byte 0x0C              // width of the glyph
.byte 0xBA, 0x01, 0x00       // Character - 35, offset (0x000001BA)
.byte 0x0A              // width of the glyph
.byte 0xDE, 0x01, 0x00       // Character - 36, offset (0x000001DE)
.byte 0x12              // width of the glyph
.byte 0x02, 0x02, 0x00       // Character - 37, offset (0x00000202)
.byte 0x0C              // width of the glyph
.byte 0x38, 0x02, 0x00       // Character - 38, offset (0x00000238)
.byte 0x05              // width of the glyph
.byte 0x5C, 0x02, 0x00       // Character - 39, offset (0x0000025C)
.byte 0x08              // width of the glyph
.byte 0x6E, 0x02, 0x00       // Character - 40, offset (0x0000026E)
.byte 0x08              // width of the glyph
.byte 0x80, 0x02, 0x00       // Character - 41, offset (0x00000280)
.byte 0x0A              // width of the glyph
.byte 0x92, 0x02, 0x00       // Character - 42, offset (0x00000292)
.byte 0x0C              // width of the glyph
.byte 0xB6, 0x02, 0x00       // Character - 43, offset (0x000002B6)
.byte 0x05              // width of the glyph
.byte 0xDA, 0x02, 0x00       // Character - 44, offset (0x000002DA)
.byte 0x07              // width of the glyph
.byte 0xEC, 0x02, 0x00       // Character - 45, offset (0x000002EC)
.byte 0x05              // width of the glyph
.byte 0xFE, 0x02, 0x00       // Character - 46, offset (0x000002FE)
.byte 0x0A              // width of the glyph
.byte 0x10, 0x03, 0x00       // Character - 47, offset (0x00000310)
.byte 0x0A              // width of the glyph
.byte 0x34, 0x03, 0x00       // Character - 48, offset (0x00000334)
.byte 0x0A              // width of the glyph
.byte 0x58, 0x03, 0x00       // Character - 49, offset (0x00000358)
.byte 0x0A              // width of the glyph
.byte 0x7C, 0x03, 0x00       // Character - 50, offset (0x0000037C)
.byte 0x0A              // width of the glyph
.byte 0xA0, 0x03, 0x00       // Character - 51, offset (0x000003A0)
.byte 0x0A              // width of the glyph
.byte 0xC4, 0x03, 0x00       // Character - 52, offset (0x000003C4)
.byte 0x0A              // width of the glyph
.byte 0xE8, 0x03, 0x00       // Character - 53, offset (0x000003E8)
.byte 0x0A              // width of the glyph
.byte 0x0C, 0x04, 0x00       // Character - 54, offset (0x0000040C)
.byte 0x0A              // width of the glyph
.byte 0x30, 0x04, 0x00       // Character - 55, offset (0x00000430)
.byte 0x0A              // width of the glyph
.byte 0x54, 0x04, 0x00       // Character - 56, offset (0x00000454)
.byte 0x0A              // width of the glyph
.byte 0x78, 0x04, 0x00       // Character - 57, offset (0x00000478)
.byte 0x06              // width of the glyph
.byte 0x9C, 0x04, 0x00       // Character - 58, offset (0x0000049C)
.byte 0x06              // width of the glyph
.byte 0xAE, 0x04, 0x00       // Character - 59, offset (0x000004AE)
.byte 0x0C              // width of the glyph
.byte 0xC0, 0x04, 0x00       // Character - 60, offset (0x000004C0)
.byte 0x0C              // width of the glyph
.byte 0xE4, 0x04, 0x00       // Character - 61, offset (0x000004E4)
.byte 0x0C              // width of the glyph
.byte 0x08, 0x05, 0x00       // Character - 62, offset (0x00000508)
.byte 0x09              // width of the glyph
.byte 0x2C, 0x05, 0x00       // Character - 63, offset (0x0000052C)
.byte 0x0D              // width of the glyph
.byte 0x50, 0x05, 0x00       // Character - 64, offset (0x00000550)
.byte 0x0B              // width of the glyph
.byte 0x74, 0x05, 0x00       // Character - 65, offset (0x00000574)
.byte 0x0B              // width of the glyph
.byte 0x98, 0x05, 0x00       // Character - 66, offset (0x00000598)
.byte 0x0A              // width of the glyph
.byte 0xBC, 0x05, 0x00       // Character - 67, offset (0x000005BC)
.byte 0x0C              // width of the glyph
.byte 0xE0, 0x05, 0x00       // Character - 68, offset (0x000005E0)
.byte 0x0A              // width of the glyph
.byte 0x04, 0x06, 0x00       // Character - 69, offset (0x00000604)
.byte 0x09              // width of the glyph
.byte 0x28, 0x06, 0x00       // Character - 70, offset (0x00000628)
.byte 0x0B              // width of the glyph
.byte 0x4C, 0x06, 0x00       // Character - 71, offset (0x0000064C)
.byte 0x0C              // width of the glyph
.byte 0x70, 0x06, 0x00       // Character - 72, offset (0x00000670)
.byte 0x08              // width of the glyph
.byte 0x94, 0x06, 0x00       // Character - 73, offset (0x00000694)
.byte 0x08              // width of the glyph
.byte 0xA6, 0x06, 0x00       // Character - 74, offset (0x000006A6)
.byte 0x0B              // width of the glyph
.byte 0xB8, 0x06, 0x00       // Character - 75, offset (0x000006B8)
.byte 0x09              // width of the glyph
.byte 0xDC, 0x06, 0x00       // Character - 76, offset (0x000006DC)
.byte 0x0D              // width of the glyph
.byte 0x00, 0x07, 0x00       // Character - 77, offset (0x00000700)
.byte 0x0C              // width of the glyph
.byte 0x24, 0x07, 0x00       // Character - 78, offset (0x00000724)
.byte 0x0C              // width of the glyph
.byte 0x48, 0x07, 0x00       // Character - 79, offset (0x00000748)
.byte 0x0A              // width of the glyph
.byte 0x6C, 0x07, 0x00       // Character - 80, offset (0x0000076C)
.byte 0x0C              // width of the glyph
.byte 0x90, 0x07, 0x00       // Character - 81, offset (0x00000790)
.byte 0x0B              // width of the glyph
.byte 0xB4, 0x07, 0x00       // Character - 82, offset (0x000007B4)
.byte 0x0A              // width of the glyph
.byte 0xD8, 0x07, 0x00       // Character - 83, offset (0x000007D8)
.byte 0x0A              // width of the glyph
.byte 0xFC, 0x07, 0x00       // Character - 84, offset (0x000007FC)
.byte 0x0B              // width of the glyph
.byte 0x20, 0x08, 0x00       // Character - 85, offset (0x00000820)
.byte 0x0B              // width of the glyph
.byte 0x44, 0x08, 0x00       // Character - 86, offset (0x00000844)
.byte 0x10              // width of the glyph
.byte 0x68, 0x08, 0x00       // Character - 87, offset (0x00000868)
.byte 0x0B              // width of the glyph
.byte 0x8C, 0x08, 0x00       // Character - 88, offset (0x0000088C)
.byte 0x0A              // width of the glyph
.byte 0xB0, 0x08, 0x00       // Character - 89, offset (0x000008B0)
.byte 0x0A              // width of the glyph
.byte 0xD4, 0x08, 0x00       // Character - 90, offset (0x000008D4)
.byte 0x08              // width of the glyph
.byte 0xF8, 0x08, 0x00       // Character - 91, offset (0x000008F8)
.byte 0x0A              // width of the glyph
.byte 0x0A, 0x09, 0x00       // Character - 92, offset (0x0000090A)
.byte 0x08              // width of the glyph
.byte 0x2E, 0x09, 0x00       // Character - 93, offset (0x0000092E)
.byte 0x0C              // width of the glyph
.byte 0x40, 0x09, 0x00       // Character - 94, offset (0x00000940)
.byte 0x0A              // width of the glyph
.byte 0x64, 0x09, 0x00       // Character - 95, offset (0x00000964)
.byte 0x0A              // width of the glyph
.byte 0x88, 0x09, 0x00       // Character - 96, offset (0x00000988)
.byte 0x09              // width of the glyph
.byte 0xAC, 0x09, 0x00       // Character - 97, offset (0x000009AC)
.byte 0x0A              // width of the glyph
.byte 0xD0, 0x09, 0x00       // Character - 98, offset (0x000009D0)
.byte 0x08              // width of the glyph
.byte 0xF4, 0x09, 0x00       // Character - 99, offset (0x000009F4)
.byte 0x0A              // width of the glyph
.byte 0x06, 0x0A, 0x00       // Character - 100, offset (0x00000A06)
.byte 0x09              // width of the glyph
.byte 0x2A, 0x0A, 0x00       // Character - 101, offset (0x00000A2A)
.byte 0x06              // width of the glyph
.byte 0x4E, 0x0A, 0x00       // Character - 102, offset (0x00000A4E)
.byte 0x0A              // width of the glyph
.byte 0x60, 0x0A, 0x00       // Character - 103, offset (0x00000A60)
.byte 0x0A              // width of the glyph
.byte 0x84, 0x0A, 0x00       // Character - 104, offset (0x00000A84)
.byte 0x05              // width of the glyph
.byte 0xA8, 0x0A, 0x00       // Character - 105, offset (0x00000AA8)
.byte 0x06              // width of the glyph
.byte 0xBA, 0x0A, 0x00       // Character - 106, offset (0x00000ABA)
.byte 0x09              // width of the glyph
.byte 0xCC, 0x0A, 0x00       // Character - 107, offset (0x00000ACC)
.byte 0x05              // width of the glyph
.byte 0xF0, 0x0A, 0x00       // Character - 108, offset (0x00000AF0)
.byte 0x0F              // width of the glyph
.byte 0x02, 0x0B, 0x00       // Character - 109, offset (0x00000B02)
.byte 0x0A              // width of the glyph
.byte 0x26, 0x0B, 0x00       // Character - 110, offset (0x00000B26)
.byte 0x0A              // width of the glyph
.byte 0x4A, 0x0B, 0x00       // Character - 111, offset (0x00000B4A)
.byte 0x0A              // width of the glyph
.byte 0x6E, 0x0B, 0x00       // Character - 112, offset (0x00000B6E)
.byte 0x0A              // width of the glyph
.byte 0x92, 0x0B, 0x00       // Character - 113, offset (0x00000B92)
.byte 0x07              // width of the glyph
.byte 0xB6, 0x0B, 0x00       // Character - 114, offset (0x00000BB6)
.byte 0x08              // width of the glyph
.byte 0xC8, 0x0B, 0x00       // Character - 115, offset (0x00000BC8)
.byte 0x06              // width of the glyph
.byte 0xDA, 0x0B, 0x00       // Character - 116, offset (0x00000BDA)
.byte 0x0A              // width of the glyph
.byte 0xEC, 0x0B, 0x00       // Character - 117, offset (0x00000BEC)
.byte 0x09              // width of the glyph
.byte 0x10, 0x0C, 0x00       // Character - 118, offset (0x00000C10)
.byte 0x0E              // width of the glyph
.byte 0x34, 0x0C, 0x00       // Character - 119, offset (0x00000C34)
.byte 0x09              // width of the glyph
.byte 0x58, 0x0C, 0x00       // Character - 120, offset (0x00000C58)
.byte 0x09              // width of the glyph
.byte 0x7C, 0x0C, 0x00       // Character - 121, offset (0x00000C7C)
.byte 0x08              // width of the glyph
.byte 0xA0, 0x0C, 0x00       // Character - 122, offset (0x00000CA0)
.byte 0x0A              // width of the glyph
.byte 0xB2, 0x0C, 0x00       // Character - 123, offset (0x00000CB2)
.byte 0x08              // width of the glyph
.byte 0xD6, 0x0C, 0x00       // Character - 124, offset (0x00000CD6)
.byte 0x0A              // width of the glyph
.byte 0xE8, 0x0C, 0x00       // Character - 125, offset (0x00000CE8)
.byte 0x0C              // width of the glyph
.byte 0x0C, 0x0D, 0x00       // Character - 126, offset (0x00000D0C)
/***********************************
 * Font Characters
 ***********************************/
/***********************************
 * Character - 32
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 33
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x00        //         
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 34
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x66        //  **  ** 
.byte 0x66        //  **  ** 
.byte 0x66        //  **  ** 
.byte 0x66        //  **  ** 
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 35
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x20, 0x02        //      *   *      
.byte 0x20, 0x03        //      *  **      
.byte 0xFC, 0x07        //   *********     
.byte 0xFC, 0x07        //   *********     
.byte 0x10, 0x01        //     *   *       
.byte 0x88, 0x00        //    *   *        
.byte 0xFE, 0x03        //  *********      
.byte 0xFE, 0x03        //  *********      
.byte 0x44, 0x00        //   *   *         
.byte 0x44, 0x00        //   *   *         
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 36
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x20, 0x00        //      *          
.byte 0x20, 0x00        //      *          
.byte 0xF8, 0x00        //    *****        
.byte 0x2C, 0x01        //   ** *  *       
.byte 0x26, 0x00        //  **  *          
.byte 0x2E, 0x00        //  *** *          
.byte 0x3C, 0x00        //   ****          
.byte 0xF0, 0x00        //     ****        
.byte 0xD0, 0x01        //     * ***       
.byte 0x90, 0x01        //     *  **       
.byte 0xD2, 0x00        //  *  * **        
.byte 0x7C, 0x00        //   *****         
.byte 0x10, 0x00        //     *           
.byte 0x10, 0x00        //     *           
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 37
 ***********************************/
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x3C, 0x10, 0x00        //   ****      *           
.byte 0x66, 0x08, 0x00        //  **  **    *            
.byte 0x66, 0x04, 0x00        //  **  **   *             
.byte 0x66, 0xF4, 0x00        //  **  **   * ****        
.byte 0x66, 0x9A, 0x01        //  **  **  * **  **       
.byte 0x66, 0x99, 0x01        //  **  ** *  **  **       
.byte 0xBC, 0x98, 0x01        //   **** *   **  **       
.byte 0x80, 0x98, 0x01        //        *   **  **       
.byte 0x40, 0x98, 0x01        //       *    **  **       
.byte 0x20, 0xF0, 0x00        //      *      ****        
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         

/***********************************
 * Character - 38
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x78, 0x00        //    ****         
.byte 0xCC, 0x00        //   **  **        
.byte 0xCC, 0x00        //   **  **        
.byte 0x6C, 0x00        //   ** **         
.byte 0x38, 0x06        //    ***   **     
.byte 0x6C, 0x06        //   ** **  **     
.byte 0xC6, 0x06        //  **   ** **     
.byte 0x86, 0x03        //  **    ***      
.byte 0x8C, 0x03        //   **   ***      
.byte 0xF8, 0x06        //    ***** **     
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 39
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 40
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x30        //     **  
.byte 0x18        //    **   
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x18        //    **   
.byte 0x30        //     **  

/***********************************
 * Character - 41
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x0C        //   **    
.byte 0x18        //    **   
.byte 0x30        //     **  
.byte 0x30        //     **  
.byte 0x60        //      ** 
.byte 0x60        //      ** 
.byte 0x60        //      ** 
.byte 0x60        //      ** 
.byte 0x60        //      ** 
.byte 0x60        //      ** 
.byte 0x30        //     **  
.byte 0x30        //     **  
.byte 0x18        //    **   
.byte 0x0C        //   **    

/***********************************
 * Character - 42
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x10, 0x00        //     *           
.byte 0x92, 0x00        //  *  *  *        
.byte 0x54, 0x00        //   * * *         
.byte 0x38, 0x00        //    ***          
.byte 0x54, 0x00        //   * * *         
.byte 0x92, 0x00        //  *  *  *        
.byte 0x10, 0x00        //     *           
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 43
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x20, 0x00        //      *          
.byte 0x20, 0x00        //      *          
.byte 0x20, 0x00        //      *          
.byte 0x20, 0x00        //      *          
.byte 0xFE, 0x03        //  *********      
.byte 0x20, 0x00        //      *          
.byte 0x20, 0x00        //      *          
.byte 0x20, 0x00        //      *          
.byte 0x20, 0x00        //      *          
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 44
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x0E        //  ***    
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x03        // **      
.byte 0x03        // **      
.byte 0x00        //         

/***********************************
 * Character - 45
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x3E        //  *****  
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 46
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 47
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x80, 0x01        //        **       
.byte 0x80, 0x01        //        **       
.byte 0xC0, 0x00        //       **        
.byte 0xC0, 0x00        //       **        
.byte 0x60, 0x00        //      **         
.byte 0x70, 0x00        //     ***         
.byte 0x30, 0x00        //     **          
.byte 0x38, 0x00        //    ***          
.byte 0x18, 0x00        //    **           
.byte 0x0C, 0x00        //   **            
.byte 0x0C, 0x00        //   **            
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 48
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x78, 0x00        //    ****         
.byte 0xCC, 0x00        //   **  **        
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0xCC, 0x00        //   **  **        
.byte 0x78, 0x00        //    ****         
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 49
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x30, 0x00        //     **          
.byte 0x3C, 0x00        //   ****          
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0xFC, 0x00        //   ******        
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 50
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xFC, 0x00        //   ******        
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0x80, 0x01        //        **       
.byte 0xC0, 0x00        //       **        
.byte 0x60, 0x00        //      **         
.byte 0x30, 0x00        //     **          
.byte 0x18, 0x00        //    **           
.byte 0x0C, 0x00        //   **            
.byte 0xFE, 0x01        //  ********       
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 51
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xFC, 0x00        //   ******        
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0x80, 0x01        //        **       
.byte 0xF0, 0x00        //     ****        
.byte 0xC0, 0x00        //       **        
.byte 0x80, 0x01        //        **       
.byte 0x86, 0x01        //  **    **       
.byte 0xC6, 0x00        //  **   **        
.byte 0x7C, 0x00        //   *****         
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 52
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xC0, 0x00        //       **        
.byte 0xE0, 0x00        //      ***        
.byte 0xD0, 0x00        //     * **        
.byte 0xC8, 0x00        //    *  **        
.byte 0xC4, 0x00        //   *   **        
.byte 0xC2, 0x00        //  *    **        
.byte 0xFE, 0x03        //  *********      
.byte 0xC0, 0x00        //       **        
.byte 0xC0, 0x00        //       **        
.byte 0xC0, 0x00        //       **        
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 53
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xFC, 0x01        //   *******       
.byte 0x0C, 0x00        //   **            
.byte 0x0C, 0x00        //   **            
.byte 0x7C, 0x00        //   *****         
.byte 0xC0, 0x00        //       **        
.byte 0x80, 0x01        //        **       
.byte 0x80, 0x01        //        **       
.byte 0x86, 0x01        //  **    **       
.byte 0xC6, 0x00        //  **   **        
.byte 0x7C, 0x00        //   *****         
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 54
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xF0, 0x00        //     ****        
.byte 0x1C, 0x00        //   ***           
.byte 0x0C, 0x00        //   **            
.byte 0x76, 0x00        //  ** ***         
.byte 0xCE, 0x00        //  ***  **        
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0xCC, 0x00        //   **  **        
.byte 0x78, 0x00        //    ****         
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 55
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xFE, 0x01        //  ********       
.byte 0x80, 0x01        //        **       
.byte 0xC0, 0x00        //       **        
.byte 0xC0, 0x00        //       **        
.byte 0x60, 0x00        //      **         
.byte 0x60, 0x00        //      **         
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x18, 0x00        //    **           
.byte 0x18, 0x00        //    **           
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 56
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xFC, 0x00        //   ******        
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0xFC, 0x00        //   ******        
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0xFC, 0x00        //   ******        
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 57
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x78, 0x00        //    ****         
.byte 0xCC, 0x00        //   **  **        
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0xCC, 0x01        //   **  ***       
.byte 0xB8, 0x01        //    *** **       
.byte 0xC0, 0x00        //       **        
.byte 0xE0, 0x00        //      ***        
.byte 0x3C, 0x00        //   ****          
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 58
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x00        //         
.byte 0x00        //         
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 59
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x00        //         
.byte 0x00        //         
.byte 0x1C        //   ***   
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x00        //         

/***********************************
 * Character - 60
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x03        //         **      
.byte 0xC0, 0x00        //       **        
.byte 0x30, 0x00        //     **          
.byte 0x0C, 0x00        //   **            
.byte 0x02, 0x00        //  *              
.byte 0x0C, 0x00        //   **            
.byte 0x30, 0x00        //     **          
.byte 0xC0, 0x00        //       **        
.byte 0x00, 0x03        //         **      
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 61
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xFE, 0x03        //  *********      
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xFE, 0x03        //  *********      
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 62
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x06, 0x00        //  **             
.byte 0x18, 0x00        //    **           
.byte 0x60, 0x00        //      **         
.byte 0x80, 0x01        //        **       
.byte 0x00, 0x02        //          *      
.byte 0x80, 0x01        //        **       
.byte 0x60, 0x00        //      **         
.byte 0x18, 0x00        //    **           
.byte 0x06, 0x00        //  **             
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 63
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x7C, 0x00        //   *****         
.byte 0xC6, 0x00        //  **   **        
.byte 0xC0, 0x00        //       **        
.byte 0x60, 0x00        //      **         
.byte 0x30, 0x00        //     **          
.byte 0x18, 0x00        //    **           
.byte 0x18, 0x00        //    **           
.byte 0x00, 0x00        //                 
.byte 0x18, 0x00        //    **           
.byte 0x18, 0x00        //    **           
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 64
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xE0, 0x03        //      *****      
.byte 0x18, 0x06        //    **    **     
.byte 0x04, 0x08        //   *        *    
.byte 0xE4, 0x0B        //   *  ***** *    
.byte 0x32, 0x13        //  *  **  **  *   
.byte 0x32, 0x13        //  *  **  **  *   
.byte 0x32, 0x13        //  *  **  **  *   
.byte 0x32, 0x13        //  *  **  **  *   
.byte 0x34, 0x13        //   * **  **  *   
.byte 0xE4, 0x0F        //   *  *******    
.byte 0x18, 0x00        //    **           
.byte 0xE0, 0x03        //      *****      
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 65
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x70, 0x00        //     ***         
.byte 0x70, 0x00        //     ***         
.byte 0x70, 0x00        //     ***         
.byte 0xD8, 0x00        //    ** **        
.byte 0xD8, 0x00        //    ** **        
.byte 0x8C, 0x01        //   **   **       
.byte 0xFC, 0x01        //   *******       
.byte 0x8C, 0x01        //   **   **       
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 66
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xFE, 0x00        //  *******        
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0xFE, 0x00        //  *******        
.byte 0x86, 0x01        //  **    **       
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x86, 0x01        //  **    **       
.byte 0xFE, 0x00        //  *******        
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 67
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xF0, 0x01        //     *****       
.byte 0x0C, 0x03        //   **    **      
.byte 0x0C, 0x03        //   **    **      
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x0C, 0x03        //   **    **      
.byte 0x0C, 0x03        //   **    **      
.byte 0xF0, 0x01        //     *****       
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 68
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x7E, 0x00        //  ******         
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0x7E, 0x00        //  ******         
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 69
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xFE, 0x01        //  ********       
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0xFE, 0x01        //  ********       
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0xFE, 0x01        //  ********       
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 70
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xFE, 0x00        //  *******        
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0xFE, 0x00        //  *******        
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 71
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xF0, 0x01        //     *****       
.byte 0x0C, 0x03        //   **    **      
.byte 0x0C, 0x03        //   **    **      
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0xC6, 0x03        //  **   ****      
.byte 0x0C, 0x03        //   **    **      
.byte 0x0C, 0x03        //   **    **      
.byte 0xF0, 0x03        //     ******      
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 72
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0xFE, 0x03        //  *********      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 73
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x7E        //  ****** 
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x7E        //  ****** 
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 74
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x7C        //   ***** 
.byte 0x60        //      ** 
.byte 0x60        //      ** 
.byte 0x60        //      ** 
.byte 0x60        //      ** 
.byte 0x60        //      ** 
.byte 0x60        //      ** 
.byte 0x60        //      ** 
.byte 0x30        //     **  
.byte 0x1F        // *****   
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 75
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x06, 0x03        //  **     **      
.byte 0x86, 0x01        //  **    **       
.byte 0xC6, 0x00        //  **   **        
.byte 0x66, 0x00        //  **  **         
.byte 0x36, 0x00        //  ** **          
.byte 0x3E, 0x00        //  *****          
.byte 0x6E, 0x00        //  *** **         
.byte 0xC6, 0x00        //  **   **        
.byte 0x86, 0x01        //  **    **       
.byte 0x06, 0x03        //  **     **      
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 76
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0xFE, 0x01        //  ********       
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 77
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x06, 0x0E        //  **      ***    
.byte 0x0E, 0x0E        //  ***     ***    
.byte 0x0E, 0x0F        //  ***    ****    
.byte 0x1A, 0x0D        //  * **   * **    
.byte 0x9A, 0x0D        //  * **  ** **    
.byte 0xB2, 0x0C        //  *  ** *  **    
.byte 0xF2, 0x0C        //  *  ****  **    
.byte 0x62, 0x0C        //  *   **   **    
.byte 0x62, 0x0C        //  *   **   **    
.byte 0x02, 0x0C        //  *        **    
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 78
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x06, 0x02        //  **      *      
.byte 0x0E, 0x02        //  ***     *      
.byte 0x1A, 0x02        //  * **    *      
.byte 0x32, 0x02        //  *  **   *      
.byte 0x32, 0x02        //  *  **   *      
.byte 0x62, 0x02        //  *   **  *      
.byte 0xC2, 0x02        //  *    ** *      
.byte 0xC2, 0x02        //  *    ** *      
.byte 0x82, 0x03        //  *     ***      
.byte 0x02, 0x03        //  *      **      
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 79
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xF0, 0x00        //     ****        
.byte 0x0C, 0x03        //   **    **      
.byte 0x0C, 0x03        //   **    **      
.byte 0x06, 0x06        //  **      **     
.byte 0x06, 0x06        //  **      **     
.byte 0x06, 0x06        //  **      **     
.byte 0x06, 0x06        //  **      **     
.byte 0x0C, 0x03        //   **    **      
.byte 0x0C, 0x03        //   **    **      
.byte 0xF0, 0x00        //     ****        
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 80
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x7E, 0x00        //  ******         
.byte 0xC6, 0x00        //  **   **        
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0xC6, 0x00        //  **   **        
.byte 0x7E, 0x00        //  ******         
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 81
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xF0, 0x00        //     ****        
.byte 0x0C, 0x03        //   **    **      
.byte 0x0C, 0x03        //   **    **      
.byte 0x06, 0x06        //  **      **     
.byte 0x06, 0x06        //  **      **     
.byte 0x06, 0x06        //  **      **     
.byte 0x06, 0x06        //  **      **     
.byte 0x0C, 0x03        //   **    **      
.byte 0x0C, 0x03        //   **    **      
.byte 0xF0, 0x00        //     ****        
.byte 0xC0, 0x00        //       **        
.byte 0xC0, 0x00        //       **        
.byte 0x80, 0x07        //        ****     

/***********************************
 * Character - 82
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xFE, 0x00        //  *******        
.byte 0x86, 0x01        //  **    **       
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x86, 0x01        //  **    **       
.byte 0xFE, 0x00        //  *******        
.byte 0xC6, 0x00        //  **   **        
.byte 0x86, 0x01        //  **    **       
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x06        //  **      **     
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 83
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xF8, 0x00        //    *****        
.byte 0x8C, 0x01        //   **   **       
.byte 0x86, 0x01        //  **    **       
.byte 0x06, 0x00        //  **             
.byte 0x7C, 0x00        //   *****         
.byte 0xF8, 0x00        //    *****        
.byte 0x80, 0x01        //        **       
.byte 0x86, 0x01        //  **    **       
.byte 0xC6, 0x00        //  **   **        
.byte 0x7C, 0x00        //   *****         
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 84
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xFE, 0x01        //  ********       
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 85
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x8C, 0x01        //   **   **       
.byte 0xF8, 0x00        //    *****        
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 86
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x8C, 0x01        //   **   **       
.byte 0x8C, 0x01        //   **   **       
.byte 0x9C, 0x01        //   ***  **       
.byte 0xD8, 0x00        //    ** **        
.byte 0xD8, 0x00        //    ** **        
.byte 0x70, 0x00        //     ***         
.byte 0x70, 0x00        //     ***         
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 87
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x86, 0x61        //  **    **    ** 
.byte 0x86, 0x61        //  **    **    ** 
.byte 0xC6, 0x63        //  **   ****   ** 
.byte 0x4C, 0x32        //   **  *  *  **  
.byte 0x6C, 0x36        //   ** **  ** **  
.byte 0x6C, 0x36        //   ** **  ** **  
.byte 0x2C, 0x34        //   ** *    * **  
.byte 0x38, 0x1C        //    ***    ***   
.byte 0x18, 0x18        //    **      **   
.byte 0x18, 0x18        //    **      **   
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 88
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x06, 0x03        //  **     **      
.byte 0x8C, 0x01        //   **   **       
.byte 0x8C, 0x01        //   **   **       
.byte 0xD8, 0x00        //    ** **        
.byte 0x70, 0x00        //     ***         
.byte 0x70, 0x00        //     ***         
.byte 0xD8, 0x00        //    ** **        
.byte 0x8C, 0x01        //   **   **       
.byte 0x8C, 0x01        //   **   **       
.byte 0x06, 0x03        //  **     **      
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 89
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x03, 0x03        // **      **      
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0xCC, 0x00        //   **  **        
.byte 0x78, 0x00        //    ****         
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 90
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xFE, 0x01        //  ********       
.byte 0x80, 0x01        //        **       
.byte 0xC0, 0x00        //       **        
.byte 0x60, 0x00        //      **         
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x18, 0x00        //    **           
.byte 0x0C, 0x00        //   **            
.byte 0x06, 0x00        //  **             
.byte 0xFE, 0x01        //  ********       
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 91
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x7C        //   ***** 
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x7C        //   ***** 

/***********************************
 * Character - 92
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x0C, 0x00        //   **            
.byte 0x0C, 0x00        //   **            
.byte 0x18, 0x00        //    **           
.byte 0x38, 0x00        //    ***          
.byte 0x30, 0x00        //     **          
.byte 0x70, 0x00        //     ***         
.byte 0x60, 0x00        //      **         
.byte 0xC0, 0x00        //       **        
.byte 0xC0, 0x00        //       **        
.byte 0x80, 0x01        //        **       
.byte 0x80, 0x01        //        **       
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 93
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x3E        //  *****  
.byte 0x30        //     **  
.byte 0x30        //     **  
.byte 0x30        //     **  
.byte 0x30        //     **  
.byte 0x30        //     **  
.byte 0x30        //     **  
.byte 0x30        //     **  
.byte 0x30        //     **  
.byte 0x30        //     **  
.byte 0x30        //     **  
.byte 0x30        //     **  
.byte 0x30        //     **  
.byte 0x3E        //  *****  

/***********************************
 * Character - 94
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x20, 0x00        //      *          
.byte 0x70, 0x00        //     ***         
.byte 0xD8, 0x00        //    ** **        
.byte 0x8C, 0x01        //   **   **       
.byte 0x06, 0x03        //  **     **      
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 95
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xFF, 0x03        // **********      
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 96
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x18, 0x00        //    **           
.byte 0x30, 0x00        //     **          
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 97
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x7C, 0x00        //   *****         
.byte 0xC0, 0x00        //       **        
.byte 0xC0, 0x00        //       **        
.byte 0xFC, 0x00        //   ******        
.byte 0xC6, 0x00        //  **   **        
.byte 0xC6, 0x00        //  **   **        
.byte 0xC6, 0x00        //  **   **        
.byte 0xFC, 0x00        //   ******        
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 98
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x76, 0x00        //  ** ***         
.byte 0xCE, 0x00        //  ***  **        
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0xC6, 0x00        //  **   **        
.byte 0x7E, 0x00        //  ******         
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 99
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x78        //    **** 
.byte 0xCC        //   **  **
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0xCC        //   **  **
.byte 0x78        //    **** 
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 100
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x80, 0x01        //        **       
.byte 0x80, 0x01        //        **       
.byte 0x80, 0x01        //        **       
.byte 0xF8, 0x01        //    ******       
.byte 0x8C, 0x01        //   **   **       
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0xCC, 0x01        //   **  ***       
.byte 0xB8, 0x01        //    *** **       
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 101
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x78, 0x00        //    ****         
.byte 0xCC, 0x00        //   **  **        
.byte 0xC6, 0x00        //  **   **        
.byte 0xFE, 0x00        //  *******        
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0xCC, 0x00        //   **  **        
.byte 0x78, 0x00        //    ****         
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 102
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x38        //    ***  
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x3E        //  *****  
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 103
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xF8, 0x01        //    ******       
.byte 0x8C, 0x01        //   **   **       
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0xCC, 0x01        //   **  ***       
.byte 0xB8, 0x01        //    *** **       
.byte 0x80, 0x01        //        **       
.byte 0xC0, 0x00        //       **        
.byte 0x7C, 0x00        //   *****         

/***********************************
 * Character - 104
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0xF6, 0x00        //  ** ****        
.byte 0x8E, 0x01        //  ***   **       
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 105
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x00        //         
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 106
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x00        //         
.byte 0x1C        //   ***   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x0F        // ****    

/***********************************
 * Character - 107
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0xC6, 0x00        //  **   **        
.byte 0x66, 0x00        //  **  **         
.byte 0x36, 0x00        //  ** **          
.byte 0x1E, 0x00        //  ****           
.byte 0x3E, 0x00        //  *****          
.byte 0x66, 0x00        //  **  **         
.byte 0xC6, 0x00        //  **   **        
.byte 0x86, 0x01        //  **    **       
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 108
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 109
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x76, 0x0E        //  ** ***  ***    
.byte 0xCE, 0x19        //  ***  ***  **   
.byte 0xC6, 0x18        //  **   **   **   
.byte 0xC6, 0x18        //  **   **   **   
.byte 0xC6, 0x18        //  **   **   **   
.byte 0xC6, 0x18        //  **   **   **   
.byte 0xC6, 0x18        //  **   **   **   
.byte 0xC6, 0x18        //  **   **   **   
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 110
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xF6, 0x00        //  ** ****        
.byte 0x8E, 0x01        //  ***   **       
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 111
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x78, 0x00        //    ****         
.byte 0xCC, 0x00        //   **  **        
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0xCC, 0x00        //   **  **        
.byte 0x78, 0x00        //    ****         
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 112
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x76, 0x00        //  ** ***         
.byte 0xCE, 0x00        //  ***  **        
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0xC6, 0x00        //  **   **        
.byte 0x7E, 0x00        //  ******         
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             

/***********************************
 * Character - 113
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xF8, 0x01        //    ******       
.byte 0x8C, 0x01        //   **   **       
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0xCC, 0x01        //   **  ***       
.byte 0xB8, 0x01        //    *** **       
.byte 0x80, 0x01        //        **       
.byte 0x80, 0x01        //        **       
.byte 0x80, 0x01        //        **       

/***********************************
 * Character - 114
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x76        //  ** *** 
.byte 0x7E        //  ****** 
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 115
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x3C        //   ****  
.byte 0x46        //  **   * 
.byte 0x06        //  **     
.byte 0x3E        //  *****  
.byte 0x7C        //   ***** 
.byte 0x60        //      ** 
.byte 0x62        //  *   ** 
.byte 0x3C        //   ****  
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 116
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x3F        // ******  
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x3C        //   ****  
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 117
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0xC6, 0x01        //  **   ***       
.byte 0xBC, 0x01        //   **** **       
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 118
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xC6, 0x00        //  **   **        
.byte 0xC6, 0x00        //  **   **        
.byte 0xC6, 0x00        //  **   **        
.byte 0x6C, 0x00        //   ** **         
.byte 0x6C, 0x00        //   ** **         
.byte 0x6C, 0x00        //   ** **         
.byte 0x38, 0x00        //    ***          
.byte 0x38, 0x00        //    ***          
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 119
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xC6, 0x18        //  **   **   **   
.byte 0xC6, 0x18        //  **   **   **   
.byte 0xCC, 0x0C        //   **  **  **    
.byte 0xEC, 0x0D        //   ** **** **    
.byte 0x2C, 0x0D        //   ** *  * **    
.byte 0x38, 0x07        //    ***  ***     
.byte 0x38, 0x07        //    ***  ***     
.byte 0x30, 0x03        //     **  **      
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 120
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xC6, 0x00        //  **   **        
.byte 0xC6, 0x00        //  **   **        
.byte 0x6C, 0x00        //   ** **         
.byte 0x38, 0x00        //    ***          
.byte 0x38, 0x00        //    ***          
.byte 0x6C, 0x00        //   ** **         
.byte 0xCE, 0x00        //  ***  **        
.byte 0xC6, 0x00        //  **   **        
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 121
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xC6, 0x00        //  **   **        
.byte 0xC6, 0x00        //  **   **        
.byte 0xC6, 0x00        //  **   **        
.byte 0x6C, 0x00        //   ** **         
.byte 0x6C, 0x00        //   ** **         
.byte 0x6C, 0x00        //   ** **         
.byte 0x38, 0x00        //    ***          
.byte 0x38, 0x00        //    ***          
.byte 0x38, 0x00        //    ***          
.byte 0x18, 0x00        //    **           
.byte 0x18, 0x00        //    **           

/***********************************
 * Character - 122
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x7E        //  ****** 
.byte 0x70        //     *** 
.byte 0x30        //     **  
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x0C        //   **    
.byte 0x06        //  **     
.byte 0x7E        //  ****** 
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 123
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xE0, 0x01        //      ****       
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x18, 0x00        //    **           
.byte 0x0E, 0x00        //  ***            
.byte 0x18, 0x00        //    **           
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0xE0, 0x01        //      ****       

/***********************************
 * Character - 124
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x18        //    **   

/***********************************
 * Character - 125
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x1E, 0x00        //  ****           
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x60, 0x00        //      **         
.byte 0xC0, 0x01        //       ***       
.byte 0x60, 0x00        //      **         
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x1E, 0x00        //  ****           

/***********************************
 * Character - 126
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x18, 0x04        //    **     *     
.byte 0x24, 0x04        //   *  *    *     
.byte 0x62, 0x04        //  *   **   *     
.byte 0x42, 0x02        //  *    *  *      
.byte 0x82, 0x01        //  *     **       
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

GRC_CONST_SECTION
/*********************************
 * Installed Font Structure
 * Label: Verdana_Bold_16
 * Description:  Height: 21 pixels, 1 bit per pixel, Range: ' ' to '~'
 ***********************************/
GRC_FONT_SECTION
.global ___Verdana_Bold_16    // for XC16
.global __Verdana_Bold_16     // for XC32
.align 2
___Verdana_Bold_16:    // for XC16
__Verdana_Bold_16:     // for XC32
/****************************************
 * Font header
 ****************************************/
.byte 0x00           // Font ID
.byte 0x00           // Font information:  1 bit per pixel, Characters zero degress rotation
.byte 0x20, 0x00     // First Character
.byte 0x7E, 0x00     // Last Character
.byte 0x15, 0x00     // Height
/****************************************
 * Font Glyph Table
 ****************************************/
.byte 0x05              // width of the glyph
.byte 0x84, 0x01, 0x00       // Character - 32, offset (0x00000184)
.byte 0x06              // width of the glyph
.byte 0x99, 0x01, 0x00       // Character - 33, offset (0x00000199)
.byte 0x09              // width of the glyph
.byte 0xAE, 0x01, 0x00       // Character - 34, offset (0x000001AE)
.byte 0x0E              // width of the glyph
.byte 0xD8, 0x01, 0x00       // Character - 35, offset (0x000001D8)
.byte 0x0B              // width of the glyph
.byte 0x02, 0x02, 0x00       // Character - 36, offset (0x00000202)
.byte 0x14              // width of the glyph
.byte 0x2C, 0x02, 0x00       // Character - 37, offset (0x0000022C)
.byte 0x0E              // width of the glyph
.byte 0x6B, 0x02, 0x00       // Character - 38, offset (0x0000026B)
.byte 0x05              // width of the glyph
.byte 0x95, 0x02, 0x00       // Character - 39, offset (0x00000295)
.byte 0x09              // width of the glyph
.byte 0xAA, 0x02, 0x00       // Character - 40, offset (0x000002AA)
.byte 0x09              // width of the glyph
.byte 0xD4, 0x02, 0x00       // Character - 41, offset (0x000002D4)
.byte 0x0B              // width of the glyph
.byte 0xFE, 0x02, 0x00       // Character - 42, offset (0x000002FE)
.byte 0x0E              // width of the glyph
.byte 0x28, 0x03, 0x00       // Character - 43, offset (0x00000328)
.byte 0x06              // width of the glyph
.byte 0x52, 0x03, 0x00       // Character - 44, offset (0x00000352)
.byte 0x08              // width of the glyph
.byte 0x67, 0x03, 0x00       // Character - 45, offset (0x00000367)
.byte 0x06              // width of the glyph
.byte 0x7C, 0x03, 0x00       // Character - 46, offset (0x0000037C)
.byte 0x0B              // width of the glyph
.byte 0x91, 0x03, 0x00       // Character - 47, offset (0x00000391)
.byte 0x0B              // width of the glyph
.byte 0xBB, 0x03, 0x00       // Character - 48, offset (0x000003BB)
.byte 0x0B              // width of the glyph
.byte 0xE5, 0x03, 0x00       // Character - 49, offset (0x000003E5)
.byte 0x0B              // width of the glyph
.byte 0x0F, 0x04, 0x00       // Character - 50, offset (0x0000040F)
.byte 0x0B              // width of the glyph
.byte 0x39, 0x04, 0x00       // Character - 51, offset (0x00000439)
.byte 0x0B              // width of the glyph
.byte 0x63, 0x04, 0x00       // Character - 52, offset (0x00000463)
.byte 0x0B              // width of the glyph
.byte 0x8D, 0x04, 0x00       // Character - 53, offset (0x0000048D)
.byte 0x0B              // width of the glyph
.byte 0xB7, 0x04, 0x00       // Character - 54, offset (0x000004B7)
.byte 0x0B              // width of the glyph
.byte 0xE1, 0x04, 0x00       // Character - 55, offset (0x000004E1)
.byte 0x0B              // width of the glyph
.byte 0x0B, 0x05, 0x00       // Character - 56, offset (0x0000050B)
.byte 0x0B              // width of the glyph
.byte 0x35, 0x05, 0x00       // Character - 57, offset (0x00000535)
.byte 0x06              // width of the glyph
.byte 0x5F, 0x05, 0x00       // Character - 58, offset (0x0000055F)
.byte 0x06              // width of the glyph
.byte 0x74, 0x05, 0x00       // Character - 59, offset (0x00000574)
.byte 0x0E              // width of the glyph
.byte 0x89, 0x05, 0x00       // Character - 60, offset (0x00000589)
.byte 0x0E              // width of the glyph
.byte 0xB3, 0x05, 0x00       // Character - 61, offset (0x000005B3)
.byte 0x0E              // width of the glyph
.byte 0xDD, 0x05, 0x00       // Character - 62, offset (0x000005DD)
.byte 0x0A              // width of the glyph
.byte 0x07, 0x06, 0x00       // Character - 63, offset (0x00000607)
.byte 0x0F              // width of the glyph
.byte 0x31, 0x06, 0x00       // Character - 64, offset (0x00000631)
.byte 0x0C              // width of the glyph
.byte 0x5B, 0x06, 0x00       // Character - 65, offset (0x0000065B)
.byte 0x0C              // width of the glyph
.byte 0x85, 0x06, 0x00       // Character - 66, offset (0x00000685)
.byte 0x0C              // width of the glyph
.byte 0xAF, 0x06, 0x00       // Character - 67, offset (0x000006AF)
.byte 0x0D              // width of the glyph
.byte 0xD9, 0x06, 0x00       // Character - 68, offset (0x000006D9)
.byte 0x0B              // width of the glyph
.byte 0x03, 0x07, 0x00       // Character - 69, offset (0x00000703)
.byte 0x0A              // width of the glyph
.byte 0x2D, 0x07, 0x00       // Character - 70, offset (0x0000072D)
.byte 0x0D              // width of the glyph
.byte 0x57, 0x07, 0x00       // Character - 71, offset (0x00000757)
.byte 0x0D              // width of the glyph
.byte 0x81, 0x07, 0x00       // Character - 72, offset (0x00000781)
.byte 0x09              // width of the glyph
.byte 0xAB, 0x07, 0x00       // Character - 73, offset (0x000007AB)
.byte 0x09              // width of the glyph
.byte 0xD5, 0x07, 0x00       // Character - 74, offset (0x000007D5)
.byte 0x0C              // width of the glyph
.byte 0xFF, 0x07, 0x00       // Character - 75, offset (0x000007FF)
.byte 0x0A              // width of the glyph
.byte 0x29, 0x08, 0x00       // Character - 76, offset (0x00000829)
.byte 0x0F              // width of the glyph
.byte 0x53, 0x08, 0x00       // Character - 77, offset (0x00000853)
.byte 0x0E              // width of the glyph
.byte 0x7D, 0x08, 0x00       // Character - 78, offset (0x0000087D)
.byte 0x0E              // width of the glyph
.byte 0xA7, 0x08, 0x00       // Character - 79, offset (0x000008A7)
.byte 0x0C              // width of the glyph
.byte 0xD1, 0x08, 0x00       // Character - 80, offset (0x000008D1)
.byte 0x0E              // width of the glyph
.byte 0xFB, 0x08, 0x00       // Character - 81, offset (0x000008FB)
.byte 0x0D              // width of the glyph
.byte 0x25, 0x09, 0x00       // Character - 82, offset (0x00000925)
.byte 0x0B              // width of the glyph
.byte 0x4F, 0x09, 0x00       // Character - 83, offset (0x0000094F)
.byte 0x0B              // width of the glyph
.byte 0x79, 0x09, 0x00       // Character - 84, offset (0x00000979)
.byte 0x0D              // width of the glyph
.byte 0xA3, 0x09, 0x00       // Character - 85, offset (0x000009A3)
.byte 0x0C              // width of the glyph
.byte 0xCD, 0x09, 0x00       // Character - 86, offset (0x000009CD)
.byte 0x12              // width of the glyph
.byte 0xF7, 0x09, 0x00       // Character - 87, offset (0x000009F7)
.byte 0x0C              // width of the glyph
.byte 0x36, 0x0A, 0x00       // Character - 88, offset (0x00000A36)
.byte 0x0C              // width of the glyph
.byte 0x60, 0x0A, 0x00       // Character - 89, offset (0x00000A60)
.byte 0x0B              // width of the glyph
.byte 0x8A, 0x0A, 0x00       // Character - 90, offset (0x00000A8A)
.byte 0x09              // width of the glyph
.byte 0xB4, 0x0A, 0x00       // Character - 91, offset (0x00000AB4)
.byte 0x0B              // width of the glyph
.byte 0xDE, 0x0A, 0x00       // Character - 92, offset (0x00000ADE)
.byte 0x09              // width of the glyph
.byte 0x08, 0x0B, 0x00       // Character - 93, offset (0x00000B08)
.byte 0x0E              // width of the glyph
.byte 0x32, 0x0B, 0x00       // Character - 94, offset (0x00000B32)
.byte 0x0B              // width of the glyph
.byte 0x5C, 0x0B, 0x00       // Character - 95, offset (0x00000B5C)
.byte 0x0B              // width of the glyph
.byte 0x86, 0x0B, 0x00       // Character - 96, offset (0x00000B86)
.byte 0x0B              // width of the glyph
.byte 0xB0, 0x0B, 0x00       // Character - 97, offset (0x00000BB0)
.byte 0x0B              // width of the glyph
.byte 0xDA, 0x0B, 0x00       // Character - 98, offset (0x00000BDA)
.byte 0x09              // width of the glyph
.byte 0x04, 0x0C, 0x00       // Character - 99, offset (0x00000C04)
.byte 0x0B              // width of the glyph
.byte 0x2E, 0x0C, 0x00       // Character - 100, offset (0x00000C2E)
.byte 0x0B              // width of the glyph
.byte 0x58, 0x0C, 0x00       // Character - 101, offset (0x00000C58)
.byte 0x07              // width of the glyph
.byte 0x82, 0x0C, 0x00       // Character - 102, offset (0x00000C82)
.byte 0x0B              // width of the glyph
.byte 0x97, 0x0C, 0x00       // Character - 103, offset (0x00000C97)
.byte 0x0B              // width of the glyph
.byte 0xC1, 0x0C, 0x00       // Character - 104, offset (0x00000CC1)
.byte 0x05              // width of the glyph
.byte 0xEB, 0x0C, 0x00       // Character - 105, offset (0x00000CEB)
.byte 0x06              // width of the glyph
.byte 0x00, 0x0D, 0x00       // Character - 106, offset (0x00000D00)
.byte 0x0B              // width of the glyph
.byte 0x15, 0x0D, 0x00       // Character - 107, offset (0x00000D15)
.byte 0x05              // width of the glyph
.byte 0x3F, 0x0D, 0x00       // Character - 108, offset (0x00000D3F)
.byte 0x11              // width of the glyph
.byte 0x54, 0x0D, 0x00       // Character - 109, offset (0x00000D54)
.byte 0x0B              // width of the glyph
.byte 0x93, 0x0D, 0x00       // Character - 110, offset (0x00000D93)
.byte 0x0B              // width of the glyph
.byte 0xBD, 0x0D, 0x00       // Character - 111, offset (0x00000DBD)
.byte 0x0B              // width of the glyph
.byte 0xE7, 0x0D, 0x00       // Character - 112, offset (0x00000DE7)
.byte 0x0B              // width of the glyph
.byte 0x11, 0x0E, 0x00       // Character - 113, offset (0x00000E11)
.byte 0x08              // width of the glyph
.byte 0x3B, 0x0E, 0x00       // Character - 114, offset (0x00000E3B)
.byte 0x09              // width of the glyph
.byte 0x50, 0x0E, 0x00       // Character - 115, offset (0x00000E50)
.byte 0x07              // width of the glyph
.byte 0x7A, 0x0E, 0x00       // Character - 116, offset (0x00000E7A)
.byte 0x0B              // width of the glyph
.byte 0x8F, 0x0E, 0x00       // Character - 117, offset (0x00000E8F)
.byte 0x0A              // width of the glyph
.byte 0xB9, 0x0E, 0x00       // Character - 118, offset (0x00000EB9)
.byte 0x10              // width of the glyph
.byte 0xE3, 0x0E, 0x00       // Character - 119, offset (0x00000EE3)
.byte 0x0B              // width of the glyph
.byte 0x0D, 0x0F, 0x00       // Character - 120, offset (0x00000F0D)
.byte 0x0C              // width of the glyph
.byte 0x37, 0x0F, 0x00       // Character - 121, offset (0x00000F37)
.byte 0x0A              // width of the glyph
.byte 0x61, 0x0F, 0x00       // Character - 122, offset (0x00000F61)
.byte 0x0B              // width of the glyph
.byte 0x8B, 0x0F, 0x00       // Character - 123, offset (0x00000F8B)
.byte 0x09              // width of the glyph
.byte 0xB5, 0x0F, 0x00       // Character - 124, offset (0x00000FB5)
.byte 0x0B              // width of the glyph
.byte 0xDF, 0x0F, 0x00       // Character - 125, offset (0x00000FDF)
.byte 0x0E              // width of the glyph
.byte 0x09, 0x10, 0x00       // Character - 126, offset (0x00001009)
/***********************************
 * Font Characters
 ***********************************/
/***********************************
 * Character - 32
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 33
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x00        //         
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 34
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x6C, 0x00        //   ** **         
.byte 0x6C, 0x00        //   ** **         
.byte 0x6C, 0x00        //   ** **         
.byte 0x6C, 0x00        //   ** **         
.byte 0x6C, 0x00        //   ** **         
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 35
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x20, 0x04        //      *    *     
.byte 0x20, 0x04        //      *    *     
.byte 0x10, 0x02        //     *    *      
.byte 0xFC, 0x0F        //   **********    
.byte 0xFC, 0x0F        //   **********    
.byte 0x10, 0x02        //     *    *      
.byte 0x08, 0x01        //    *    *       
.byte 0xFE, 0x07        //  **********     
.byte 0xFE, 0x07        //  **********     
.byte 0x08, 0x01        //    *    *       
.byte 0x84, 0x00        //   *    *        
.byte 0x84, 0x00        //   *    *        
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 36
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x20, 0x00        //      *          
.byte 0x20, 0x00        //      *          
.byte 0xF8, 0x01        //    ******       
.byte 0x2C, 0x03        //   ** *  **      
.byte 0x26, 0x03        //  **  *  **      
.byte 0x26, 0x00        //  **  *          
.byte 0x26, 0x00        //  **  *          
.byte 0xFC, 0x01        //   *******       
.byte 0x20, 0x03        //      *  **      
.byte 0x20, 0x03        //      *  **      
.byte 0x26, 0x03        //  **  *  **      
.byte 0xA6, 0x01        //  **  * **       
.byte 0xFC, 0x00        //   ******        
.byte 0x20, 0x00        //      *          
.byte 0x20, 0x00        //      *          
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 37
 ***********************************/
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x7C, 0x10, 0x00        //   *****     *           
.byte 0xC6, 0x10, 0x00        //  **   **    *           
.byte 0xC6, 0x08, 0x00        //  **   **   *            
.byte 0xC6, 0x08, 0x00        //  **   **   *            
.byte 0xC6, 0x04, 0x00        //  **   **  *             
.byte 0xC6, 0xE4, 0x03        //  **   **  *  *****      
.byte 0x7C, 0x32, 0x06        //   *****  *  **   **     
.byte 0x00, 0x32, 0x06        //          *  **   **     
.byte 0x00, 0x31, 0x06        //         *   **   **     
.byte 0x00, 0x31, 0x06        //         *   **   **     
.byte 0x80, 0x30, 0x06        //        *    **   **     
.byte 0x80, 0xE0, 0x03        //        *     *****      
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         

/***********************************
 * Character - 38
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xF8, 0x00        //    *****        
.byte 0x8C, 0x01        //   **   **       
.byte 0x8C, 0x01        //   **   **       
.byte 0x8C, 0x01        //   **   **       
.byte 0xD8, 0x0C        //    ** **  **    
.byte 0x78, 0x0C        //    ****   **    
.byte 0xCC, 0x0C        //   **  **  **    
.byte 0x86, 0x05        //  **    ** *     
.byte 0x06, 0x07        //  **     ***     
.byte 0x06, 0x06        //  **      **     
.byte 0x0C, 0x0D        //   **    * **    
.byte 0xF8, 0x18        //    *****   **   
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 39
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 40
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x60, 0x00        //      **         
.byte 0x30, 0x00        //     **          
.byte 0x18, 0x00        //    **           
.byte 0x0C, 0x00        //   **            
.byte 0x0C, 0x00        //   **            
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x0C, 0x00        //   **            
.byte 0x0C, 0x00        //   **            
.byte 0x18, 0x00        //    **           
.byte 0x30, 0x00        //     **          
.byte 0x60, 0x00        //      **         
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 41
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x0C, 0x00        //   **            
.byte 0x18, 0x00        //    **           
.byte 0x30, 0x00        //     **          
.byte 0x60, 0x00        //      **         
.byte 0x60, 0x00        //      **         
.byte 0xC0, 0x00        //       **        
.byte 0xC0, 0x00        //       **        
.byte 0xC0, 0x00        //       **        
.byte 0xC0, 0x00        //       **        
.byte 0xC0, 0x00        //       **        
.byte 0xC0, 0x00        //       **        
.byte 0x60, 0x00        //      **         
.byte 0x60, 0x00        //      **         
.byte 0x30, 0x00        //     **          
.byte 0x18, 0x00        //    **           
.byte 0x0C, 0x00        //   **            
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 42
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x20, 0x00        //      *          
.byte 0x24, 0x01        //   *  *  *       
.byte 0xA8, 0x00        //    * * *        
.byte 0x70, 0x00        //     ***         
.byte 0x70, 0x00        //     ***         
.byte 0xA8, 0x00        //    * * *        
.byte 0x24, 0x01        //   *  *  *       
.byte 0x20, 0x00        //      *          
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 43
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x40, 0x00        //       *         
.byte 0x40, 0x00        //       *         
.byte 0x40, 0x00        //       *         
.byte 0x40, 0x00        //       *         
.byte 0xFC, 0x07        //   *********     
.byte 0x40, 0x00        //       *         
.byte 0x40, 0x00        //       *         
.byte 0x40, 0x00        //       *         
.byte 0x40, 0x00        //       *         
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 44
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x1C        //   ***   
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x00        //         

/***********************************
 * Character - 45
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x7E        //  ****** 
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 46
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 47
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x03        //         **      
.byte 0x00, 0x03        //         **      
.byte 0x80, 0x01        //        **       
.byte 0x80, 0x01        //        **       
.byte 0xC0, 0x00        //       **        
.byte 0xC0, 0x00        //       **        
.byte 0x60, 0x00        //      **         
.byte 0x60, 0x00        //      **         
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x18, 0x00        //    **           
.byte 0x18, 0x00        //    **           
.byte 0x0C, 0x00        //   **            
.byte 0x0C, 0x00        //   **            
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 48
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xF8, 0x00        //    *****        
.byte 0x8C, 0x01        //   **   **       
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x8C, 0x01        //   **   **       
.byte 0xF8, 0x00        //    *****        
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 49
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x60, 0x00        //      **         
.byte 0x78, 0x00        //    ****         
.byte 0x60, 0x00        //      **         
.byte 0x60, 0x00        //      **         
.byte 0x60, 0x00        //      **         
.byte 0x60, 0x00        //      **         
.byte 0x60, 0x00        //      **         
.byte 0x60, 0x00        //      **         
.byte 0x60, 0x00        //      **         
.byte 0x60, 0x00        //      **         
.byte 0x60, 0x00        //      **         
.byte 0xF8, 0x01        //    ******       
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 50
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xFC, 0x00        //   ******        
.byte 0x86, 0x01        //  **    **       
.byte 0x06, 0x03        //  **     **      
.byte 0x00, 0x03        //         **      
.byte 0x00, 0x03        //         **      
.byte 0x80, 0x01        //        **       
.byte 0xC0, 0x00        //       **        
.byte 0x60, 0x00        //      **         
.byte 0x30, 0x00        //     **          
.byte 0x18, 0x00        //    **           
.byte 0x0C, 0x00        //   **            
.byte 0xFE, 0x03        //  *********      
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 51
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xFC, 0x00        //   ******        
.byte 0x86, 0x01        //  **    **       
.byte 0x06, 0x03        //  **     **      
.byte 0x00, 0x03        //         **      
.byte 0x80, 0x01        //        **       
.byte 0xF0, 0x00        //     ****        
.byte 0x80, 0x01        //        **       
.byte 0x00, 0x03        //         **      
.byte 0x00, 0x03        //         **      
.byte 0x06, 0x03        //  **     **      
.byte 0x86, 0x01        //  **    **       
.byte 0xFC, 0x00        //   ******        
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 52
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x80, 0x01        //        **       
.byte 0xC0, 0x01        //       ***       
.byte 0xA0, 0x01        //      * **       
.byte 0x90, 0x01        //     *  **       
.byte 0x88, 0x01        //    *   **       
.byte 0x84, 0x01        //   *    **       
.byte 0x82, 0x01        //  *     **       
.byte 0xFE, 0x07        //  **********     
.byte 0x80, 0x01        //        **       
.byte 0x80, 0x01        //        **       
.byte 0x80, 0x01        //        **       
.byte 0x80, 0x01        //        **       
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 53
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xFC, 0x03        //   ********      
.byte 0x0C, 0x00        //   **            
.byte 0x0C, 0x00        //   **            
.byte 0x0C, 0x00        //   **            
.byte 0xFC, 0x00        //   ******        
.byte 0x80, 0x01        //        **       
.byte 0x00, 0x03        //         **      
.byte 0x00, 0x03        //         **      
.byte 0x00, 0x03        //         **      
.byte 0x06, 0x03        //  **     **      
.byte 0x86, 0x01        //  **    **       
.byte 0xFC, 0x00        //   ******        
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 54
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xE0, 0x01        //      ****       
.byte 0x38, 0x00        //    ***          
.byte 0x0C, 0x00        //   **            
.byte 0x0C, 0x00        //   **            
.byte 0xF6, 0x00        //  ** ****        
.byte 0x8E, 0x01        //  ***   **       
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x8C, 0x01        //   **   **       
.byte 0xF8, 0x00        //    *****        
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 55
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xFE, 0x03        //  *********      
.byte 0x00, 0x03        //         **      
.byte 0x80, 0x01        //        **       
.byte 0x80, 0x01        //        **       
.byte 0xC0, 0x00        //       **        
.byte 0xC0, 0x00        //       **        
.byte 0x60, 0x00        //      **         
.byte 0x60, 0x00        //      **         
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x18, 0x00        //    **           
.byte 0x18, 0x00        //    **           
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 56
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xF8, 0x00        //    *****        
.byte 0x8C, 0x01        //   **   **       
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x8C, 0x01        //   **   **       
.byte 0xF8, 0x00        //    *****        
.byte 0x8C, 0x01        //   **   **       
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x8C, 0x01        //   **   **       
.byte 0xF8, 0x00        //    *****        
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 57
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xF8, 0x00        //    *****        
.byte 0x8C, 0x01        //   **   **       
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x8C, 0x03        //   **   ***      
.byte 0x78, 0x03        //    **** **      
.byte 0x00, 0x03        //         **      
.byte 0x80, 0x01        //        **       
.byte 0xE0, 0x00        //      ***        
.byte 0x3C, 0x00        //   ****          
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 58
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 59
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x1C        //   ***   
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x00        //         

/***********************************
 * Character - 60
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x04        //           *     
.byte 0x00, 0x03        //         **      
.byte 0xC0, 0x00        //       **        
.byte 0x30, 0x00        //     **          
.byte 0x0C, 0x00        //   **            
.byte 0x0C, 0x00        //   **            
.byte 0x30, 0x00        //     **          
.byte 0xC0, 0x00        //       **        
.byte 0x00, 0x03        //         **      
.byte 0x00, 0x04        //           *     
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 61
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xFC, 0x07        //   *********     
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xFC, 0x07        //   *********     
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 62
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x04, 0x00        //   *             
.byte 0x18, 0x00        //    **           
.byte 0x60, 0x00        //      **         
.byte 0x80, 0x01        //        **       
.byte 0x00, 0x06        //          **     
.byte 0x00, 0x06        //          **     
.byte 0x80, 0x01        //        **       
.byte 0x60, 0x00        //      **         
.byte 0x18, 0x00        //    **           
.byte 0x04, 0x00        //   *             
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 63
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x7C, 0x00        //   *****         
.byte 0xC6, 0x00        //  **   **        
.byte 0x86, 0x01        //  **    **       
.byte 0x80, 0x01        //        **       
.byte 0x80, 0x01        //        **       
.byte 0xC0, 0x00        //       **        
.byte 0x60, 0x00        //      **         
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x00, 0x00        //                 
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 64
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xE0, 0x03        //      *****      
.byte 0x18, 0x0C        //    **     **    
.byte 0x04, 0x10        //   *         *   
.byte 0xC4, 0x17        //   *   ***** *   
.byte 0x62, 0x26        //  *   **  **  *  
.byte 0x32, 0x26        //  *  **   **  *  
.byte 0x32, 0x26        //  *  **   **  *  
.byte 0x32, 0x26        //  *  **   **  *  
.byte 0x32, 0x26        //  *  **   **  *  
.byte 0x32, 0x27        //  *  **  ***  *  
.byte 0xE4, 0x1E        //   *  *** ****   
.byte 0x04, 0x00        //   *             
.byte 0x18, 0x00        //    **           
.byte 0xE0, 0x07        //      ******     
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 65
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x60, 0x00        //      **         
.byte 0x60, 0x00        //      **         
.byte 0xF0, 0x00        //     ****        
.byte 0xF0, 0x00        //     ****        
.byte 0x98, 0x01        //    **  **       
.byte 0x98, 0x01        //    **  **       
.byte 0x8C, 0x03        //   **   ***      
.byte 0x0C, 0x03        //   **    **      
.byte 0xFC, 0x03        //   ********      
.byte 0x06, 0x06        //  **      **     
.byte 0x06, 0x06        //  **      **     
.byte 0x06, 0x06        //  **      **     
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 66
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xFE, 0x00        //  *******        
.byte 0x86, 0x01        //  **    **       
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x01        //  **     *       
.byte 0xFE, 0x01        //  ********       
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x06        //  **      **     
.byte 0x06, 0x06        //  **      **     
.byte 0x06, 0x06        //  **      **     
.byte 0x06, 0x03        //  **     **      
.byte 0xFE, 0x01        //  ********       
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 67
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xF0, 0x03        //     ******      
.byte 0x1C, 0x06        //   ***    **     
.byte 0x0C, 0x06        //   **     **     
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x0C, 0x06        //   **     **     
.byte 0x1C, 0x06        //   ***    **     
.byte 0xF0, 0x03        //     ******      
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 68
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xFE, 0x01        //  ********       
.byte 0x06, 0x07        //  **     ***     
.byte 0x06, 0x06        //  **      **     
.byte 0x06, 0x0C        //  **       **    
.byte 0x06, 0x0C        //  **       **    
.byte 0x06, 0x0C        //  **       **    
.byte 0x06, 0x0C        //  **       **    
.byte 0x06, 0x0C        //  **       **    
.byte 0x06, 0x0C        //  **       **    
.byte 0x06, 0x06        //  **      **     
.byte 0x06, 0x07        //  **     ***     
.byte 0xFE, 0x01        //  ********       
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 69
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xFE, 0x03        //  *********      
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0xFE, 0x01        //  ********       
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0xFE, 0x03        //  *********      
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 70
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xFE, 0x01        //  ********       
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0xFE, 0x01        //  ********       
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 71
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xF0, 0x07        //     *******     
.byte 0x1C, 0x0C        //   ***     **    
.byte 0x0C, 0x0C        //   **      **    
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x86, 0x0F        //  **    *****    
.byte 0x06, 0x0C        //  **       **    
.byte 0x06, 0x0C        //  **       **    
.byte 0x0C, 0x0C        //   **      **    
.byte 0x1C, 0x0C        //   ***     **    
.byte 0xF0, 0x07        //     *******     
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 72
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x06, 0x0C        //  **       **    
.byte 0x06, 0x0C        //  **       **    
.byte 0x06, 0x0C        //  **       **    
.byte 0x06, 0x0C        //  **       **    
.byte 0x06, 0x0C        //  **       **    
.byte 0xFE, 0x0F        //  ***********    
.byte 0x06, 0x0C        //  **       **    
.byte 0x06, 0x0C        //  **       **    
.byte 0x06, 0x0C        //  **       **    
.byte 0x06, 0x0C        //  **       **    
.byte 0x06, 0x0C        //  **       **    
.byte 0x06, 0x0C        //  **       **    
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 73
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x7E, 0x00        //  ******         
.byte 0x18, 0x00        //    **           
.byte 0x18, 0x00        //    **           
.byte 0x18, 0x00        //    **           
.byte 0x18, 0x00        //    **           
.byte 0x18, 0x00        //    **           
.byte 0x18, 0x00        //    **           
.byte 0x18, 0x00        //    **           
.byte 0x18, 0x00        //    **           
.byte 0x18, 0x00        //    **           
.byte 0x18, 0x00        //    **           
.byte 0x7E, 0x00        //  ******         
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 74
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xF8, 0x00        //    *****        
.byte 0xC0, 0x00        //       **        
.byte 0xC0, 0x00        //       **        
.byte 0xC0, 0x00        //       **        
.byte 0xC0, 0x00        //       **        
.byte 0xC0, 0x00        //       **        
.byte 0xC0, 0x00        //       **        
.byte 0xC0, 0x00        //       **        
.byte 0xC0, 0x00        //       **        
.byte 0xC0, 0x00        //       **        
.byte 0x60, 0x00        //      **         
.byte 0x3E, 0x00        //  *****          
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 75
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x06, 0x06        //  **      **     
.byte 0x06, 0x03        //  **     **      
.byte 0x86, 0x01        //  **    **       
.byte 0xC6, 0x00        //  **   **        
.byte 0x66, 0x00        //  **  **         
.byte 0x36, 0x00        //  ** **          
.byte 0x3E, 0x00        //  *****          
.byte 0x6E, 0x00        //  *** **         
.byte 0xC6, 0x00        //  **   **        
.byte 0x86, 0x01        //  **    **       
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x06        //  **      **     
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 76
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0xFE, 0x01        //  ********       
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 77
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x06, 0x38        //  **        ***  
.byte 0x0E, 0x38        //  ***       ***  
.byte 0x0E, 0x3C        //  ***      ****  
.byte 0x1A, 0x34        //  * **     * **  
.byte 0x1A, 0x36        //  * **    ** **  
.byte 0x32, 0x32        //  *  **   *  **  
.byte 0x32, 0x33        //  *  **  **  **  
.byte 0x62, 0x31        //  *   ** *   **  
.byte 0xE2, 0x31        //  *   ****   **  
.byte 0xC2, 0x30        //  *    **    **  
.byte 0xC2, 0x30        //  *    **    **  
.byte 0x02, 0x30        //  *          **  
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 78
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x0E, 0x08        //  ***       *    
.byte 0x0E, 0x08        //  ***       *    
.byte 0x1A, 0x08        //  * **      *    
.byte 0x32, 0x08        //  *  **     *    
.byte 0x62, 0x08        //  *   **    *    
.byte 0x62, 0x08        //  *   **    *    
.byte 0xC2, 0x08        //  *    **   *    
.byte 0x82, 0x09        //  *     **  *    
.byte 0x82, 0x09        //  *     **  *    
.byte 0x02, 0x0B        //  *      ** *    
.byte 0x02, 0x0E        //  *       ***    
.byte 0x02, 0x0E        //  *       ***    
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 79
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xF0, 0x03        //     ******      
.byte 0x1C, 0x0E        //   ***    ***    
.byte 0x0C, 0x0C        //   **      **    
.byte 0x06, 0x18        //  **        **   
.byte 0x06, 0x18        //  **        **   
.byte 0x06, 0x18        //  **        **   
.byte 0x06, 0x18        //  **        **   
.byte 0x06, 0x18        //  **        **   
.byte 0x06, 0x18        //  **        **   
.byte 0x0C, 0x0C        //   **      **    
.byte 0x1C, 0x0E        //   ***    ***    
.byte 0xF0, 0x03        //     ******      
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 80
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xFE, 0x01        //  ********       
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x06        //  **      **     
.byte 0x06, 0x06        //  **      **     
.byte 0x06, 0x06        //  **      **     
.byte 0x06, 0x06        //  **      **     
.byte 0x06, 0x03        //  **     **      
.byte 0xFE, 0x01        //  ********       
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 81
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xF0, 0x03        //     ******      
.byte 0x1C, 0x0E        //   ***    ***    
.byte 0x0C, 0x0C        //   **      **    
.byte 0x06, 0x18        //  **        **   
.byte 0x06, 0x18        //  **        **   
.byte 0x06, 0x18        //  **        **   
.byte 0x06, 0x18        //  **        **   
.byte 0x06, 0x18        //  **        **   
.byte 0x06, 0x18        //  **        **   
.byte 0x0C, 0x0C        //   **      **    
.byte 0x1C, 0x06        //   ***    **     
.byte 0xF0, 0x03        //     ******      
.byte 0x80, 0x01        //        **       
.byte 0x80, 0x03        //        ***      
.byte 0x00, 0x1F        //         *****   
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 82
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xFE, 0x01        //  ********       
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x06        //  **      **     
.byte 0x06, 0x06        //  **      **     
.byte 0x06, 0x06        //  **      **     
.byte 0x06, 0x03        //  **     **      
.byte 0xFE, 0x01        //  ********       
.byte 0xC6, 0x00        //  **   **        
.byte 0x86, 0x01        //  **    **       
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x06        //  **      **     
.byte 0x06, 0x0C        //  **       **    
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 83
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xF8, 0x01        //    ******       
.byte 0x0C, 0x03        //   **    **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x00        //  **             
.byte 0x0E, 0x00        //  ***            
.byte 0x7C, 0x00        //   *****         
.byte 0xF0, 0x01        //     *****       
.byte 0x80, 0x03        //        ***      
.byte 0x00, 0x03        //         **      
.byte 0x06, 0x03        //  **     **      
.byte 0x86, 0x01        //  **    **       
.byte 0xFC, 0x00        //   ******        
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 84
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xFE, 0x07        //  **********     
.byte 0x60, 0x00        //      **         
.byte 0x60, 0x00        //      **         
.byte 0x60, 0x00        //      **         
.byte 0x60, 0x00        //      **         
.byte 0x60, 0x00        //      **         
.byte 0x60, 0x00        //      **         
.byte 0x60, 0x00        //      **         
.byte 0x60, 0x00        //      **         
.byte 0x60, 0x00        //      **         
.byte 0x60, 0x00        //      **         
.byte 0x60, 0x00        //      **         
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 85
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x06, 0x0C        //  **       **    
.byte 0x06, 0x0C        //  **       **    
.byte 0x06, 0x0C        //  **       **    
.byte 0x06, 0x0C        //  **       **    
.byte 0x06, 0x0C        //  **       **    
.byte 0x06, 0x0C        //  **       **    
.byte 0x06, 0x0C        //  **       **    
.byte 0x06, 0x0C        //  **       **    
.byte 0x06, 0x0C        //  **       **    
.byte 0x06, 0x0C        //  **       **    
.byte 0x0C, 0x06        //   **     **     
.byte 0xF8, 0x03        //    *******      
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 86
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x06, 0x06        //  **      **     
.byte 0x06, 0x06        //  **      **     
.byte 0x06, 0x06        //  **      **     
.byte 0x0C, 0x03        //   **    **      
.byte 0x0C, 0x03        //   **    **      
.byte 0x98, 0x01        //    **  **       
.byte 0x98, 0x01        //    **  **       
.byte 0x98, 0x01        //    **  **       
.byte 0xF0, 0x00        //     ****        
.byte 0xF0, 0x00        //     ****        
.byte 0x60, 0x00        //      **         
.byte 0x60, 0x00        //      **         
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 87
 ***********************************/
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x06, 0x83, 0x01        //  **     **     **       
.byte 0x06, 0x83, 0x01        //  **     **     **       
.byte 0x06, 0x83, 0x01        //  **     **     **       
.byte 0x8C, 0xC7, 0x00        //   **   ****   **        
.byte 0x8C, 0xC4, 0x00        //   **   *  *   **        
.byte 0xCC, 0xCC, 0x00        //   **  **  **  **        
.byte 0xD8, 0x6C, 0x00        //    ** **  ** **         
.byte 0x58, 0x68, 0x00        //    ** *    * **         
.byte 0x78, 0x78, 0x00        //    ****    ****         
.byte 0x70, 0x38, 0x00        //     ***    ***          
.byte 0x30, 0x30, 0x00        //     **      **          
.byte 0x30, 0x30, 0x00        //     **      **          
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         

/***********************************
 * Character - 88
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x06, 0x06        //  **      **     
.byte 0x0E, 0x06        //  ***     **     
.byte 0x0C, 0x03        //   **    **      
.byte 0x98, 0x01        //    **  **       
.byte 0x98, 0x01        //    **  **       
.byte 0xF0, 0x00        //     ****        
.byte 0xF0, 0x00        //     ****        
.byte 0x98, 0x01        //    **  **       
.byte 0x98, 0x01        //    **  **       
.byte 0x0C, 0x03        //   **    **      
.byte 0x06, 0x06        //  **      **     
.byte 0x06, 0x06        //  **      **     
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 89
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x06, 0x06        //  **      **     
.byte 0x0E, 0x07        //  ***    ***     
.byte 0x0C, 0x03        //   **    **      
.byte 0x0C, 0x03        //   **    **      
.byte 0x98, 0x01        //    **  **       
.byte 0x98, 0x01        //    **  **       
.byte 0xF0, 0x00        //     ****        
.byte 0x60, 0x00        //      **         
.byte 0x60, 0x00        //      **         
.byte 0x60, 0x00        //      **         
.byte 0x60, 0x00        //      **         
.byte 0x60, 0x00        //      **         
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 90
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xFE, 0x03        //  *********      
.byte 0x00, 0x03        //         **      
.byte 0x80, 0x01        //        **       
.byte 0xC0, 0x00        //       **        
.byte 0xC0, 0x00        //       **        
.byte 0x60, 0x00        //      **         
.byte 0x30, 0x00        //     **          
.byte 0x18, 0x00        //    **           
.byte 0x18, 0x00        //    **           
.byte 0x0C, 0x00        //   **            
.byte 0x06, 0x00        //  **             
.byte 0xFE, 0x03        //  *********      
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 91
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x7C, 0x00        //   *****         
.byte 0x0C, 0x00        //   **            
.byte 0x0C, 0x00        //   **            
.byte 0x0C, 0x00        //   **            
.byte 0x0C, 0x00        //   **            
.byte 0x0C, 0x00        //   **            
.byte 0x0C, 0x00        //   **            
.byte 0x0C, 0x00        //   **            
.byte 0x0C, 0x00        //   **            
.byte 0x0C, 0x00        //   **            
.byte 0x0C, 0x00        //   **            
.byte 0x0C, 0x00        //   **            
.byte 0x0C, 0x00        //   **            
.byte 0x0C, 0x00        //   **            
.byte 0x0C, 0x00        //   **            
.byte 0x7C, 0x00        //   *****         
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 92
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x0C, 0x00        //   **            
.byte 0x0C, 0x00        //   **            
.byte 0x18, 0x00        //    **           
.byte 0x18, 0x00        //    **           
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x60, 0x00        //      **         
.byte 0x60, 0x00        //      **         
.byte 0xC0, 0x00        //       **        
.byte 0xC0, 0x00        //       **        
.byte 0x80, 0x01        //        **       
.byte 0x80, 0x01        //        **       
.byte 0x00, 0x03        //         **      
.byte 0x00, 0x03        //         **      
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 93
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x7C, 0x00        //   *****         
.byte 0x60, 0x00        //      **         
.byte 0x60, 0x00        //      **         
.byte 0x60, 0x00        //      **         
.byte 0x60, 0x00        //      **         
.byte 0x60, 0x00        //      **         
.byte 0x60, 0x00        //      **         
.byte 0x60, 0x00        //      **         
.byte 0x60, 0x00        //      **         
.byte 0x60, 0x00        //      **         
.byte 0x60, 0x00        //      **         
.byte 0x60, 0x00        //      **         
.byte 0x60, 0x00        //      **         
.byte 0x60, 0x00        //      **         
.byte 0x60, 0x00        //      **         
.byte 0x7C, 0x00        //   *****         
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 94
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x40, 0x00        //       *         
.byte 0xE0, 0x00        //      ***        
.byte 0xB0, 0x01        //     ** **       
.byte 0x18, 0x03        //    **   **      
.byte 0x0C, 0x06        //   **     **     
.byte 0x06, 0x0C        //  **       **    
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 95
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xFF, 0x07        // ***********     
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 96
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x18, 0x00        //    **           
.byte 0x30, 0x00        //     **          
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 97
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xF8, 0x00        //    *****        
.byte 0x8C, 0x01        //   **   **       
.byte 0x00, 0x03        //         **      
.byte 0xF0, 0x03        //     ******      
.byte 0x0C, 0x03        //   **    **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x86, 0x03        //  **    ***      
.byte 0x7C, 0x03        //   ***** **      
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 98
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0xF6, 0x00        //  ** ****        
.byte 0x8E, 0x01        //  ***   **       
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x8E, 0x01        //  ***   **       
.byte 0xF6, 0x00        //  ** ****        
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 99
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xF8, 0x00        //    *****        
.byte 0x8C, 0x01        //   **   **       
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x8C, 0x01        //   **   **       
.byte 0xF8, 0x00        //    *****        
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 100
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x03        //         **      
.byte 0x00, 0x03        //         **      
.byte 0x00, 0x03        //         **      
.byte 0x00, 0x03        //         **      
.byte 0x78, 0x03        //    **** **      
.byte 0x8C, 0x03        //   **   ***      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x8C, 0x03        //   **   ***      
.byte 0x78, 0x03        //    **** **      
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 101
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xF8, 0x00        //    *****        
.byte 0x8C, 0x01        //   **   **       
.byte 0x06, 0x03        //  **     **      
.byte 0xFE, 0x03        //  *********      
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x0C, 0x03        //   **    **      
.byte 0xF8, 0x01        //    ******       
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 102
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x78        //    **** 
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x3E        //  *****  
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 103
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x78, 0x03        //    **** **      
.byte 0x8C, 0x03        //   **   ***      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x8C, 0x03        //   **   ***      
.byte 0x78, 0x03        //    **** **      
.byte 0x00, 0x03        //         **      
.byte 0x8C, 0x01        //   **   **       
.byte 0xF8, 0x00        //    *****        
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 104
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0xF6, 0x00        //  ** ****        
.byte 0x8E, 0x01        //  ***   **       
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 105
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x00        //         
.byte 0x00        //         
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 106
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x00        //         
.byte 0x00        //         
.byte 0x1E        //  ****   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x18        //    **   
.byte 0x0F        // ****    
.byte 0x00        //         

/***********************************
 * Character - 107
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x86, 0x01        //  **    **       
.byte 0xC6, 0x00        //  **   **        
.byte 0x66, 0x00        //  **  **         
.byte 0x36, 0x00        //  ** **          
.byte 0x3E, 0x00        //  *****          
.byte 0x6E, 0x00        //  *** **         
.byte 0xC6, 0x00        //  **   **        
.byte 0x86, 0x01        //  **    **       
.byte 0x06, 0x03        //  **     **      
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 108
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 109
 ***********************************/
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0xF6, 0x3C, 0x00        //  ** ****  ****          
.byte 0x8E, 0x63, 0x00        //  ***   ***   **         
.byte 0x86, 0x61, 0x00        //  **    **    **         
.byte 0x86, 0x61, 0x00        //  **    **    **         
.byte 0x86, 0x61, 0x00        //  **    **    **         
.byte 0x86, 0x61, 0x00        //  **    **    **         
.byte 0x86, 0x61, 0x00        //  **    **    **         
.byte 0x86, 0x61, 0x00        //  **    **    **         
.byte 0x86, 0x61, 0x00        //  **    **    **         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         

/***********************************
 * Character - 110
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xF6, 0x00        //  ** ****        
.byte 0x8E, 0x01        //  ***   **       
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 111
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xF8, 0x00        //    *****        
.byte 0x8C, 0x01        //   **   **       
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x8C, 0x01        //   **   **       
.byte 0xF8, 0x00        //    *****        
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 112
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xF6, 0x00        //  ** ****        
.byte 0x8E, 0x01        //  ***   **       
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x8E, 0x01        //  ***   **       
.byte 0xF6, 0x00        //  ** ****        
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x06, 0x00        //  **             
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 113
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x78, 0x03        //    **** **      
.byte 0x8C, 0x03        //   **   ***      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x8C, 0x03        //   **   ***      
.byte 0x78, 0x03        //    **** **      
.byte 0x00, 0x03        //         **      
.byte 0x00, 0x03        //         **      
.byte 0x00, 0x03        //         **      
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 114
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0xE6        //  **  ***
.byte 0xF6        //  ** ****
.byte 0x0E        //  ***    
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x06        //  **     
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 115
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x7C, 0x00        //   *****         
.byte 0xC6, 0x00        //  **   **        
.byte 0x06, 0x00        //  **             
.byte 0x1E, 0x00        //  ****           
.byte 0x7C, 0x00        //   *****         
.byte 0xF0, 0x00        //     ****        
.byte 0xC0, 0x00        //       **        
.byte 0xC6, 0x00        //  **   **        
.byte 0x7C, 0x00        //   *****         
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 116
 ***********************************/
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x7E        //  ****** 
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x0C        //   **    
.byte 0x78        //    **** 
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         
.byte 0x00        //         

/***********************************
 * Character - 117
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x06, 0x03        //  **     **      
.byte 0x8C, 0x03        //   **   ***      
.byte 0x78, 0x03        //    **** **      
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 118
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x03, 0x03        // **      **      
.byte 0x03, 0x03        // **      **      
.byte 0x86, 0x01        //  **    **       
.byte 0x86, 0x01        //  **    **       
.byte 0xCC, 0x00        //   **  **        
.byte 0xCC, 0x00        //   **  **        
.byte 0x78, 0x00        //    ****         
.byte 0x78, 0x00        //    ****         
.byte 0x30, 0x00        //     **          
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 119
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x86, 0x61        //  **    **    ** 
.byte 0x86, 0x61        //  **    **    ** 
.byte 0x8C, 0x31        //   **   **   **  
.byte 0xCC, 0x33        //   **  ****  **  
.byte 0x4C, 0x32        //   **  *  *  **  
.byte 0x78, 0x1E        //    ****  ****   
.byte 0x78, 0x1E        //    ****  ****   
.byte 0x30, 0x0C        //     **    **    
.byte 0x30, 0x0C        //     **    **    
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 120
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x06, 0x03        //  **     **      
.byte 0x8C, 0x01        //   **   **       
.byte 0x8C, 0x01        //   **   **       
.byte 0xD8, 0x00        //    ** **        
.byte 0x70, 0x00        //     ***         
.byte 0xD8, 0x00        //    ** **        
.byte 0x8C, 0x01        //   **   **       
.byte 0x8C, 0x01        //   **   **       
.byte 0x06, 0x03        //  **     **      
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 121
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x06, 0x06        //  **      **     
.byte 0x06, 0x06        //  **      **     
.byte 0x0C, 0x03        //   **    **      
.byte 0x0C, 0x03        //   **    **      
.byte 0x98, 0x01        //    **  **       
.byte 0x98, 0x01        //    **  **       
.byte 0xF0, 0x00        //     ****        
.byte 0xF0, 0x00        //     ****        
.byte 0x60, 0x00        //      **         
.byte 0x60, 0x00        //      **         
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 122
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xFE, 0x01        //  ********       
.byte 0x80, 0x01        //        **       
.byte 0xC0, 0x00        //       **        
.byte 0x60, 0x00        //      **         
.byte 0x30, 0x00        //     **          
.byte 0x18, 0x00        //    **           
.byte 0x0C, 0x00        //   **            
.byte 0x06, 0x00        //  **             
.byte 0xFE, 0x01        //  ********       
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 123
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xE0, 0x01        //      ****       
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x18, 0x00        //    **           
.byte 0x0E, 0x00        //  ***            
.byte 0x18, 0x00        //    **           
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0x30, 0x00        //     **          
.byte 0xE0, 0x01        //      ****       
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 124
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x18, 0x00        //    **           
.byte 0x18, 0x00        //    **           
.byte 0x18, 0x00        //    **           
.byte 0x18, 0x00        //    **           
.byte 0x18, 0x00        //    **           
.byte 0x18, 0x00        //    **           
.byte 0x18, 0x00        //    **           
.byte 0x18, 0x00        //    **           
.byte 0x18, 0x00        //    **           
.byte 0x18, 0x00        //    **           
.byte 0x18, 0x00        //    **           
.byte 0x18, 0x00        //    **           
.byte 0x18, 0x00        //    **           
.byte 0x18, 0x00        //    **           
.byte 0x18, 0x00        //    **           
.byte 0x18, 0x00        //    **           
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 125
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x3C, 0x00        //   ****          
.byte 0x60, 0x00        //      **         
.byte 0x60, 0x00        //      **         
.byte 0x60, 0x00        //      **         
.byte 0x60, 0x00        //      **         
.byte 0x60, 0x00        //      **         
.byte 0xC0, 0x00        //       **        
.byte 0x80, 0x03        //        ***      
.byte 0xC0, 0x00        //       **        
.byte 0x60, 0x00        //      **         
.byte 0x60, 0x00        //      **         
.byte 0x60, 0x00        //      **         
.byte 0x60, 0x00        //      **         
.byte 0x60, 0x00        //      **         
.byte 0x70, 0x00        //     ***         
.byte 0x3C, 0x00        //   ****          
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 126
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x18, 0x08        //    **      *    
.byte 0x24, 0x08        //   *  *     *    
.byte 0x42, 0x08        //  *    *    *    
.byte 0x82, 0x04        //  *     *  *     
.byte 0x02, 0x03        //  *      **      
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

GRC_CONST_SECTION
/*********************************
 * Installed Font Structure
 * Label: Verdana_Bold_28
 * Description:  Height: 35 pixels, 1 bit per pixel, Range: ' ' to '9'
 ***********************************/
GRC_FONT_SECTION
.global ___Verdana_Bold_28    // for XC16
.global __Verdana_Bold_28     // for XC32
.align 2
___Verdana_Bold_28:    // for XC16
__Verdana_Bold_28:     // for XC32
/****************************************
 * Font header
 ****************************************/
.byte 0x00           // Font ID
.byte 0x00           // Font information:  1 bit per pixel, Characters zero degress rotation
.byte 0x20, 0x00     // First Character
.byte 0x39, 0x00     // Last Character
.byte 0x23, 0x00     // Height
/****************************************
 * Font Glyph Table
 ****************************************/
.byte 0x0A              // width of the glyph
.byte 0x70, 0x00, 0x00       // Character - 32, offset (0x00000070)
.byte 0x0B              // width of the glyph
.byte 0xB6, 0x00, 0x00       // Character - 33, offset (0x000000B6)
.byte 0x10              // width of the glyph
.byte 0xFC, 0x00, 0x00       // Character - 34, offset (0x000000FC)
.byte 0x18              // width of the glyph
.byte 0x42, 0x01, 0x00       // Character - 35, offset (0x00000142)
.byte 0x14              // width of the glyph
.byte 0xAB, 0x01, 0x00       // Character - 36, offset (0x000001AB)
.byte 0x24              // width of the glyph
.byte 0x14, 0x02, 0x00       // Character - 37, offset (0x00000214)
.byte 0x19              // width of the glyph
.byte 0xC3, 0x02, 0x00       // Character - 38, offset (0x000002C3)
.byte 0x09              // width of the glyph
.byte 0x4F, 0x03, 0x00       // Character - 39, offset (0x0000034F)
.byte 0x0F              // width of the glyph
.byte 0x95, 0x03, 0x00       // Character - 40, offset (0x00000395)
.byte 0x0F              // width of the glyph
.byte 0xDB, 0x03, 0x00       // Character - 41, offset (0x000003DB)
.byte 0x14              // width of the glyph
.byte 0x21, 0x04, 0x00       // Character - 42, offset (0x00000421)
.byte 0x18              // width of the glyph
.byte 0x8A, 0x04, 0x00       // Character - 43, offset (0x0000048A)
.byte 0x0A              // width of the glyph
.byte 0xF3, 0x04, 0x00       // Character - 44, offset (0x000004F3)
.byte 0x0D              // width of the glyph
.byte 0x39, 0x05, 0x00       // Character - 45, offset (0x00000539)
.byte 0x0A              // width of the glyph
.byte 0x7F, 0x05, 0x00       // Character - 46, offset (0x0000057F)
.byte 0x13              // width of the glyph
.byte 0xC5, 0x05, 0x00       // Character - 47, offset (0x000005C5)
.byte 0x14              // width of the glyph
.byte 0x2E, 0x06, 0x00       // Character - 48, offset (0x0000062E)
.byte 0x14              // width of the glyph
.byte 0x97, 0x06, 0x00       // Character - 49, offset (0x00000697)
.byte 0x14              // width of the glyph
.byte 0x00, 0x07, 0x00       // Character - 50, offset (0x00000700)
.byte 0x14              // width of the glyph
.byte 0x69, 0x07, 0x00       // Character - 51, offset (0x00000769)
.byte 0x14              // width of the glyph
.byte 0xD2, 0x07, 0x00       // Character - 52, offset (0x000007D2)
.byte 0x14              // width of the glyph
.byte 0x3B, 0x08, 0x00       // Character - 53, offset (0x0000083B)
.byte 0x14              // width of the glyph
.byte 0xA4, 0x08, 0x00       // Character - 54, offset (0x000008A4)
.byte 0x14              // width of the glyph
.byte 0x0D, 0x09, 0x00       // Character - 55, offset (0x0000090D)
.byte 0x14              // width of the glyph
.byte 0x76, 0x09, 0x00       // Character - 56, offset (0x00000976)
.byte 0x14              // width of the glyph
.byte 0xDF, 0x09, 0x00       // Character - 57, offset (0x000009DF)
/***********************************
 * Font Characters
 ***********************************/
/***********************************
 * Character - 32
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 33
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xF8, 0x00        //    *****        
.byte 0xF8, 0x00        //    *****        
.byte 0xF8, 0x00        //    *****        
.byte 0xF8, 0x00        //    *****        
.byte 0xF8, 0x00        //    *****        
.byte 0xF8, 0x00        //    *****        
.byte 0xF8, 0x00        //    *****        
.byte 0xF8, 0x00        //    *****        
.byte 0xF8, 0x00        //    *****        
.byte 0xF8, 0x00        //    *****        
.byte 0xF8, 0x00        //    *****        
.byte 0xF8, 0x00        //    *****        
.byte 0xF8, 0x00        //    *****        
.byte 0xF8, 0x00        //    *****        
.byte 0x70, 0x00        //     ***         
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xF8, 0x00        //    *****        
.byte 0xF8, 0x00        //    *****        
.byte 0xF8, 0x00        //    *****        
.byte 0xF8, 0x00        //    *****        
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 34
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x7C, 0x3E        //   *****  *****  
.byte 0x7C, 0x3E        //   *****  *****  
.byte 0x7C, 0x3E        //   *****  *****  
.byte 0x7C, 0x3E        //   *****  *****  
.byte 0x7C, 0x3E        //   *****  *****  
.byte 0x38, 0x1C        //    ***    ***   
.byte 0x38, 0x1C        //    ***    ***   
.byte 0x38, 0x1C        //    ***    ***   
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 35
 ***********************************/
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x1C, 0x0E        //           ***    ***    
.byte 0x00, 0x1C, 0x0E        //           ***    ***    
.byte 0x00, 0x1E, 0x07        //          ****   ***     
.byte 0x00, 0x0E, 0x07        //          ***    ***     
.byte 0x00, 0x0E, 0x07        //          ***    ***     
.byte 0xF0, 0xFF, 0x3F        //     ******************  
.byte 0xF0, 0xFF, 0x3F        //     ******************  
.byte 0xF0, 0xFF, 0x3F        //     ******************  
.byte 0x00, 0x87, 0x03        //         ***    ***      
.byte 0x00, 0x87, 0x03        //         ***    ***      
.byte 0x00, 0xC7, 0x03        //         ***   ****      
.byte 0x80, 0xC3, 0x01        //        ***    ***       
.byte 0x80, 0xC3, 0x01        //        ***    ***       
.byte 0xF8, 0xFF, 0x1F        //    ******************   
.byte 0xF8, 0xFF, 0x1F        //    ******************   
.byte 0xF8, 0xFF, 0x1F        //    ******************   
.byte 0xC0, 0xE1, 0x00        //       ***    ***        
.byte 0xC0, 0xE1, 0x00        //       ***    ***        
.byte 0xC0, 0xE1, 0x00        //       ***    ***        
.byte 0xE0, 0x70, 0x00        //      ***    ***         
.byte 0xE0, 0x70, 0x00        //      ***    ***         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         

/***********************************
 * Character - 36
 ***********************************/
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x06, 0x00        //          **             
.byte 0x00, 0x06, 0x00        //          **             
.byte 0x00, 0x06, 0x00        //          **             
.byte 0xC0, 0x7F, 0x00        //       *********         
.byte 0xF0, 0xFF, 0x01        //     *************       
.byte 0xF8, 0xFF, 0x01        //    **************       
.byte 0xFC, 0xFF, 0x01        //   ***************       
.byte 0x7C, 0x86, 0x01        //   *****  **    **       
.byte 0x7C, 0x06, 0x00        //   *****  **             
.byte 0xFC, 0x07, 0x00        //   *********             
.byte 0xF8, 0x3F, 0x00        //    ***********          
.byte 0xF8, 0xFF, 0x00        //    *************        
.byte 0xE0, 0xFF, 0x01        //      ************       
.byte 0x00, 0xFF, 0x03        //         **********      
.byte 0x00, 0xF6, 0x03        //          ** ******      
.byte 0x00, 0xE6, 0x03        //          **  *****      
.byte 0x1C, 0xE6, 0x03        //   ***    **  *****      
.byte 0xFC, 0xFF, 0x01        //   ***************       
.byte 0xFC, 0xFF, 0x01        //   ***************       
.byte 0xFC, 0x7F, 0x00        //   *************         
.byte 0xF0, 0x1F, 0x00        //     *********           
.byte 0x00, 0x06, 0x00        //          **             
.byte 0x00, 0x06, 0x00        //          **             
.byte 0x00, 0x06, 0x00        //          **             
.byte 0x00, 0x06, 0x00        //          **             
.byte 0x00, 0x06, 0x00        //          **             
.byte 0x00, 0x00, 0x00        //                         

/***********************************
 * Character - 37
 ***********************************/
.byte 0x00, 0x00, 0x00, 0x00, 0x00        //                                         
.byte 0x00, 0x00, 0x00, 0x00, 0x00        //                                         
.byte 0x00, 0x00, 0x00, 0x00, 0x00        //                                         
.byte 0x00, 0x00, 0x00, 0x00, 0x00        //                                         
.byte 0x00, 0x00, 0x00, 0x00, 0x00        //                                         
.byte 0x00, 0x00, 0x00, 0x00, 0x00        //                                         
.byte 0x00, 0x00, 0x00, 0x00, 0x00        //                                         
.byte 0x00, 0x00, 0x00, 0x00, 0x00        //                                         
.byte 0xE0, 0x07, 0xE0, 0x01, 0x00        //      ******          ****               
.byte 0xF0, 0x0F, 0xE0, 0x00, 0x00        //     ********         ***                
.byte 0xF8, 0x1F, 0xF0, 0x00, 0x00        //    **********       ****                
.byte 0x7C, 0x3E, 0x70, 0x00, 0x00        //   *****  *****      ***                 
.byte 0x3C, 0x3C, 0x78, 0x00, 0x00        //   ****    ****     ****                 
.byte 0x3C, 0x3C, 0x38, 0x00, 0x00        //   ****    ****     ***                  
.byte 0x3C, 0x3C, 0x3C, 0x00, 0x00        //   ****    ****    ****                  
.byte 0x3C, 0x3C, 0x1C, 0x00, 0x00        //   ****    ****    ***                   
.byte 0x3C, 0x3C, 0x1E, 0x7E, 0x00        //   ****    ****   ****    ******         
.byte 0x7C, 0x3E, 0x0E, 0xFF, 0x00        //   *****  *****   ***    ********        
.byte 0xF8, 0x1F, 0x8F, 0xFF, 0x01        //    **********   ****   **********       
.byte 0xF0, 0x0F, 0xC7, 0xE7, 0x03        //     ********    ***   *****  *****      
.byte 0xE0, 0x87, 0xC7, 0xC3, 0x03        //      ******    ****   ****    ****      
.byte 0x00, 0x80, 0xC3, 0xC3, 0x03        //                ***    ****    ****      
.byte 0x00, 0xC0, 0xC3, 0xC3, 0x03        //               ****    ****    ****      
.byte 0x00, 0xC0, 0xC1, 0xC3, 0x03        //               ***     ****    ****      
.byte 0x00, 0xE0, 0xC1, 0xC3, 0x03        //              ****     ****    ****      
.byte 0x00, 0xE0, 0xC0, 0xE7, 0x03        //              ***      *****  *****      
.byte 0x00, 0xF0, 0x80, 0xFF, 0x01        //             ****       **********       
.byte 0x00, 0x70, 0x00, 0xFF, 0x00        //             ***         ********        
.byte 0x00, 0x78, 0x00, 0x7E, 0x00        //            ****          ******         
.byte 0x00, 0x00, 0x00, 0x00, 0x00        //                                         
.byte 0x00, 0x00, 0x00, 0x00, 0x00        //                                         
.byte 0x00, 0x00, 0x00, 0x00, 0x00        //                                         
.byte 0x00, 0x00, 0x00, 0x00, 0x00        //                                         
.byte 0x00, 0x00, 0x00, 0x00, 0x00        //                                         
.byte 0x00, 0x00, 0x00, 0x00, 0x00        //                                         

/***********************************
 * Character - 38
 ***********************************/
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x80, 0x3F, 0x00, 0x00        //        *******                  
.byte 0xE0, 0x7F, 0x00, 0x00        //      **********                 
.byte 0xF0, 0xFF, 0x00, 0x00        //     ************                
.byte 0xF8, 0xFF, 0x01, 0x00        //    **************               
.byte 0xF8, 0xF9, 0x01, 0x00        //    ******  ******               
.byte 0xF8, 0xF0, 0x01, 0x00        //    *****    *****               
.byte 0xF8, 0xF0, 0x01, 0x00        //    *****    *****               
.byte 0xF0, 0xF1, 0x00, 0x00        //     *****   ****                
.byte 0xE0, 0xFB, 0x00, 0x00        //      ***** *****                
.byte 0xC0, 0x3F, 0x3E, 0x00        //       ********   *****          
.byte 0xF0, 0x1F, 0x3E, 0x00        //     *********    *****          
.byte 0xF8, 0x3F, 0x3E, 0x00        //    ***********   *****          
.byte 0xF8, 0x7E, 0x3E, 0x00        //    ***** ******  *****          
.byte 0x7C, 0xFC, 0x3E, 0x00        //   *****   ****** *****          
.byte 0x7C, 0xF8, 0x1F, 0x00        //   *****    **********           
.byte 0xFC, 0xE0, 0x1F, 0x00        //   ******     ********           
.byte 0xFC, 0xC1, 0x0F, 0x00        //   *******     ******            
.byte 0xF8, 0xFF, 0x1F, 0x00        //    ******************           
.byte 0xF8, 0xFF, 0x3F, 0x00        //    *******************          
.byte 0xF0, 0xFF, 0xFE, 0x00        //     ************ *******        
.byte 0x80, 0x3F, 0xFC, 0x01        //        *******    *******       
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 
.byte 0x00, 0x00, 0x00, 0x00        //                                 

/***********************************
 * Character - 39
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x7C, 0x00        //   *****         
.byte 0x7C, 0x00        //   *****         
.byte 0x7C, 0x00        //   *****         
.byte 0x7C, 0x00        //   *****         
.byte 0x7C, 0x00        //   *****         
.byte 0x38, 0x00        //    ***          
.byte 0x38, 0x00        //    ***          
.byte 0x38, 0x00        //    ***          
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 40
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x1F        //         *****   
.byte 0x80, 0x0F        //        *****    
.byte 0xC0, 0x07        //       *****     
.byte 0xC0, 0x03        //       ****      
.byte 0xE0, 0x03        //      *****      
.byte 0xE0, 0x01        //      ****       
.byte 0xF0, 0x01        //     *****       
.byte 0xF0, 0x00        //     ****        
.byte 0xF0, 0x00        //     ****        
.byte 0xF8, 0x00        //    *****        
.byte 0x78, 0x00        //    ****         
.byte 0x78, 0x00        //    ****         
.byte 0x78, 0x00        //    ****         
.byte 0x78, 0x00        //    ****         
.byte 0x78, 0x00        //    ****         
.byte 0x78, 0x00        //    ****         
.byte 0x78, 0x00        //    ****         
.byte 0x78, 0x00        //    ****         
.byte 0xF8, 0x00        //    *****        
.byte 0xF0, 0x00        //     ****        
.byte 0xF0, 0x00        //     ****        
.byte 0xF0, 0x01        //     *****       
.byte 0xE0, 0x01        //      ****       
.byte 0xE0, 0x03        //      *****      
.byte 0xC0, 0x03        //       ****      
.byte 0xC0, 0x07        //       *****     
.byte 0x80, 0x0F        //        *****    
.byte 0x00, 0x1F        //         *****   

/***********************************
 * Character - 41
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x7C, 0x00        //   *****         
.byte 0xF8, 0x00        //    *****        
.byte 0xF0, 0x01        //     *****       
.byte 0xE0, 0x01        //      ****       
.byte 0xE0, 0x03        //      *****      
.byte 0xC0, 0x03        //       ****      
.byte 0xC0, 0x07        //       *****     
.byte 0x80, 0x07        //        ****     
.byte 0x80, 0x07        //        ****     
.byte 0x80, 0x0F        //        *****    
.byte 0x00, 0x0F        //         ****    
.byte 0x00, 0x0F        //         ****    
.byte 0x00, 0x0F        //         ****    
.byte 0x00, 0x0F        //         ****    
.byte 0x00, 0x0F        //         ****    
.byte 0x00, 0x0F        //         ****    
.byte 0x00, 0x0F        //         ****    
.byte 0x00, 0x0F        //         ****    
.byte 0x80, 0x0F        //        *****    
.byte 0x80, 0x07        //        ****     
.byte 0x80, 0x07        //        ****     
.byte 0xC0, 0x07        //       *****     
.byte 0xC0, 0x03        //       ****      
.byte 0xE0, 0x03        //      *****      
.byte 0xE0, 0x01        //      ****       
.byte 0xF0, 0x01        //     *****       
.byte 0xF8, 0x00        //    *****        
.byte 0x7C, 0x00        //   *****         

/***********************************
 * Character - 42
 ***********************************/
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x07, 0x00        //         ***             
.byte 0x00, 0x07, 0x00        //         ***             
.byte 0x08, 0x87, 0x00        //    *    ***    *        
.byte 0x38, 0xE7, 0x00        //    ***  ***  ***        
.byte 0x78, 0xF7, 0x01        //    **** *** *****       
.byte 0xF0, 0x7F, 0x00        //     ***********         
.byte 0xC0, 0x1F, 0x00        //       *******           
.byte 0xC0, 0x1F, 0x00        //       *******           
.byte 0xF0, 0x7F, 0x00        //     ***********         
.byte 0xF8, 0xF7, 0x00        //    ******** ****        
.byte 0x38, 0xE7, 0x00        //    ***  ***  ***        
.byte 0x08, 0x87, 0x00        //    *    ***    *        
.byte 0x00, 0x07, 0x00        //         ***             
.byte 0x00, 0x07, 0x00        //         ***             
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         

/***********************************
 * Character - 43
 ***********************************/
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x3C, 0x00        //           ****          
.byte 0x00, 0x3C, 0x00        //           ****          
.byte 0x00, 0x3C, 0x00        //           ****          
.byte 0x00, 0x3C, 0x00        //           ****          
.byte 0x00, 0x3C, 0x00        //           ****          
.byte 0x00, 0x3C, 0x00        //           ****          
.byte 0x00, 0x3C, 0x00        //           ****          
.byte 0xF8, 0xFF, 0x1F        //    ******************   
.byte 0xF8, 0xFF, 0x1F        //    ******************   
.byte 0xF8, 0xFF, 0x1F        //    ******************   
.byte 0xF8, 0xFF, 0x1F        //    ******************   
.byte 0x00, 0x3C, 0x00        //           ****          
.byte 0x00, 0x3C, 0x00        //           ****          
.byte 0x00, 0x3C, 0x00        //           ****          
.byte 0x00, 0x3C, 0x00        //           ****          
.byte 0x00, 0x3C, 0x00        //           ****          
.byte 0x00, 0x3C, 0x00        //           ****          
.byte 0x00, 0x3C, 0x00        //           ****          
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         

/***********************************
 * Character - 44
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xF8, 0x00        //    *****        
.byte 0x7C, 0x00        //   *****         
.byte 0x7C, 0x00        //   *****         
.byte 0x3C, 0x00        //   ****          
.byte 0x3E, 0x00        //  *****          
.byte 0x1E, 0x00        //  ****           
.byte 0x1E, 0x00        //  ****           
.byte 0x0E, 0x00        //  ***            
.byte 0x0F, 0x00        // ****            
.byte 0x07, 0x00        // ***             
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 45
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xFC, 0x0F        //   **********    
.byte 0xFC, 0x0F        //   **********    
.byte 0xFC, 0x0F        //   **********    
.byte 0xFC, 0x0F        //   **********    
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 46
 ***********************************/
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0xF8, 0x00        //    *****        
.byte 0xF8, 0x00        //    *****        
.byte 0xF8, 0x00        //    *****        
.byte 0xF8, 0x00        //    *****        
.byte 0xF8, 0x00        //    *****        
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 
.byte 0x00, 0x00        //                 

/***********************************
 * Character - 47
 ***********************************/
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0xE0, 0x01        //              ****       
.byte 0x00, 0xF0, 0x00        //             ****        
.byte 0x00, 0xF0, 0x00        //             ****        
.byte 0x00, 0xF8, 0x00        //            *****        
.byte 0x00, 0x78, 0x00        //            ****         
.byte 0x00, 0x7C, 0x00        //           *****         
.byte 0x00, 0x3C, 0x00        //           ****          
.byte 0x00, 0x3C, 0x00        //           ****          
.byte 0x00, 0x1E, 0x00        //          ****           
.byte 0x00, 0x1E, 0x00        //          ****           
.byte 0x00, 0x1F, 0x00        //         *****           
.byte 0x00, 0x0F, 0x00        //         ****            
.byte 0x00, 0x0F, 0x00        //         ****            
.byte 0x80, 0x07, 0x00        //        ****             
.byte 0x80, 0x07, 0x00        //        ****             
.byte 0xC0, 0x07, 0x00        //       *****             
.byte 0xC0, 0x03, 0x00        //       ****              
.byte 0xC0, 0x03, 0x00        //       ****              
.byte 0xE0, 0x01, 0x00        //      ****               
.byte 0xE0, 0x01, 0x00        //      ****               
.byte 0xF0, 0x01, 0x00        //     *****               
.byte 0xF0, 0x00, 0x00        //     ****                
.byte 0xF8, 0x00, 0x00        //    *****                
.byte 0x78, 0x00, 0x00        //    ****                 
.byte 0x78, 0x00, 0x00        //    ****                 
.byte 0x3C, 0x00, 0x00        //   ****                  
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         

/***********************************
 * Character - 48
 ***********************************/
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x80, 0x1F, 0x00        //        ******           
.byte 0xE0, 0x7F, 0x00        //      **********         
.byte 0xF0, 0xFF, 0x00        //     ************        
.byte 0xF8, 0xFF, 0x01        //    **************       
.byte 0xF8, 0xF0, 0x01        //    *****    *****       
.byte 0xF8, 0xF0, 0x01        //    *****    *****       
.byte 0x7C, 0xE0, 0x03        //   *****      *****      
.byte 0x7C, 0xE0, 0x03        //   *****      *****      
.byte 0x7C, 0xE0, 0x03        //   *****      *****      
.byte 0x7C, 0xE0, 0x03        //   *****      *****      
.byte 0x7C, 0xE0, 0x03        //   *****      *****      
.byte 0x7C, 0xE0, 0x03        //   *****      *****      
.byte 0x7C, 0xE0, 0x03        //   *****      *****      
.byte 0x7C, 0xE0, 0x03        //   *****      *****      
.byte 0x7C, 0xE0, 0x03        //   *****      *****      
.byte 0xF8, 0xF0, 0x01        //    *****    *****       
.byte 0xF8, 0xF9, 0x01        //    ******  ******       
.byte 0xF8, 0xFF, 0x01        //    **************       
.byte 0xF0, 0xFF, 0x00        //     ************        
.byte 0xE0, 0x7F, 0x00        //      **********         
.byte 0x80, 0x1F, 0x00        //        ******           
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         

/***********************************
 * Character - 49
 ***********************************/
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x1F, 0x00        //         *****           
.byte 0x00, 0x1F, 0x00        //         *****           
.byte 0x80, 0x1F, 0x00        //        ******           
.byte 0xF0, 0x1F, 0x00        //     *********           
.byte 0xF0, 0x1F, 0x00        //     *********           
.byte 0xF0, 0x1F, 0x00        //     *********           
.byte 0xF0, 0x1F, 0x00        //     *********           
.byte 0x00, 0x1F, 0x00        //         *****           
.byte 0x00, 0x1F, 0x00        //         *****           
.byte 0x00, 0x1F, 0x00        //         *****           
.byte 0x00, 0x1F, 0x00        //         *****           
.byte 0x00, 0x1F, 0x00        //         *****           
.byte 0x00, 0x1F, 0x00        //         *****           
.byte 0x00, 0x1F, 0x00        //         *****           
.byte 0x00, 0x1F, 0x00        //         *****           
.byte 0x00, 0x1F, 0x00        //         *****           
.byte 0x00, 0x1F, 0x00        //         *****           
.byte 0xF0, 0xFF, 0x01        //     *************       
.byte 0xF0, 0xFF, 0x01        //     *************       
.byte 0xF0, 0xFF, 0x01        //     *************       
.byte 0xF0, 0xFF, 0x01        //     *************       
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         

/***********************************
 * Character - 50
 ***********************************/
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x80, 0x3F, 0x00        //        *******          
.byte 0xF0, 0xFF, 0x00        //     ************        
.byte 0xF0, 0xFF, 0x01        //     *************       
.byte 0xF0, 0xFF, 0x01        //     *************       
.byte 0x70, 0xF0, 0x03        //     ***     ******      
.byte 0x10, 0xE0, 0x03        //     *        *****      
.byte 0x00, 0xE0, 0x03        //              *****      
.byte 0x00, 0xE0, 0x03        //              *****      
.byte 0x00, 0xE0, 0x03        //              *****      
.byte 0x00, 0xF0, 0x01        //             *****       
.byte 0x00, 0xF8, 0x01        //            ******       
.byte 0x00, 0xFC, 0x00        //           ******        
.byte 0x00, 0x7E, 0x00        //          ******         
.byte 0x00, 0x3F, 0x00        //         ******          
.byte 0x80, 0x1F, 0x00        //        ******           
.byte 0xC0, 0x0F, 0x00        //       ******            
.byte 0xF0, 0x07, 0x00        //     *******             
.byte 0xF8, 0xFF, 0x07        //    ****************     
.byte 0xF8, 0xFF, 0x07        //    ****************     
.byte 0xF8, 0xFF, 0x07        //    ****************     
.byte 0xF8, 0xFF, 0x07        //    ****************     
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         

/***********************************
 * Character - 51
 ***********************************/
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0xC0, 0x1F, 0x00        //       *******           
.byte 0xF8, 0x7F, 0x00        //    ************         
.byte 0xF8, 0xFF, 0x00        //    *************        
.byte 0xF8, 0xFF, 0x01        //    **************       
.byte 0x38, 0xF8, 0x01        //    ***     ******       
.byte 0x08, 0xF0, 0x01        //    *        *****       
.byte 0x00, 0xF0, 0x01        //             *****       
.byte 0x00, 0xF8, 0x00        //            *****        
.byte 0x80, 0xFF, 0x00        //        *********        
.byte 0x80, 0x3F, 0x00        //        *******          
.byte 0x80, 0xFF, 0x00        //        *********        
.byte 0x80, 0xFF, 0x01        //        **********       
.byte 0x00, 0xF0, 0x03        //             ******      
.byte 0x00, 0xE0, 0x03        //              *****      
.byte 0x00, 0xE0, 0x03        //              *****      
.byte 0x04, 0xE0, 0x03        //   *          *****      
.byte 0x3C, 0xF8, 0x03        //   ****     *******      
.byte 0xFC, 0xFF, 0x01        //   ***************       
.byte 0xFC, 0xFF, 0x00        //   **************        
.byte 0xFC, 0x7F, 0x00        //   *************         
.byte 0xE0, 0x1F, 0x00        //      ********           
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         

/***********************************
 * Character - 52
 ***********************************/
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0xFC, 0x00        //           ******        
.byte 0x00, 0xFE, 0x00        //          *******        
.byte 0x00, 0xFE, 0x00        //          *******        
.byte 0x00, 0xFF, 0x00        //         ********        
.byte 0x80, 0xFF, 0x00        //        *********        
.byte 0xC0, 0xFB, 0x00        //       **** *****        
.byte 0xE0, 0xF9, 0x00        //      ****  *****        
.byte 0xE0, 0xF8, 0x00        //      ***   *****        
.byte 0xF0, 0xF8, 0x00        //     ****   *****        
.byte 0x78, 0xF8, 0x00        //    ****    *****        
.byte 0x3C, 0xF8, 0x00        //   ****     *****        
.byte 0x1E, 0xF8, 0x00        //  ****      *****        
.byte 0xFE, 0xFF, 0x07        //  ******************     
.byte 0xFE, 0xFF, 0x07        //  ******************     
.byte 0xFE, 0xFF, 0x07        //  ******************     
.byte 0xFE, 0xFF, 0x07        //  ******************     
.byte 0x00, 0xF8, 0x00        //            *****        
.byte 0x00, 0xF8, 0x00        //            *****        
.byte 0x00, 0xF8, 0x00        //            *****        
.byte 0x00, 0xF8, 0x00        //            *****        
.byte 0x00, 0xF8, 0x00        //            *****        
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         

/***********************************
 * Character - 53
 ***********************************/
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0xF8, 0xFF, 0x01        //    **************       
.byte 0xF8, 0xFF, 0x01        //    **************       
.byte 0xF8, 0xFF, 0x01        //    **************       
.byte 0xF8, 0xFF, 0x01        //    **************       
.byte 0xF8, 0x00, 0x00        //    *****                
.byte 0xF8, 0x00, 0x00        //    *****                
.byte 0xF8, 0x00, 0x00        //    *****                
.byte 0xF8, 0x3F, 0x00        //    ***********          
.byte 0xF8, 0xFF, 0x00        //    *************        
.byte 0xF8, 0xFF, 0x01        //    **************       
.byte 0xF8, 0xFF, 0x01        //    **************       
.byte 0x18, 0xF8, 0x03        //    **      *******      
.byte 0x00, 0xE0, 0x03        //              *****      
.byte 0x00, 0xE0, 0x03        //              *****      
.byte 0x00, 0xE0, 0x03        //              *****      
.byte 0x04, 0xE0, 0x03        //   *          *****      
.byte 0x3C, 0xF8, 0x01        //   ****     ******       
.byte 0xFC, 0xFF, 0x01        //   ***************       
.byte 0xFC, 0xFF, 0x00        //   **************        
.byte 0xFC, 0x7F, 0x00        //   *************         
.byte 0xF0, 0x1F, 0x00        //     *********           
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         

/***********************************
 * Character - 54
 ***********************************/
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0xFE, 0x01        //          ********       
.byte 0x80, 0xFF, 0x01        //        **********       
.byte 0xE0, 0xFF, 0x01        //      ************       
.byte 0xF0, 0xFF, 0x01        //     *************       
.byte 0xF0, 0x83, 0x01        //     ******     **       
.byte 0xF8, 0x01, 0x00        //    ******               
.byte 0xF8, 0x00, 0x00        //    *****                
.byte 0x7C, 0x7E, 0x00        //   *****  ******         
.byte 0xFC, 0xFF, 0x01        //   ***************       
.byte 0xFC, 0xFF, 0x03        //   ****************      
.byte 0xFC, 0xFF, 0x03        //   ****************      
.byte 0x7C, 0xE0, 0x07        //   *****      ******     
.byte 0x7C, 0xC0, 0x07        //   *****       *****     
.byte 0x7C, 0xC0, 0x07        //   *****       *****     
.byte 0x7C, 0xC0, 0x07        //   *****       *****     
.byte 0xF8, 0xC0, 0x07        //    *****      *****     
.byte 0xF8, 0xE1, 0x03        //    ******    *****      
.byte 0xF8, 0xFF, 0x03        //    ***************      
.byte 0xF0, 0xFF, 0x01        //     *************       
.byte 0xE0, 0xFF, 0x00        //      ***********        
.byte 0x80, 0x3F, 0x00        //        *******          
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         

/***********************************
 * Character - 55
 ***********************************/
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0xFC, 0xFF, 0x03        //   ****************      
.byte 0xFC, 0xFF, 0x03        //   ****************      
.byte 0xFC, 0xFF, 0x03        //   ****************      
.byte 0xFC, 0xFF, 0x03        //   ****************      
.byte 0x00, 0xF0, 0x03        //             ******      
.byte 0x00, 0xF0, 0x01        //             *****       
.byte 0x00, 0xF8, 0x01        //            ******       
.byte 0x00, 0xF8, 0x00        //            *****        
.byte 0x00, 0xFC, 0x00        //           ******        
.byte 0x00, 0x7E, 0x00        //          ******         
.byte 0x00, 0x7E, 0x00        //          ******         
.byte 0x00, 0x3F, 0x00        //         ******          
.byte 0x00, 0x1F, 0x00        //         *****           
.byte 0x80, 0x1F, 0x00        //        ******           
.byte 0x80, 0x0F, 0x00        //        *****            
.byte 0xC0, 0x0F, 0x00        //       ******            
.byte 0xC0, 0x07, 0x00        //       *****             
.byte 0xE0, 0x07, 0x00        //      ******             
.byte 0xF0, 0x03, 0x00        //     ******              
.byte 0xF0, 0x03, 0x00        //     ******              
.byte 0xF8, 0x01, 0x00        //    ******               
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         

/***********************************
 * Character - 56
 ***********************************/
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0xC0, 0x3F, 0x00        //       ********          
.byte 0xF0, 0xFF, 0x00        //     ************        
.byte 0xF8, 0xFF, 0x01        //    **************       
.byte 0xFC, 0xFF, 0x03        //   ****************      
.byte 0xFC, 0xF0, 0x03        //   ******    ******      
.byte 0x7C, 0xE0, 0x03        //   *****      *****      
.byte 0x7C, 0xE0, 0x03        //   *****      *****      
.byte 0xFC, 0xE1, 0x01        //   *******    ****       
.byte 0xF8, 0xFF, 0x00        //    *************        
.byte 0xF0, 0x7F, 0x00        //     ***********         
.byte 0xE0, 0xFF, 0x01        //      ************       
.byte 0xF8, 0xFF, 0x03        //    ***************      
.byte 0x7C, 0xF8, 0x03        //   *****    *******      
.byte 0x3E, 0xE0, 0x07        //  *****       ******     
.byte 0x3E, 0xC0, 0x07        //  *****        *****     
.byte 0x3E, 0xC0, 0x07        //  *****        *****     
.byte 0xFE, 0xE0, 0x07        //  *******     ******     
.byte 0xFC, 0xFF, 0x03        //   ****************      
.byte 0xFC, 0xFF, 0x03        //   ****************      
.byte 0xF0, 0xFF, 0x00        //     ************        
.byte 0xC0, 0x3F, 0x00        //       ********          
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         

/***********************************
 * Character - 57
 ***********************************/
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0xC0, 0x1F, 0x00        //       *******           
.byte 0xF0, 0x7F, 0x00        //     ***********         
.byte 0xF8, 0xFF, 0x00        //    *************        
.byte 0xFC, 0xFF, 0x01        //   ***************       
.byte 0x7C, 0xF8, 0x01        //   *****    ******       
.byte 0x3E, 0xF0, 0x03        //  *****      ******      
.byte 0x3E, 0xE0, 0x03        //  *****       *****      
.byte 0x3E, 0xE0, 0x03        //  *****       *****      
.byte 0x3E, 0xE0, 0x03        //  *****       *****      
.byte 0x7E, 0xE0, 0x03        //  ******      *****      
.byte 0xFC, 0xFF, 0x03        //   ****************      
.byte 0xFC, 0xFF, 0x03        //   ****************      
.byte 0xF8, 0xFF, 0x03        //    ***************      
.byte 0xE0, 0xE7, 0x01        //      ******  ****       
.byte 0x00, 0xF0, 0x01        //             *****       
.byte 0x00, 0xF8, 0x01        //            ******       
.byte 0x08, 0xFC, 0x00        //    *      ******        
.byte 0xF8, 0xFF, 0x00        //    *************        
.byte 0xF8, 0x7F, 0x00        //    ************         
.byte 0xF8, 0x1F, 0x00        //    **********           
.byte 0xF8, 0x07, 0x00        //    ********             
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         
.byte 0x00, 0x00, 0x00        //                         

GRC_CONST_SECTION
